using System;
using System.Collections;
using System.Collections.Concurrent;
using System.Collections.Generic;
using System.Runtime.InteropServices;


namespace Nerv36
{


    public class Named_addresses
    {
        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_named_addresses_alloc")]
        public static extern IntPtr alloc();

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_named_addresses_free")]
        public static extern void free(IntPtr _addresses_);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_named_addresses_size")]
        public static extern UIntPtr size(IntPtr _addresses_);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_named_addresses_name")]
        public static extern IntPtr nerv_named_addresses_name(IntPtr _addresses_, UIntPtr _index);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_named_addresses_addr_ip")]
        public static extern UInt32 addr_ip(IntPtr _addresses_, UIntPtr _index);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_named_addresses_addr_port")]
        public static extern UInt16 addr_port(IntPtr _addresses_, UIntPtr _index);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_capture_named_addresses")]
        public static extern void capture(IntPtr _addresses_);


        public IntPtr addresses_;

        public Named_addresses()
        {
            addresses_ = alloc();
        }

        ~Named_addresses()
        {
            free(addresses_);
        }

        public UInt32 size()
        {
            return (UInt32)size(addresses_);
        }

        public string name(UInt32 _index)
        {
            IntPtr ptr = nerv_named_addresses_name(addresses_, (UIntPtr)_index);
            return Marshal.PtrToStringAnsi(ptr);
        }

        public UInt32 addr_ip(UInt32 _index)
        {
            return addr_ip(addresses_, (UIntPtr)_index);
        }

        public UInt16 addr_port(UInt32 _index)
        {
            return addr_port(addresses_, (UIntPtr)_index);
        }

        public void capture()
        {
            capture(addresses_);
        }
    }

}
