﻿using System;
using System.Collections;
using System.Collections.Concurrent;
using System.Collections.Generic;
using System.Runtime.InteropServices;

namespace Nerv36
{
    public class Proxy_command
    {
        // nerv_proxy_command delegate
        public delegate void on_link_ft(IntPtr _command_, UInt32 _msg_num, Int32 _err, Double _elapsed);
        public delegate void on_unlink_ft(IntPtr _command_, Int32 _err);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_command_alloc")]
        public static extern IntPtr alloc(UInt16 _code, IntPtr _object_, on_link_ft _on_link_, on_unlink_ft _on_unlink_);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_command_free")]
        public static extern void free(IntPtr _command_);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_command_is_linked")]
        public static extern Boolean is_linked(IntPtr _command_);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_command_delegate_link")]
        public static extern Int32 delegate_link(IntPtr _command_, ref UInt32 _msg_num_, Double _limit);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_command_async_link")]
        public static extern IntPtr async_link(IntPtr _command_, Double _limit);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_command_await_link_return")]
        public static extern Int32 await_link_return(IntPtr _command_, IntPtr _promise_, ref Double _elapsed_);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_command_unlink")]
        public static extern void unlink(IntPtr _command_);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_command_set_sync_model")]
        public static extern void set_sync_model(IntPtr _command_, Boolean _reliability, Sync_model _sync_model, Double _interval);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_command_get")]
        public static extern IntPtr get(IntPtr _command_, UInt32 _cmd_size);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_command_cancel")]
        public static extern void cancel(IntPtr _command_);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_command_post")]
        public static extern Int32 post(IntPtr _command_, UInt32 _cmd_size);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_command_write")]
        public static extern Int32 write(IntPtr _command_, IntPtr _cmd_dat_, UInt32 _cmd_size);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_command_see_history")]
        public static extern IntPtr see_history(IntPtr _command_, UIntPtr _history_size);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_command_set_history_size")]
        public static extern void set_history_size(IntPtr _command_, UIntPtr _history_size);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_command_read")]
        public static extern Int32 read(IntPtr _command_, IntPtr _cmd_dat_, ref UInt32 _cmd_size_);
    }
}
