﻿using System;
using System.Collections;
using System.Collections.Concurrent;
using System.Collections.Generic;
using System.Runtime.InteropServices;

namespace Nerv36
{
    public class Proxy_event
    {
        // nerv_proxy_event delegate
        public delegate void on_link_ft(IntPtr _event_, UInt32 _msg_num, Int32 _err, Double _elapsed);

        public delegate void on_unlink_ft(IntPtr _event_, Int32 _err);

        public delegate void on_event_ft(IntPtr _event_, IntPtr _evt_dat_, UInt32 _evt_size, Double _elapsed);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_event_alloc")]
        public static extern IntPtr alloc(UInt16 _code, IntPtr _object_, on_link_ft _on_link_, on_unlink_ft _on_unlink_, on_event_ft _on_event_);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_event_free")]
        public static extern void free(IntPtr _event_);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_event_is_linked")]
        public static extern Boolean is_linked(IntPtr _event_);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_event_delegate_link")]
        public static extern Int32 delegate_link(IntPtr _event_, ref UInt32 _msg_num_, Double _limit);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_event_async_link")]
        public static extern IntPtr async_link(IntPtr _event_, Double _limit);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_event_await_link_return")]
        public static extern Int32 await_link_return(IntPtr _event_, IntPtr _promise_, ref Double _elapsed_);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_event_unlink")]
        public static extern void unlink(IntPtr _event_);
    }
}
