﻿using System;
using System.Collections;
using System.Collections.Concurrent;
using System.Collections.Generic;
using System.Runtime.InteropServices;

namespace Nerv36
{
    public class Proxy_information
    {
        // nerv_proxy_information delegate
        public delegate void on_link_ft(IntPtr _information_, UInt32 _msg_num, Int32 _err, Double _elapsed);
        public delegate void on_unlink_ft(IntPtr _information_, Int32 _err);

        public delegate void on_sync_ft(IntPtr _information_, Sync_model _sync_model, Double _elapsed, Double _limit, IntPtr _inf_dat_, UInt32 _inf_size);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_information_alloc")]
        public static extern IntPtr alloc(UInt16 _code, IntPtr _object_, on_link_ft _on_link_, on_unlink_ft _on_unlink_, on_sync_ft _on_sync_);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_information_free")]
        public static extern void free(IntPtr _information_);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_information_is_linked")]
        public static extern Boolean is_linked(IntPtr _information_);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_information_delegate_link")]
        public static extern Int32 delegate_link(IntPtr _information_, ref UInt32 _msg_num_, Boolean _reliability, Double _limit);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_information_async_link")]
        public static extern IntPtr async_link(IntPtr _information_, Boolean _reliability, Double _limit);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_information_await_link_return")]
        public static extern Int32 await_link_return(IntPtr _information_, IntPtr _promise_, ref Double _elapsed_);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_information_unlink")]
        public static extern void unlink(IntPtr _information_);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_information_set_sync")]
        public static extern void set_sync(IntPtr _information_, Boolean _use_on_sync);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_information_see_history")]
        public static extern IntPtr see_history(IntPtr _information_, UIntPtr _history_size);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_information_set_history_size")]
        public static extern void set_history_size(IntPtr _information_, UIntPtr _history_size);

        [DllImport("64nerv36.dll", CallingConvention = CallingConvention.Cdecl, EntryPoint = "nerv_proxy_information_read")]
        public static extern Int32 read(IntPtr _information_, IntPtr _inf_dat_, ref UInt32 _inf_size_);
    }
}
