<?xml version="1.0" encoding="UTF-8"?>
<!-- copyright@ 2020, Waregram , All right Reserved. -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text" encoding="utf-8" indent="yes"/>




<xsl:template name ="template_datagram" >
  <xsl:variable name="in_data_domain_namespace">
    <xsl:call-template name="get_data_domain_namespace_dot">
      <xsl:with-param name="data_domain_id" select="in_data_domain_id" />
    </xsl:call-template>
  </xsl:variable>
  <xsl:variable name="out_data_domain_namespace">
    <xsl:call-template name="get_data_domain_namespace_dot">
      <xsl:with-param name="data_domain_id" select="out_data_domain_id" />
    </xsl:call-template>
  </xsl:variable>

// proxy
public interface IProxy_method_<xsl:value-of select="name"/>
{
    void on_datagram( Address _stub_addr,<xsl:if test="out_data!='(null)'"> ref Nerv36.Data<xsl:value-of select="$out_data_domain_namespace"/>.<xsl:value-of select="out_data"/> _dtg_data_,</xsl:if> Double _elapsed);
}
public unsafe class Proxy_method_<xsl:value-of select="name"/>
{
    static Nerv36.Proxy_datagram.on_datagram_ft on_datagram_     = new Nerv36.Proxy_datagram.on_datagram_ft(on_datagram);

    static ConcurrentDictionary&lt;IntPtr, Proxy_method_<xsl:value-of select="name"/>&gt; dict = new ConcurrentDictionary&lt;IntPtr, Proxy_method_<xsl:value-of select="name"/>&gt;();

    public static void on_datagram(IntPtr _datagram_, Address _stub_addr, IntPtr _dtg_data_, UInt32 _dtg_size, Double _elapsed)
    {<xsl:if test="out_data!='(null)'">
        Nerv36.Data<xsl:value-of select="$out_data_domain_namespace"/>.<xsl:value-of select="out_data"/>* dtg_data_ = (Nerv36.Data<xsl:value-of select="$out_data_domain_namespace"/>.<xsl:value-of select="out_data"/>*)_dtg_data_;
        </xsl:if>
        dict[_datagram_].idatagram.on_datagram(_stub_addr, <xsl:if test="out_data!='(null)'">ref *dtg_data_, </xsl:if>_elapsed);
    }

    public IntPtr datagram_;
    public IProxy_method_<xsl:value-of select="name"/> idatagram;

    public Proxy_method_<xsl:value-of select="name"/>(ref Nerv36.Proxy _object_, IProxy_method_<xsl:value-of select="name"/> _idatagram)
    {
        datagram_ = Nerv36.Proxy_datagram.alloc(<xsl:value-of select="code"/>, _object_.object_,on_datagram);
        dict[datagram_] = this;
        idatagram = _idatagram;
    }
    ~Proxy_method_<xsl:value-of select="name"/>()
    {
        // Nerv36.Proxy_datagram.free(datagram_);
        // API.nerv_finalize()에서 정리되지 않은 객체를 자동해제하므로
        // C#에서는 Nerv36.Proxy_datagram.free(datagram_); 로 정리하지 않는다.
        // C#의 소멸자는 언제 호출될지 알수 없다.

        Proxy_method_<xsl:value-of select="name"/> datagram_reference;
        dict.TryRemove(datagram_, out datagram_reference);
    }
}

// stub
public interface IStub_method_<xsl:value-of select="name"/>
{
}
public unsafe class Stub_method_<xsl:value-of select="name"/>
{
    static ConcurrentDictionary&lt;IntPtr, Stub_method_<xsl:value-of select="name"/>&gt; dict = new ConcurrentDictionary&lt;IntPtr, Stub_method_<xsl:value-of select="name"/>&gt;();

    public IntPtr datagram_;
    public IStub_method_<xsl:value-of select="name"/> idatagram;

    public Stub_method_<xsl:value-of select="name"/>(ref Nerv36.Stub _object_, IStub_method_<xsl:value-of select="name"/> _idatagram)
    {
        datagram_ = Nerv36.Stub_datagram.alloc(<xsl:value-of select="code"/>, _object_.object_);
        dict[datagram_] = this;
        idatagram = _idatagram;
    }
    ~Stub_method_<xsl:value-of select="name"/>()
    {
        // Nerv36.Stub_datagram.free(datagram_);
        // API.nerv_finalize()에서 정리되지 않은 객체를 자동해제하므로
        // C#에서는 Nerv36.Stub_datagram.free(datagram_); 로 정리하지 않는다.
        // C#의 소멸자는 언제 호출될지 알수 없다.

        Stub_method_<xsl:value-of select="name"/> datagram_reference;
        dict.TryRemove(datagram_, out datagram_reference);
    }

    public Int32 cast(UInt32 _ip<xsl:if test="out_data!='(null)'">, ref Nerv36.Data<xsl:value-of select="$out_data_domain_namespace"/>.<xsl:value-of select="out_data"/> _dtg_data_</xsl:if>)
    {
  <xsl:if test="out_data!='(null)'">
        fixed (Nerv36.Data<xsl:value-of select="$out_data_domain_namespace"/>.<xsl:value-of select="out_data"/>* dtg_data_ = &amp;_dtg_data_)
        {
            Int32 err = Nerv36.Stub_datagram.cast(datagram_, _ip, (IntPtr)dtg_data_, _dtg_data_.fit_size() );
            return err;
        }
  </xsl:if>
  <xsl:if test="out_data='(null)'">
        Int32 err = Nerv36.Stub_datagram.cast(datagram_, _ip, IntPtr.Zero, 0);
        return err;
  </xsl:if>
    }


    public Int32 broadcast(<xsl:if test="out_data!='(null)'">ref Nerv36.Data<xsl:value-of select="$out_data_domain_namespace"/>.<xsl:value-of select="out_data"/> _dtg_data_</xsl:if>)
    {
  <xsl:if test="out_data!='(null)'">
        fixed (Nerv36.Data<xsl:value-of select="$out_data_domain_namespace"/>.<xsl:value-of select="out_data"/>* dtg_data_ = &amp;_dtg_data_)
        {
            Int32 err = Nerv36.Stub_datagram.broadcast(datagram_, (IntPtr)dtg_data_, _dtg_data_.fit_size() );
            return err;
        }
  </xsl:if>
  <xsl:if test="out_data='(null)'">
        Int32 err = Nerv36.Stub_datagram.broadcast(datagram_, IntPtr.Zero, 0);
        return err;
  </xsl:if>
    }

}

</xsl:template>



</xsl:stylesheet>
