<?xml version="1.0" encoding="utf-8"?>
<!-- copyright@ 2020, Waregram , All right Reserved. -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="../../../../xsl_util.xsl"/>

<xsl:output method="text" encoding="utf-8" indent="yes"/>

<xsl:param name = "export_stub_class_id" />

<xsl:template match="/">
<xsl:variable name="component_name">
  <xsl:call-template name="replace">
    <xsl:with-param name="text" select="nerv_icde/component/name" />
    <xsl:with-param name="replace" select="' '" />
    <xsl:with-param name="by" select="'_'" />
  </xsl:call-template>
</xsl:variable>
  <xsl:for-each select="/nerv_icde/component/stub_list/row[id=$export_stub_class_id]">
    <xsl:variable name="interface_name" select="interface_name" />
    <xsl:variable name="class_name" select="class_name" />

#include "<xsl:value-of select="$class_name"/>.hh"
#include &lt;Waregram/_stdout.hpp&gt;

namespace <xsl:value-of select="$component_name"/> {
namespace Nerv_stub {

<xsl:value-of select="$class_name"/>::<xsl:value-of select="$class_name"/>(I<xsl:value-of select="$class_name"/>_* _interface_)
    : <xsl:value-of select="$class_name"/>_exam(this)
    , interface_(_interface_)
{
}

<xsl:value-of select="$class_name"/>::~<xsl:value-of select="$class_name"/>()
{
}

} // namespace Nerv_stub
} // namespace <xsl:value-of select="$component_name"/>

  </xsl:for-each>
</xsl:template>

</xsl:stylesheet>
