<?xml version="1.0" encoding="utf-8"?>
<!-- copyright@ 2020, Waregram , All right Reserved. -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="../../../xsl_util.xsl"/>
<xsl:output method="text" encoding="utf-8" indent="yes" />
<xsl:template match="/">
<xsl:variable name="component_name">
  <xsl:call-template name="replace">
    <xsl:with-param name="text" select="nerv_icde/component/name" />
    <xsl:with-param name="replace" select="' '" />
    <xsl:with-param name="by" select="'_'" />
  </xsl:call-template>
</xsl:variable>
#include "The_<xsl:value-of select="$component_name"/>.hh"

#include &lt;Waregram/_stdout.hpp&gt;
#include &lt;Waregram/_thread.hpp&gt;

namespace <xsl:value-of select="$component_name"/> {

void The_<xsl:value-of select="$component_name"/>::on_initialize()
{
    fprintf(stdout_, "\n%zu: The_<xsl:value-of select="$component_name"/>::on_initialize()\n", cnt);
  <xsl:for-each select="/nerv_icde/component/stub_list/row/object_list/row">
    stub_<xsl:value-of select="object_name"/>_ = new Nerv_stub::<xsl:value-of select="../../class_name"/>(this);
    Exam_<xsl:value-of select="$component_name"/>::stub_<xsl:value-of select="object_name"/>_ = stub_<xsl:value-of select="object_name"/>_;
  </xsl:for-each>
  <xsl:for-each select="/nerv_icde/component/proxy_list/row/object_list/row">
    proxy_<xsl:value-of select="object_name"/>_ = new Nerv_proxy::<xsl:value-of select="../../class_name"/>(this);
    Exam_<xsl:value-of select="$component_name"/>::proxy_<xsl:value-of select="object_name"/>_ = proxy_<xsl:value-of select="object_name"/>_;
  </xsl:for-each>

    start_stub(); // Stub들을 시작한다.
    start_proxy(); // Proxy들을 시작한다.

    trans_idle();
}

} // namespace <xsl:value-of select="$component_name"/>

</xsl:template>
</xsl:stylesheet>
