
#pragma once
/******************************************************************************
    domain   : Component
    domain creator   : root
    domain create date : 2021-12-20 19:06:49
    domain description :
    data name : State
    data writer   : root
    data description:
*******************************************************************************/
#include <Nerv36/Nerv.hh>
#include <stdio.h>
#include <string>

namespace Nerv36 {
namespace Data {
namespace Component {

typedef ::Nerv36::Enum32 State;

constexpr State TERMINATED_ = 0;

constexpr State FINAL_ = 1;

constexpr State INIT_ = 2;

constexpr State IDLE_ = 4;

constexpr State SHUTDOWN_ = 8;

constexpr State READY_ = 16;

constexpr State STANDBY_ = 32;

constexpr State STOP_ = 64;

constexpr State START_ = 128;

constexpr State RUN_ = 256;

inline const char* get_str_of_State(State _val)
{
    const char* str_ = 0;

    if(_val == TERMINATED_) { str_ = "TERMINATED_"; }
    else if(_val == FINAL_) {
        str_ = "FINAL_";
    }
    else if(_val == INIT_) {
        str_ = "INIT_";
    }
    else if(_val == IDLE_) {
        str_ = "IDLE_";
    }
    else if(_val == SHUTDOWN_) {
        str_ = "SHUTDOWN_";
    }
    else if(_val == READY_) {
        str_ = "READY_";
    }
    else if(_val == STANDBY_) {
        str_ = "STANDBY_";
    }
    else if(_val == STOP_) {
        str_ = "STOP_";
    }
    else if(_val == START_) {
        str_ = "START_";
    }
    else if(_val == RUN_) {
        str_ = "RUN_";
    }
    else {
        str_ = "UNKNOWN";
    }
    return str_;
}

typedef THistory_elem<State> State_history_elem;
typedef THistory<State>      State_history;

} // namespace Component
} // namespace Data
} // namespace Nerv36
