<?xml version="1.0" encoding="utf-8"?>
<!-- copyright@ 2020, Waregram , All right Reserved. -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="../../../../../../xsl_util.xsl"/>

<xsl:output method="text" encoding="utf-8" omit-xml-declaration="yes" indent="no"/>
<xsl:param name = "export_data_domain_path" />
<xsl:param name = "export_data_name" />
<xsl:template match="/">
  <xsl:for-each select="nerv_icde/datadomain/row">
    <xsl:if test="path=$export_data_domain_path">
      <xsl:variable name="open_namespace_path">
        <xsl:call-template name="replace">
          <xsl:with-param name="text" select="path" />
          <xsl:with-param name="replace" select="'/'" />
          <xsl:with-param name="by" select="' { namespace '" />
        </xsl:call-template></xsl:variable>
      <xsl:variable name="close_namespace_path">
        <xsl:call-template name="replace">
          <xsl:with-param name="text" select="path" />
          <xsl:with-param name="replace" select="'/'" />
          <xsl:with-param name="by" select="' */ } /* '" />
        </xsl:call-template>
      </xsl:variable><xsl:text/>
#pragma once<xsl:text/>
/******************************************************************************
    domain   : <xsl:value-of select="name"/>
    domain creator   : <xsl:value-of select="author"/>
    domain create date : <xsl:value-of select="create-day"/>
    domain description : <xsl:value-of select="description"/>
      <xsl:for-each select="data/row">
        <xsl:if test="name=$export_data_name">
    data name : <xsl:value-of select="name"/>
    data writer   : <xsl:value-of select="../../author"/>
    data description: <xsl:value-of select="description"/>
*******************************************************************************/<xsl:text/>
          <xsl:if test="type='alias'">
            <xsl:variable name="real_domain_id" select="real_domain_id"/>
            <xsl:variable name="real_data" select="real_data"/>
            <xsl:for-each select="/nerv_icde/datadomain/row">
              <xsl:if test="id=$real_domain_id">
#include &lt;Nerv36/Data<xsl:value-of select="path"/>/<xsl:value-of select="$real_data"/>.hh&gt;<xsl:text/>
              </xsl:if>
            </xsl:for-each>
          </xsl:if>
          <xsl:if test="type='struct'">
            <xsl:for-each select="datafield/row">
              <xsl:variable name="real_domain_id" select="real_domain_id"/>
              <xsl:variable name="real_data" select="real_data"/>
              <xsl:if test="type='alias'">
                <xsl:for-each select="/nerv_icde/datadomain/row">
                  <xsl:if test="id=$real_domain_id">
#include &lt;Nerv36/Data<xsl:value-of select="path"/>/<xsl:value-of select="$real_data"/>.hh&gt;<xsl:text/>
                  </xsl:if>
                </xsl:for-each>
              </xsl:if>
            </xsl:for-each>
          </xsl:if>
#include &lt;Nerv36/Nerv.hh&gt;<xsl:text/>
#include &lt;stdio.h&gt;<xsl:text/>
#include &lt;string&gt;<xsl:text/>

namespace Nerv36 { namespace Data <xsl:value-of select="$open_namespace_path" /> {<xsl:text>
</xsl:text>
          <xsl:if test="type='scaled64_t' or type='scaled32_t' or type='scaled16_t' or type='scaled8_t' or type='u_scaled64_t' or type='u_scaled32_t' or type='u_scaled16_t' or type='u_scaled8_t'">
inline const double min_<xsl:value-of select="name"/>() { return double(<xsl:value-of select="scmin"/>); }
inline const double max_<xsl:value-of select="name"/>() { return double(<xsl:value-of select="scmax"/>); }
          </xsl:if>

          <xsl:choose>
            <xsl:when test="type='scaled64_t'">
typedef ::Nerv36::TReal&lt; ::Nerv36::Int64, min_<xsl:value-of select="name"/>, max_<xsl:value-of select="name"/> &gt; <xsl:value-of select="name"/>;
            </xsl:when>
            <xsl:when test="type='scaled32_t'">
typedef ::Nerv36::TReal&lt; ::Nerv36::Int32, min_<xsl:value-of select="name"/>, max_<xsl:value-of select="name"/> &gt; <xsl:value-of select="name"/>;
            </xsl:when>
            <xsl:when test="type='scaled16_t'">
typedef ::Nerv36::TReal&lt; ::Nerv36::Int16, min_<xsl:value-of select="name"/>, max_<xsl:value-of select="name"/> &gt; <xsl:value-of select="name"/>;
            </xsl:when>
            <xsl:when test="type='scaled8_t'">
typedef ::Nerv36::TReal&lt; ::Nerv36::Int8, min_<xsl:value-of select="name"/>, max_<xsl:value-of select="name"/> &gt; <xsl:value-of select="name"/>;
            </xsl:when>
            <xsl:when test="type='u_scaled64_t'">
typedef ::Nerv36::TReal&lt; ::Nerv36::uInt64, min_<xsl:value-of select="name"/>, max_<xsl:value-of select="name"/> &gt; <xsl:value-of select="name"/>;
            </xsl:when>
            <xsl:when test="type='u_scaled32_t'">
typedef ::Nerv36::TReal&lt; ::Nerv36::uInt32, min_<xsl:value-of select="name"/>, max_<xsl:value-of select="name"/> &gt; <xsl:value-of select="name"/>;
            </xsl:when>
            <xsl:when test="type='u_scaled16_t'">
typedef ::Nerv36::TReal&lt; ::Nerv36::uInt16, min_<xsl:value-of select="name"/>, max_<xsl:value-of select="name"/> &gt; <xsl:value-of select="name"/>;
            </xsl:when>
            <xsl:when test="type='u_scaled8_t'">
typedef ::Nerv36::TReal&lt; ::Nerv36::uInt8, min_<xsl:value-of select="name"/>, max_<xsl:value-of select="name"/> &gt; <xsl:value-of select="name"/>;
            </xsl:when>
            <xsl:when test="type='enum64_t'">
typedef ::Nerv36::Enum64 <xsl:value-of select="name"/>;
            </xsl:when>
            <xsl:when test="type='enum32_t'">
typedef ::Nerv36::Enum32 <xsl:value-of select="name"/>;
            </xsl:when>
            <xsl:when test="type='enum16_t'">
typedef ::Nerv36::Enum16 <xsl:value-of select="name"/>;
            </xsl:when>
            <xsl:when test="type='enum8_t'">
typedef ::Nerv36::Enum8 <xsl:value-of select="name"/>;
            </xsl:when>
            <xsl:when test="type='int64_t'">
typedef ::Nerv36::Int64 <xsl:value-of select="name"/>;
            </xsl:when>
            <xsl:when test="type='int32_t'">
typedef ::Nerv36::Int32 <xsl:value-of select="name"/>;
            </xsl:when>
            <xsl:when test="type='int16_t'">
typedef ::Nerv36::Int16 <xsl:value-of select="name"/>;
            </xsl:when>
            <xsl:when test="type='int8_t'">
typedef ::Nerv36::Int8 <xsl:value-of select="name"/>;
            </xsl:when>
            <xsl:when test="type='u_int64_t'">
typedef ::Nerv36::uInt64 <xsl:value-of select="name"/>;
            </xsl:when>
            <xsl:when test="type='u_int32_t'">
typedef ::Nerv36::uInt32 <xsl:value-of select="name"/>;
            </xsl:when>
            <xsl:when test="type='u_int16_t'">
typedef ::Nerv36::uInt16 <xsl:value-of select="name"/>;
            </xsl:when>
            <xsl:when test="type='u_int8_t'">
typedef ::Nerv36::uInt8 <xsl:value-of select="name"/>;
            </xsl:when>
            <xsl:when test="type='ieee754_32_t'">
typedef ::Nerv36::Float32 <xsl:value-of select="name"/>;
            </xsl:when>
            <xsl:when test="type='ieee754_64_t'">
typedef ::Nerv36::Float64 <xsl:value-of select="name"/>;
            </xsl:when>
            <xsl:when test="type='char_t'">
typedef ::Nerv36::Char8 <xsl:value-of select="name"/>;
            </xsl:when>
            <xsl:when test="type='wchar_t'">
typedef ::Nerv36::Char16 <xsl:value-of select="name"/>;
            </xsl:when>
            <xsl:when test="type='alias'">
              <xsl:variable name="real_data_domain_namespace">
                <xsl:call-template name="get_data_domain_namespace">
                  <xsl:with-param name="data_domain_id" select="real_domain_id" />
                </xsl:call-template>
              </xsl:variable>
typedef ::Nerv36::Data<xsl:value-of select="$real_data_domain_namespace"/>::<xsl:value-of select="real_data"/><xsl:text> </xsl:text><xsl:value-of select="name"/>;
            </xsl:when>
          </xsl:choose>
          <xsl:if test="type='enum64_t' or type='enum32_t' or type='enum16_t' or type='enum8_t'">
            <xsl:for-each select="datafield/row">
const <xsl:value-of select="../../name"/><xsl:text disable-output-escaping="yes"> </xsl:text><xsl:value-of select="member_name"/> = <xsl:value-of select="scmin"/>;
            </xsl:for-each>
          </xsl:if>
          <xsl:if test="type!='struct'">
typedef THistory_elem&lt;<xsl:value-of select="name"/>&gt; <xsl:value-of select="name"/>_history_elem;
typedef THistory&lt;<xsl:value-of select="name"/>&gt; <xsl:value-of select="name"/>_history;
          </xsl:if>
          <xsl:if test="type='struct'">
            <xsl:variable name="maxDynamicSize">
              <xsl:for-each select="datafield/row">
                <xsl:variable name="real_data_domain_namespace">
                  <xsl:call-template name="get_data_domain_namespace">
                    <xsl:with-param name="data_domain_id" select="real_domain_id" />
                  </xsl:call-template>
                </xsl:variable>
                <xsl:variable name="member_type">
                  <xsl:choose>
                    <xsl:when test="type='u_scaled64_t'">::Nerv36::TReal&lt; ::Nerv36::uInt64, min_<xsl:value-of select="member_name"/>, max_<xsl:value-of select="member_name"/> &gt;</xsl:when>
                    <xsl:when test="type='u_scaled32_t'">::Nerv36::TReal&lt; ::Nerv36::uInt32, min_<xsl:value-of select="member_name"/>, max_<xsl:value-of select="member_name"/> &gt;</xsl:when>
                    <xsl:when test="type='u_scaled16_t'">::Nerv36::TReal&lt; ::Nerv36::uInt16, min_<xsl:value-of select="member_name"/>, max_<xsl:value-of select="member_name"/> &gt;</xsl:when>
                    <xsl:when test="type='u_scaled8_t'">::Nerv36::TReal&lt; ::Nerv36::uInt8, min_<xsl:value-of select="member_name"/>, max_<xsl:value-of select="member_name"/> &gt;</xsl:when>
                    <xsl:when test="type='scaled64_t'">::Nerv36::TReal&lt; ::Nerv36::Int64, min_<xsl:value-of select="member_name"/>, max_<xsl:value-of select="member_name"/> &gt;</xsl:when>
                    <xsl:when test="type='scaled32_t'">::Nerv36::TReal&lt; ::Nerv36::Int32, min_<xsl:value-of select="member_name"/>, max_<xsl:value-of select="member_name"/> &gt;</xsl:when>
                    <xsl:when test="type='scaled16_t'">::Nerv36::TReal&lt; ::Nerv36::Int16, min_<xsl:value-of select="member_name"/>, max_<xsl:value-of select="member_name"/> &gt;</xsl:when>
                    <xsl:when test="type='scaled8_t'">::Nerv36::TReal&lt; ::Nerv36::Int8, min_<xsl:value-of select="member_name"/>, max_<xsl:value-of select="member_name"/> &gt;</xsl:when>
                    <xsl:when test="type='alias'">::Nerv36::Data<xsl:value-of select="$real_data_domain_namespace"/>::<xsl:value-of select="real_data"/></xsl:when>
                    <xsl:when test="type='int8_t'">::Nerv36::Int8</xsl:when>
                    <xsl:when test="type='int16_t'">::Nerv36::Int16</xsl:when>
                    <xsl:when test="type='int32_t'">::Nerv36::Int32</xsl:when>
                    <xsl:when test="type='int64_t'">::Nerv36::Int64</xsl:when>
                    <xsl:when test="type='u_int8_t'">::Nerv36::uInt8</xsl:when>
                    <xsl:when test="type='u_int16_t'">::Nerv36::uInt16</xsl:when>
                    <xsl:when test="type='u_int32_t'">::Nerv36::uInt32</xsl:when>
                    <xsl:when test="type='u_int64_t'">::Nerv36::uInt64</xsl:when>
                    <xsl:when test="type='ieee754_32_t'">::Nerv36::Float32</xsl:when>
                    <xsl:when test="type='ieee754_64_t'">::Nerv36::Float64</xsl:when>
                    <xsl:when test="type='char_t'">::Nerv36::Char8</xsl:when>
                    <xsl:when test="type='wchar_t'">::Nerv36::Char16</xsl:when>
                    <xsl:otherwise>::Nerv36::<xsl:value-of select="type"/></xsl:otherwise>
                  </xsl:choose>
                </xsl:variable>
                <xsl:if test="arraytype='VARIABLE'">+sizeof(<xsl:value-of select="$member_type"/>)*<xsl:value-of select="arraysize"/></xsl:if>
              </xsl:for-each>
            </xsl:variable>
#pragma pack(1)
#pragma warning(disable: 4200)
struct __attribute__((packed)) <xsl:value-of select="name"/>
{<xsl:text/>
            <xsl:for-each select="datafield/row">
              <xsl:variable name="description_aligned">
                <xsl:call-template name="replace">
                  <xsl:with-param name="text" select="description" />
                  <xsl:with-param name="replace" select="'&#10;'" />
                  <xsl:with-param name="by" select="'&#10;    // '" />
                </xsl:call-template>
              </xsl:variable>
              <xsl:variable name="real_data_domain_namespace">
                <xsl:call-template name="get_data_domain_namespace">
                  <xsl:with-param name="data_domain_id" select="real_domain_id" />
                </xsl:call-template>
              </xsl:variable>
              <xsl:variable name="member_type">
                <xsl:choose>
                  <xsl:when test="type='u_scaled64_t'">::Nerv36::TReal&lt; ::Nerv36::uInt64, min_<xsl:value-of select="member_name"/>, max_<xsl:value-of select="member_name"/> &gt;</xsl:when>
                  <xsl:when test="type='u_scaled32_t'">::Nerv36::TReal&lt; ::Nerv36::uInt32, min_<xsl:value-of select="member_name"/>, max_<xsl:value-of select="member_name"/> &gt;</xsl:when>
                  <xsl:when test="type='u_scaled16_t'">::Nerv36::TReal&lt; ::Nerv36::uInt16, min_<xsl:value-of select="member_name"/>, max_<xsl:value-of select="member_name"/> &gt;</xsl:when>
                  <xsl:when test="type='u_scaled8_t'">::Nerv36::TReal&lt; ::Nerv36::uInt8, min_<xsl:value-of select="member_name"/>, max_<xsl:value-of select="member_name"/> &gt;</xsl:when>
                  <xsl:when test="type='scaled64_t'">::Nerv36::TReal&lt; ::Nerv36::Int64, min_<xsl:value-of select="member_name"/>, max_<xsl:value-of select="member_name"/> &gt;</xsl:when>
                  <xsl:when test="type='scaled32_t'">::Nerv36::TReal&lt; ::Nerv36::Int32, min_<xsl:value-of select="member_name"/>, max_<xsl:value-of select="member_name"/> &gt;</xsl:when>
                  <xsl:when test="type='scaled16_t'">::Nerv36::TReal&lt; ::Nerv36::Int16, min_<xsl:value-of select="member_name"/>, max_<xsl:value-of select="member_name"/> &gt;</xsl:when>
                  <xsl:when test="type='scaled8_t'">::Nerv36::TReal&lt; ::Nerv36::Int8, min_<xsl:value-of select="member_name"/>, max_<xsl:value-of select="member_name"/> &gt;</xsl:when>
                  <xsl:when test="type='alias'">::Nerv36::Data<xsl:value-of select="$real_data_domain_namespace"/>::<xsl:value-of select="real_data"/></xsl:when>
                  <xsl:when test="type='int8_t'">::Nerv36::Int8</xsl:when>
                  <xsl:when test="type='int16_t'">::Nerv36::Int16</xsl:when>
                  <xsl:when test="type='int32_t'">::Nerv36::Int32</xsl:when>
                  <xsl:when test="type='int64_t'">::Nerv36::Int64</xsl:when>
                  <xsl:when test="type='u_int8_t'">::Nerv36::uInt8</xsl:when>
                  <xsl:when test="type='u_int16_t'">::Nerv36::uInt16</xsl:when>
                  <xsl:when test="type='u_int32_t'">::Nerv36::uInt32</xsl:when>
                  <xsl:when test="type='u_int64_t'">::Nerv36::uInt64</xsl:when>
                  <xsl:when test="type='ieee754_32_t'">::Nerv36::Float32</xsl:when>
                  <xsl:when test="type='ieee754_64_t'">::Nerv36::Float64</xsl:when>
                  <xsl:when test="type='char_t'">::Nerv36::Char8</xsl:when>
                  <xsl:when test="type='wchar_t'">::Nerv36::Char16</xsl:when>
                  <xsl:otherwise>::Nerv36::<xsl:value-of select="type"/></xsl:otherwise>
                </xsl:choose>
              </xsl:variable>
<xsl:text>
    </xsl:text>// <xsl:value-of select="$description_aligned"/><xsl:text/>
              <xsl:if test="type='scaled64_t' or type='scaled32_t' or type='scaled16_t' or type='scaled8_t' or type='u_scaled64_t' or type='u_scaled32_t' or type='u_scaled16_t' or type='u_scaled8_t'">
<xsl:text>
    </xsl:text>inline static const double min_<xsl:value-of select="member_name"/>() { return double(<xsl:value-of select="scmin"/>); }<xsl:text/>
    inline static const double max_<xsl:value-of select="member_name"/>() { return double(<xsl:value-of select="scmax"/>); }<xsl:text/>
              </xsl:if>
              <xsl:if test="arraytype='NO'">
<xsl:text>
    </xsl:text><xsl:value-of select="$member_type"/><xsl:text> </xsl:text><xsl:value-of select="member_name"/><xsl:if test="not(bitsize = '0')"> :<xsl:value-of select="bitsize"/></xsl:if>;<xsl:text/>
                <xsl:if test="(type='alias') and (bitsize = '0')">
<xsl:text>
    </xsl:text><xsl:value-of select="$member_type"/><xsl:text>&amp; </xsl:text><xsl:value-of select="member_name"/>_ref() { return <xsl:value-of select="member_name"/>; }<xsl:text/>
                </xsl:if>
              </xsl:if>
              <xsl:if test="arraytype='FIX'">
<xsl:text>
    </xsl:text><xsl:value-of select="$member_type"/><xsl:text> </xsl:text><xsl:value-of select="member_name"/>[<xsl:if test="arraysize='0'">1</xsl:if><xsl:if test="arraysize!='0'"><xsl:value-of select="arraysize"/></xsl:if>];<xsl:text/>
                <xsl:choose>
                  <xsl:when test="type='scaled64_t' or type='scaled32_t' or type='scaled16_t' or type='scaled8_t' or type='u_scaled64_t' or type='u_scaled32_t' or type='u_scaled16_t' or type='u_scaled8_t'">
<xsl:text>
    </xsl:text>inline double <xsl:value-of select="member_name"/>_get_at(size_t index) { return (double)<xsl:value-of select="member_name"/>[index]; }<xsl:text/>
<xsl:text>
    </xsl:text>inline void <xsl:value-of select="member_name"/>_set_at(size_t index, double in_val) { <xsl:value-of select="member_name"/>[index] = in_val; }<xsl:text/>
                  </xsl:when>
                  <xsl:when test="type='alias'">
          <xsl:value-of select="$member_type"/>&amp;<xsl:text> </xsl:text><xsl:value-of select="member_name"/>_at(size_t index=0) { return <xsl:value-of select="member_name"/>[index]; }<xsl:text/>
                  </xsl:when>
                  <xsl:otherwise>
<xsl:text>
    </xsl:text>inline <xsl:value-of select="$member_type"/><xsl:text> </xsl:text><xsl:value-of select="member_name"/>_get_at(size_t index) { return <xsl:value-of select="member_name"/>[index]; }<xsl:text/>
<xsl:text>
    </xsl:text>inline void <xsl:value-of select="member_name"/>_set_at(size_t index, <xsl:value-of select="$member_type"/> in_val) { <xsl:value-of select="member_name"/>[index] = in_val; }<xsl:text/>
                  </xsl:otherwise>
                </xsl:choose>
<xsl:text>
    </xsl:text>inline int <xsl:value-of select="member_name"/>_maxsize() { return <xsl:value-of select="arraysize"/>; }<xsl:text/>
              </xsl:if>
              <xsl:if test="arraytype='VARIABLE'">
<xsl:text>
    </xsl:text>Variable_array_field_dctrl <xsl:value-of select="member_name"/>_dctrl;<xsl:text/>
                <xsl:choose>
                  <xsl:when test="type='scaled64_t' or type='scaled32_t' or type='scaled16_t' or type='scaled8_t' or type='u_scaled64_t' or type='u_scaled32_t' or type='u_scaled16_t' or type='u_scaled8_t'">
<xsl:text>
    </xsl:text>inline double <xsl:value-of select="member_name"/>_get_at(size_t index) { return (double)((<xsl:value-of select="$member_type"/>*)(dynamicbuffer+<xsl:value-of select="member_name"/>_dctrl.dindex))[index]; }<xsl:text/>
<xsl:text>
    </xsl:text>inline void <xsl:value-of select="member_name"/>_set_at(size_t index, double in_val) { ((<xsl:value-of select="$member_type"/>*)(dynamicbuffer+<xsl:value-of select="member_name"/>_dctrl.dindex))[index] = in_val; }<xsl:text/>
                  </xsl:when>
                  <xsl:when test="type='alias'">
<xsl:text>
    </xsl:text><xsl:value-of select="$member_type"/>&amp; <xsl:value-of select="member_name"/>_at(size_t index=0) { return ((<xsl:value-of select="$member_type"/>*)(dynamicbuffer+<xsl:value-of select="member_name"/>_dctrl.dindex))[index]; }<xsl:text/>
                  </xsl:when>
                  <xsl:otherwise>
<xsl:text>
    </xsl:text>inline <xsl:value-of select="$member_type"/><xsl:text> </xsl:text><xsl:value-of select="member_name"/>_get_at(size_t index) { return ((<xsl:value-of select="$member_type"/>*)(dynamicbuffer+<xsl:value-of select="member_name"/>_dctrl.dindex))[index]; }<xsl:text/>
<xsl:text>
    </xsl:text>inline void <xsl:value-of select="member_name"/>_set_at(size_t index, <xsl:value-of select="$member_type"/> in_val) { ((<xsl:value-of select="$member_type"/>*)(dynamicbuffer+<xsl:value-of select="member_name"/>_dctrl.dindex))[index] = in_val; }<xsl:text/>
                  </xsl:otherwise>
                </xsl:choose>
<xsl:text>
    </xsl:text>inline int <xsl:value-of select="member_name"/>_maxsize() { return <xsl:value-of select="arraysize"/>; }<xsl:text/>
<xsl:text>
    </xsl:text><xsl:value-of select="$member_type"/>* <xsl:value-of select="member_name"/>() { return (<xsl:value-of select="$member_type"/>*)(dynamicbuffer+<xsl:value-of select="member_name"/>_dctrl.dindex); }<xsl:text/>
<xsl:text>
    </xsl:text><xsl:value-of select="$member_type"/> const* <xsl:value-of select="member_name"/>() const { return (<xsl:value-of select="$member_type"/> const*)(dynamicbuffer+<xsl:value-of select="member_name"/>_dctrl.dindex); }<xsl:text/>
<xsl:text>
    </xsl:text>bool <xsl:value-of select="member_name"/>_alloc(int array_size)
    {
        bool ret_b;
        <xsl:value-of select="member_name"/>_dctrl.dindex = dynamicsize;
        <xsl:value-of select="member_name"/>_dctrl.dsize = array_size*sizeof(<xsl:value-of select="$member_type"/>);
        if(_maxDynamicSize &lt; dynamicsize + <xsl:value-of select="member_name"/>_dctrl.dsize) {
            ret_b=false;
        }
        else {
            dynamicsize += <xsl:value-of select="member_name"/>_dctrl.dsize;
            ret_b=true;
        }
        return ret_b;
    }<xsl:text/>
<xsl:text>
    </xsl:text>int <xsl:value-of select="member_name"/>_size() const
    {
        return <xsl:value-of select="member_name"/>_dctrl.dsize / sizeof(<xsl:value-of select="$member_type"/>);
    }
              </xsl:if>
<xsl:text>
</xsl:text>
            </xsl:for-each>
            <xsl:if test="$maxDynamicSize!=''">
    /* 가변 데이터 버퍼 */
    enum {_maxDynamicSize=0<xsl:value-of select="$maxDynamicSize"/> };
    void init_dynamic_buffer() { dynamicsize = 0; }
    ::Nerv36::Pksize fit_size() const { return sizeof(<xsl:value-of select="name"/>)- _maxDynamicSize + dynamicsize; }
    ::Nerv36::Pksize dynamicsize;
    ::Nerv36::uInt8 dynamicbuffer[_maxDynamicSize];  // dynamic buffer

    <xsl:value-of select="name"/>()
    {
        init_dynamic_buffer();
    }

            </xsl:if>
            <xsl:if test="$maxDynamicSize=''">
    ::Nerv36::Pksize fit_size() const { return sizeof(*this); }
            </xsl:if>


    void set(int val)
    {
            <xsl:if test="type='struct'">
              <xsl:variable name="init_dynamic_buffer">
                <xsl:for-each select="datafield/row">
                  <xsl:if test="arraytype='VARIABLE'">init_dynamic_buffer();</xsl:if>
                </xsl:for-each>
              </xsl:variable>
              <xsl:if test="$init_dynamic_buffer!=''">
        init_dynamic_buffer();<xsl:text/>
              </xsl:if>
              <xsl:for-each select="datafield/row">
                <xsl:variable name="real_data_domain_namespace">
                  <xsl:call-template name="get_data_domain_namespace">
                    <xsl:with-param name="data_domain_id" select="real_domain_id" />
                  </xsl:call-template>
                </xsl:variable>
                <xsl:variable name="member_type">
                  <xsl:choose>
                    <xsl:when test="type='u_scaled64_t'">::Nerv36::TReal&lt; ::Nerv36::uInt64, min_<xsl:value-of select="member_name"/>, max_<xsl:value-of select="member_name"/> &gt;</xsl:when>
                    <xsl:when test="type='u_scaled32_t'">::Nerv36::TReal&lt; ::Nerv36::uInt32, min_<xsl:value-of select="member_name"/>, max_<xsl:value-of select="member_name"/> &gt;</xsl:when>
                    <xsl:when test="type='u_scaled16_t'">::Nerv36::TReal&lt; ::Nerv36::uInt16, min_<xsl:value-of select="member_name"/>, max_<xsl:value-of select="member_name"/> &gt;</xsl:when>
                    <xsl:when test="type='u_scaled8_t'">::Nerv36::TReal&lt; ::Nerv36::uInt8, min_<xsl:value-of select="member_name"/>, max_<xsl:value-of select="member_name"/> &gt;</xsl:when>
                    <xsl:when test="type='scaled64_t'">::Nerv36::TReal&lt; ::Nerv36::Int64, min_<xsl:value-of select="member_name"/>, max_<xsl:value-of select="member_name"/> &gt;</xsl:when>
                    <xsl:when test="type='scaled32_t'">::Nerv36::TReal&lt; ::Nerv36::Int32, min_<xsl:value-of select="member_name"/>, max_<xsl:value-of select="member_name"/> &gt;</xsl:when>
                    <xsl:when test="type='scaled16_t'">::Nerv36::TReal&lt; ::Nerv36::Int16, min_<xsl:value-of select="member_name"/>, max_<xsl:value-of select="member_name"/> &gt;</xsl:when>
                    <xsl:when test="type='scaled8_t'">::Nerv36::TReal&lt; ::Nerv36::Int8, min_<xsl:value-of select="member_name"/>, max_<xsl:value-of select="member_name"/> &gt;</xsl:when>
                    <xsl:when test="type='alias'">::Nerv36::Data<xsl:value-of select="$real_data_domain_namespace"/>::<xsl:value-of select="real_data"/></xsl:when>
                    <xsl:when test="type='int8_t'">::Nerv36::Int8</xsl:when>
                    <xsl:when test="type='int16_t'">::Nerv36::Int16</xsl:when>
                    <xsl:when test="type='int32_t'">::Nerv36::Int32</xsl:when>
                    <xsl:when test="type='int64_t'">::Nerv36::Int64</xsl:when>
                    <xsl:when test="type='u_int8_t'">::Nerv36::uInt8</xsl:when>
                    <xsl:when test="type='u_int16_t'">::Nerv36::uInt16</xsl:when>
                    <xsl:when test="type='u_int32_t'">::Nerv36::uInt32</xsl:when>
                    <xsl:when test="type='u_int64_t'">::Nerv36::uInt64</xsl:when>
                    <xsl:when test="type='ieee754_32_t'">::Nerv36::Float32</xsl:when>
                    <xsl:when test="type='ieee754_64_t'">::Nerv36::Float64</xsl:when>
                    <xsl:when test="type='char_t'">::Nerv36::Char8</xsl:when>
                    <xsl:when test="type='wchar_t'">::Nerv36::Char16</xsl:when>
                    <xsl:otherwise>::Nerv36::<xsl:value-of select="type"/></xsl:otherwise>
                  </xsl:choose>
                </xsl:variable>
                <xsl:variable name="original_type">
                  <xsl:if test="type='alias'">
                    <xsl:call-template name="get_original_type">
                      <xsl:with-param name="data_domain_id" select="real_domain_id" />
                      <xsl:with-param name="data" select="real_data" />
                    </xsl:call-template>
                  </xsl:if>
                  <xsl:if test="type!='alias'">
                    <xsl:value-of select="type"/>
                  </xsl:if>
                </xsl:variable>
                <xsl:choose>
                  <xsl:when test="arraytype='NO'">
                    <xsl:choose>
                      <xsl:when test="$original_type='struct'">
<xsl:text>
        </xsl:text><xsl:value-of select="member_name" />.set(val);<xsl:text/>
                      </xsl:when>
                      <xsl:when test="$original_type='scaled8_t' or $original_type='scaled16_t' or $original_type='scaled32_t' or $original_type='scaled64_t' or $original_type='u_scaled8_t' or $original_type='u_scaled16_t' or $original_type='u_scaled32_t' or $original_type='u_scaled64_t'">
<xsl:text>
        </xsl:text><xsl:value-of select="member_name" /> = (double)val;<xsl:text/>
                      </xsl:when>
                      <xsl:otherwise>
<xsl:text>
        </xsl:text><xsl:value-of select="member_name" /> = (<xsl:value-of select="$member_type" />)val;<xsl:text/>
                      </xsl:otherwise>
                    </xsl:choose>
                  </xsl:when>
                  <xsl:when test="arraytype='FIX'">
                    <xsl:choose>
                      <xsl:when test="$original_type='struct'">
<xsl:text>
        </xsl:text><xsl:value-of select="member_name" />[0].set(val);<xsl:text/>
                      </xsl:when>
                      <xsl:when test="original_type='scaled8_t' or original_type='scaled16_t' or original_type='scaled32_t' or original_type='scaled64_t' or original_type='u_scaled8_t' or original_type='u_scaled16_t' or original_type='u_scaled32_t' or original_type='u_scaled64_t'">
<xsl:text>
        </xsl:text><xsl:value-of select="member_name" />[0] = (double)val;<xsl:text/>
                      </xsl:when>
                      <xsl:otherwise>
<xsl:text>
        </xsl:text><xsl:value-of select="member_name" />[0] = (<xsl:value-of select="$member_type" />)val;<xsl:text/>
                      </xsl:otherwise>
                    </xsl:choose>
                  </xsl:when>
                  <xsl:when test="arraytype='VARIABLE'">
<xsl:text>
        </xsl:text><xsl:value-of select="member_name" />_alloc(<xsl:value-of select="member_name" />_maxsize());<xsl:text/>
                    <xsl:choose>
                      <xsl:when test="type='alias'">
<xsl:text>
        </xsl:text><xsl:value-of select="member_name" />()[0].set(val);<xsl:text/>
                      </xsl:when>
                      <xsl:when test="original_type='scaled8_t' or original_type='scaled16_t' or original_type='scaled32_t' or original_type='scaled64_t' or original_type='u_scaled8_t' or original_type='u_scaled16_t' or original_type='u_scaled32_t' or original_type='u_scaled64_t'">
<xsl:text>
        </xsl:text><xsl:value-of select="member_name" />()[0] = (double)val;<xsl:text/>
                      </xsl:when>
                      <xsl:otherwise>
<xsl:text>
        </xsl:text><xsl:value-of select="member_name" />()[0] = (<xsl:value-of select="$member_type" />)val;<xsl:text/>
                      </xsl:otherwise>
                    </xsl:choose>
                  </xsl:when>
                </xsl:choose>
              </xsl:for-each>
            </xsl:if>
    }

    void print(std::string var)
    {
            <xsl:if test="type='struct'">
        printf( "sizeof(%s)=%d\n" , var.c_str(), (int)sizeof(*this));<xsl:text/>
        printf( "%s.fit_size()=%d\n" , var.c_str(), (int)fit_size());<xsl:text/>
              <xsl:for-each select="datafield/row">
                <xsl:variable name="original_type">
                  <xsl:if test="type='alias'">
                    <xsl:call-template name="get_original_type">
                      <xsl:with-param name="data_domain_id" select="real_domain_id" />
                      <xsl:with-param name="data" select="real_data" />
                    </xsl:call-template>
                  </xsl:if>
                  <xsl:if test="type!='alias'">
                    <xsl:value-of select="type"/>
                  </xsl:if>
                </xsl:variable>
                <xsl:choose>
                  <xsl:when test="arraytype='NO'">
                    <xsl:choose>
                      <xsl:when test="$original_type='struct'">
<xsl:text>
        </xsl:text><xsl:value-of select="member_name" />.print(var+".<xsl:value-of select="member_name" />");<xsl:text/>
                      </xsl:when>
                      <xsl:when test="type='scaled8_t' or type='scaled16_t' or type='scaled32_t' or type='scaled64_t' or type='u_scaled8_t' or type='u_scaled16_t' or type='u_scaled32_t' or type='u_scaled64_t'">
        printf( "%s.<xsl:value-of select="member_name"/>= %lf\n" , var.c_str(), (double)<xsl:value-of select="member_name" />);<xsl:text/>
                      </xsl:when>
                      <xsl:otherwise>
        printf( "%s.<xsl:value-of select="member_name"/>= %d\n" , var.c_str(), (int)<xsl:value-of select="member_name" />);<xsl:text/>
                      </xsl:otherwise>
                    </xsl:choose>
                  </xsl:when>
                  <xsl:when test="arraytype='FIX'">
                    <xsl:choose>
                      <xsl:when test="$original_type='struct'">
<xsl:text>
        </xsl:text><xsl:value-of select="member_name" />[0].print(var+".<xsl:value-of select="member_name" />[0]");<xsl:text/>
                      </xsl:when>
                      <xsl:when test="type='scaled8_t' or type='scaled16_t' or type='scaled32_t' or type='scaled64_t' or type='u_scaled8_t' or type='u_scaled16_t' or type='u_scaled32_t' or type='u_scaled64_t'">
        printf( "%s.<xsl:value-of select="member_name"/>[0] = %lf\n" , var.c_str(), (double)<xsl:value-of select="member_name" />[0]);<xsl:text/>
                      </xsl:when>
                      <xsl:otherwise>
        printf( "%s.<xsl:value-of select="member_name"/>[0] = %d\n" , var.c_str(), (int)<xsl:value-of select="member_name" />[0]);<xsl:text/>
                      </xsl:otherwise>
                    </xsl:choose>
                  </xsl:when>
                  <xsl:when test="arraytype='VARIABLE'">
                    <xsl:choose>
                      <xsl:when test="type='alias'">
<xsl:text>
        </xsl:text><xsl:value-of select="member_name" />()[0].print(var+".<xsl:value-of select="member_name" />[0]");<xsl:text/>
                      </xsl:when>
                      <xsl:when test="type='scaled8_t' or type='scaled16_t' or type='scaled32_t' or type='scaled64_t' or type='u_scaled8_t' or type='u_scaled16_t' or type='u_scaled32_t' or type='u_scaled64_t'">
        printf( "%s.<xsl:value-of select="member_name"/>[0] = %lf\n" , var.c_str(), (double)<xsl:value-of select="member_name" />()[0]);<xsl:text/>
                      </xsl:when>
                      <xsl:otherwise>
        printf( "%s.<xsl:value-of select="member_name"/>[0] =%d\n" , var.c_str(), (int)<xsl:value-of select="member_name" />()[0]);<xsl:text/>
                      </xsl:otherwise>
                    </xsl:choose>
                  </xsl:when>
                </xsl:choose>
              </xsl:for-each>
            </xsl:if>
    }
};
#pragma warning(default : 4200)
#pragma pack()
typedef THistory_elem&lt;<xsl:value-of select="name"/>&gt; <xsl:value-of select="name"/>_history_elem;
typedef THistory&lt;<xsl:value-of select="name"/>&gt; <xsl:value-of select="name"/>_history;

          </xsl:if>
} } /* <xsl:value-of select="$close_namespace_path" /> */
        </xsl:if>
      </xsl:for-each>
    </xsl:if>
  </xsl:for-each>
</xsl:template>


</xsl:stylesheet>
