<?xml version="1.0" encoding="UTF-8"?>
<!-- copyright@ 2020, Waregram , All right Reserved. -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text" encoding="utf-8" indent="yes"/>

<xsl:include href="../../../../../../xsl_util.xsl"/>

<xsl:param name = "export_method_domain_path" />
<xsl:template match="/">
  <xsl:for-each select="nerv_icde/methoddomain/row">
    <xsl:if test="path=$export_method_domain_path">
      <xsl:variable name="open_namespace_path">
        <xsl:call-template name="replace">
          <xsl:with-param name="text" select="path" />
          <xsl:with-param name="replace" select="'/'" />
          <xsl:with-param name="by" select="' { namespace '" />
        </xsl:call-template>
      </xsl:variable>
      <xsl:variable name="close_namespace_path">
        <xsl:call-template name="replace">
          <xsl:with-param name="text" select="path" />
          <xsl:with-param name="replace" select="'/'" />
          <xsl:with-param name="by" select="' */ } /* '" />
        </xsl:call-template>
      </xsl:variable>
<xsl:text/>#pragma once
/*******************************************************************************
Document Header
domain      : <xsl:value-of select="name"/>
creator     : <xsl:value-of select="author"/>
create date : <xsl:value-of select="create-day"/>
description : <xsl:value-of select="description"/>
*******************************************************************************/
      <xsl:for-each select="method/row">
#include "<xsl:value-of select="name"/>.hh"<xsl:text/>
      </xsl:for-each>

namespace Nerv36 { namespace Method <xsl:value-of select="$open_namespace_path" /> {

// using namespace Nerv36;

/* Standard Domain Port Constance *********************************************/
const ::Nerv36::Port STANDARD_PORT_ = <xsl:value-of select="standard_port"/>;

/* Interface Defines **********************************************************/

      <xsl:for-each select="interface/row">
/*******************************************************************************
    Interface Name : <xsl:value-of select="name"/>
    Writer : <xsl:value-of select="../../author"/>
    Description : <xsl:value-of select="description"/>
*******************************************************************************/

/* proxy */
struct Proxy_<xsl:value-of select="name"/>_ :<xsl:text/>
        <xsl:for-each select="membermethod/row">
    public Proxy_method_<xsl:value-of select="method_name"/>_,<xsl:text/>
        </xsl:for-each>
    public Proxy_
{
};
class Proxy_<xsl:value-of select="name"/> : public Proxy
{
    Proxy_* iproxy_;
    virtual void on_connect()
    {
        iproxy_-&gt;on_connect();
    }
    virtual void on_disconnect()
    {
        iproxy_-&gt;on_disconnect();
    }

public:<xsl:text/>
        <xsl:for-each select="membermethod/row">
    Proxy_method_<xsl:value-of select="method_name"/><xsl:text> </xsl:text><xsl:value-of select="method_name"/>;<xsl:text/>
        </xsl:for-each>

public:
    Proxy_<xsl:value-of select="name"/>(Proxy_<xsl:value-of select="name"/>_* _interface_) :<xsl:text/>
        <xsl:for-each select="membermethod/row">
<xsl:text>
        </xsl:text><xsl:value-of select="method_name"/>(*this, _interface_),<xsl:text/>
        </xsl:for-each>
        iproxy_(_interface_)
    {
    }
};

/* stub */
struct Stub_<xsl:value-of select="name"/>_ :<xsl:text/>
        <xsl:for-each select="membermethod/row">
    public Stub_method_<xsl:value-of select="method_name"/>_,<xsl:text/>
        </xsl:for-each>
    public Stub_
{
};
class Stub_<xsl:value-of select="name"/> : public Stub
{
    Stub_* istub_;
    virtual void on_connect(Address _proxy_addr)
    {
        istub_-&gt;on_connect(_proxy_addr);
    }
    virtual void on_disconnect(Address _proxy_addr)
    {
        istub_-&gt;on_disconnect(_proxy_addr);
    }

public:<xsl:text/>
        <xsl:for-each select="membermethod/row">
    Stub_method_<xsl:value-of select="method_name"/><xsl:text> </xsl:text><xsl:value-of select="method_name"/>;<xsl:text/>
        </xsl:for-each>

public:
    Stub_<xsl:value-of select="name"/>(Stub_<xsl:value-of select="name"/>_* _interface_) :<xsl:text/>
        <xsl:for-each select="membermethod/row">
<xsl:text>
        </xsl:text><xsl:value-of select="method_name"/>(*this, _interface_),<xsl:text/>
        </xsl:for-each>
        istub_(_interface_)
    {
    }
};
      </xsl:for-each>

} } /* <xsl:value-of select="$close_namespace_path" /> */


    </xsl:if>
  </xsl:for-each>
</xsl:template>

</xsl:stylesheet>
