<?xml version="1.0" encoding="UTF-8"?>
<!-- copyright@ 2020, Waregram , All right Reserved. -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text" encoding="utf-8" indent="yes"/>



<xsl:template name ="template_datagram" >
  <xsl:variable name="in_data_domain_namespace">
    <xsl:call-template name="get_data_domain_namespace">
      <xsl:with-param name="data_domain_id" select="in_data_domain_id" />
    </xsl:call-template>
  </xsl:variable>
  <xsl:variable name="out_data_domain_namespace">
    <xsl:call-template name="get_data_domain_namespace">
      <xsl:with-param name="data_domain_id" select="out_data_domain_id" />
    </xsl:call-template>
  </xsl:variable>

// proxy
struct Proxy_method_<xsl:value-of select="name"/>_ {
    virtual void on_<xsl:value-of select="name"/>( Address _stub_addr,<xsl:if test="out_data!='(null)'"> const Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>* _dtg_data_,</xsl:if> double _elapsed) = 0;
};

class Proxy_method_<xsl:value-of select="name"/> : public Proxy_datagram {

    virtual void on_datagram( Address _stub_addr, const void* _dtg_data_, Pksize _dtg_size, double _elapsed)
    {
        interface_-&gt;on_<xsl:value-of select="name"/>( _stub_addr<xsl:if test="out_data!='(null)'">, (const Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>*)_dtg_data_</xsl:if>, _elapsed);
    }

public:
    Proxy_method_<xsl:value-of select="name"/>_* interface_;

    Proxy_method_<xsl:value-of select="name"/>(
        const Proxy&amp; _proxy_,
        Proxy_method_<xsl:value-of select="name"/>_* _interface_)
        : Proxy(_proxy_)
        , Proxy_datagram(<xsl:value-of select="code"/>, _proxy_)
        , interface_(_interface_)
    {
    }

    ~Proxy_method_<xsl:value-of select="name"/>()
    {
    }
};


// stub
struct Stub_method_<xsl:value-of select="name"/>_ {
};

class Stub_method_<xsl:value-of select="name"/> : public Stub_datagram {
public:
    Stub_method_<xsl:value-of select="name"/>_* interface_;

    Stub_method_<xsl:value-of select="name"/>(
        const Stub&amp; _stub_,
        Stub_method_<xsl:value-of select="name"/>_* _interface_)
        : Stub(_stub_)
        , Stub_datagram(<xsl:value-of select="code"/>, _stub_)
        , interface_(_interface_)
    {
    }

    ~Stub_method_<xsl:value-of select="name"/>()
    {
    }

  <xsl:if test="out_data!='(null)'">
    Error cast(IP _ip, const Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>* _dtg_data_)
    {
        Error err;
        ::Nerv36::Pksize dtg_size = _dtg_data_-&gt;fit_size();
        if( dtg_size &lt; sizeof(Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>) ) {
            err = NERV_ERR_UNUSED_DYNAMIC_BUFFER_;
        }
        else {
            err = Stub_datagram::cast(_ip, _dtg_data_, dtg_size);
        }
        return err;
    }

    Error broadcast( const Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>* _dtg_data_)
    {
        Error err;
        ::Nerv36::Pksize dtg_size = _dtg_data_-&gt;fit_size();
        if( dtg_size &lt; sizeof(Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>) ) {
            err = NERV_ERR_UNUSED_DYNAMIC_BUFFER_;
        }
        else {
            err = Stub_datagram::broadcast(_dtg_data_, dtg_size);
        }
        return err;
    }
  </xsl:if>
  <xsl:if test="out_data='(null)'">
    Error cast(IP _ip)
    {
        return Stub_datagram::cast(_ip, 0, 0);
    }

    Error broadcast()
    {
        return Stub_datagram::broadcast(0, 0);
    }
  </xsl:if>
};

</xsl:template>


</xsl:stylesheet>
