<?xml version="1.0" encoding="UTF-8"?>
<!-- copyright@ 2020, Waregram , All right Reserved. -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text" encoding="utf-8" indent="yes"/>



<xsl:template name ="template_signalback" >
  <xsl:variable name="in_data_domain_namespace">
    <xsl:call-template name="get_data_domain_namespace">
      <xsl:with-param name="data_domain_id" select="in_data_domain_id" />
    </xsl:call-template>
  </xsl:variable>
  <xsl:variable name="out_data_domain_namespace">
    <xsl:call-template name="get_data_domain_namespace">
      <xsl:with-param name="data_domain_id" select="out_data_domain_id" />
    </xsl:call-template>
  </xsl:variable>


// proxy
struct Proxy_method_<xsl:value-of select="name"/>_ {
    virtual void on_<xsl:value-of select="name"/>( <xsl:if test="out_data!='(null)'">const ::Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>* _sgb_dat_,</xsl:if> double _elapsed) = 0;
    virtual void on_<xsl:value-of select="name"/>_cancel( Error _err) = 0;
};
class Proxy_method_<xsl:value-of select="name"/> : public Proxy_signalback
{
    virtual void on_signalback(const void* _sgb_dat_,
                               Pksize      _sgb_size,
                               double      _elapsed )
    {
        interface_-&gt;on_<xsl:value-of select="name"/>(<xsl:if test="out_data!='(null)'">(const ::Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>*)_sgb_dat_,</xsl:if> _elapsed);
    }

    virtual void on_signalback_cancel( Error _err)
    {
        interface_-&gt;on_<xsl:value-of select="name"/>_cancel(_err);
    }

public:
    Proxy_method_<xsl:value-of select="name"/>_* interface_;

    Proxy_method_<xsl:value-of select="name"/>(
        const Proxy&amp; _proxy_,
        Proxy_method_<xsl:value-of select="name"/>_* _interface_)
        : Proxy(_proxy_)
        , Proxy_signalback(<xsl:value-of select="code"/>, _proxy_, 0)
        , interface_(_interface_)
    {
    }

    ~Proxy_method_<xsl:value-of select="name"/>()
    {
    }
};



// stub
struct Stub_method_<xsl:value-of select="name"/>_ {
    virtual void on_<xsl:value-of select="name"/>_return(Msg_num _msg_num,
                           Address  _proxy_addr,
                           Error    _err,
                           double   _elapsed) = 0; // {}
};

class Stub_method_<xsl:value-of select="name"/> : public Nerv36::Stub_signalback
{
    virtual void on_return(Msg_num  _msg_num,
                           Address  _proxy_addr,
                           Error    _err,
                           double   _elapsed)
    {
        interface_-&gt;on_<xsl:value-of select="name"/>_return(_msg_num, _proxy_addr, _err, _elapsed);
    }

public:
    Stub_method_<xsl:value-of select="name"/>_* interface_;

    Stub_method_<xsl:value-of select="name"/>(
        const Stub&amp; _stub_,
        Stub_method_<xsl:value-of select="name"/>_* _interface_)
        : Stub(_stub_)
        , Stub_signalback(<xsl:value-of select="code"/>, _stub_)
        , interface_(_interface_)
    {
    }

    ~Stub_method_<xsl:value-of select="name"/>()
    {
    }

  <xsl:if test="out_data!='(null)'">
    Nerv36::Error delegate_signalback(Msg_num* _msg_num_, Address _proxy_addr, const ::Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>* _sgb_dat_, double _limit = 1.0)
    {
        Error err;
        ::Nerv36::Pksize sgb_size = _sgb_dat_-&gt;fit_size();
        if( sgb_size &lt; sizeof(Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>) ) {
            err = NERV_ERR_UNUSED_DYNAMIC_BUFFER_;
        }
        else {
            err = Stub_signalback::delegate_signalback(_msg_num_, _proxy_addr, _sgb_dat_, sgb_size, _limit);
        }
        return err;
    }

    Nerv36::Error signalback(Address _proxy_addr, const ::Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>* _sgb_dat_, double _limit = 1.0, double* _elapsed_= 0)
    {
        Error err;
        ::Nerv36::Pksize sgb_size = _sgb_dat_-&gt;fit_size();
        if( sgb_size &lt; sizeof(Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>) ) {
            err = NERV_ERR_UNUSED_DYNAMIC_BUFFER_;
        }
        else {
            err = Stub_signalback::signalback(_proxy_addr, _sgb_dat_, sgb_size, _limit, _elapsed_);
        }
        return err;
    }

    Nerv36::Promise* async_signalback(Address _proxy_addr, const ::Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>* _sgb_dat_, double _limit = 1.0)
    {
        Nerv36::Promise* promise_;
        ::Nerv36::Pksize sgb_size = _sgb_dat_-&gt;fit_size();
        if( sgb_size &lt; sizeof(Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>) ) {
            promise_ = 0;
        }
        else {
            promise_ = Stub_signalback::async_signalback(_proxy_addr, _sgb_dat_, sgb_size, _limit);
        }
        return promise_;
    }

    Nerv36::Error await_return(Nerv36::Promise* _promise_, double* _elapsed_= 0)
    {
        Error err;
        if( _promise_ ) {
            err = Stub_signalback::await_return(_promise_, _elapsed_);
        }
        else {
            err = NERV_ERR_UNUSED_DYNAMIC_BUFFER_;
        }
        return err;
    }

  </xsl:if>
  <xsl:if test="out_data='(null)'">
    Nerv36::Error delegate_signalback(Msg_num* _msg_num_, Address _proxy_addr, double _limit = 1.0)
    {
        Error err;
        err = Stub_signalback::delegate_signalback(_msg_num_, _proxy_addr, 0, 0, _limit);
        return err;
    }

    Nerv36::Error signalback(Address _proxy_addr,  double _limit = 1.0, double* _elapsed_= 0)
    {
        Error err;
        err = Stub_signalback::signalback(_proxy_addr, 0, 0, _limit, _elapsed_);
        return err;
    }

    Nerv36::Promise* async_signalback(Address _proxy_addr,  double _limit = 1.0)
    {
        Promise* promise_ = Stub_signalback::async_signalback(_proxy_addr, 0, 0, _limit);
        return promise_;
    }

    //Nerv36::Error await_return(Nerv36::Promise* _promise_, double* _elapsed_= 0)
    //{
    //    Error err;
    //    err = Stub_signalback::await_return(_promise_, _elapsed);
    //    return err;
    //}
  </xsl:if>

    //void cancel( Error _err)
    //{
    //    Stub_signalback::cancel(_err);
    //}
};


</xsl:template>




</xsl:stylesheet>
