#pragma once

#include <atomic>
#include <memory>

namespace Waregram {

template <class Type> class Var {
public:
    Type*        p_;
    std::atomic<int>* ref_;

public:
    Var()
    {
        p_   = new Type;
        ref_ = new std::atomic<int>;
        (*ref_) = 1;
    }
    template <typename... Inputs> Var(Inputs... _in)
    {
        p_   = new Type(_in...);
        ref_ = new std::atomic<int>;
        (*ref_) = 1;
    }
    Var(Var<Type>& _var)
    {
        p_   = new Type(*_var.p_);
        ref_ = new std::atomic<int>;
        (*ref_) = 1;
    }
    Var(Var<Type>* _var)
    {
        p_ = _var->p_;
        (*ref_)++;
    }

    ~Var()
    {
        (*ref_)--;
        if(*ref_ == 0) {
            delete p_;
            delete ref_;
        }
    }
    Type* operator->() { return p_; }
    Type& operator*() { return *p_; }
          operator Type&() { return *p_; }
};

} // namespace Waregram
