<?xml version="1.0" encoding="utf-8"?>
<!-- copyright@ 2020, Waregram , All right Reserved. -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="../../../xsl_util.xsl"/>
<xsl:output method="text" encoding="utf-8" indent="yes" />
<xsl:template match="/">
<xsl:variable name="component_name">
  <xsl:call-template name="replace">
    <xsl:with-param name="text" select="nerv_icde/component/name" />
    <xsl:with-param name="replace" select="' '" />
    <xsl:with-param name="by" select="'_'" />
  </xsl:call-template>
</xsl:variable>

#pragma once

#include "../Exam_<xsl:value-of select="$component_name"/>/Exam_<xsl:value-of select="$component_name"/>.hh"

#include &lt;QLabel&gt;
#include &lt;QMainWindow&gt;
#include &lt;QTimer&gt;
#include &lt;memory&gt;
#include &lt;mutex&gt;
#include &lt;thread&gt;
#include &lt;vector&gt;



QT_BEGIN_NAMESPACE
namespace Ui {
class Exam_main_window;
}
QT_END_NAMESPACE

namespace Exam {

// using namespace std;

class Exam_main_window : public QMainWindow {
    Q_OBJECT

public:
    Exam_main_window(Exam_<xsl:value-of select="$component_name"/>* _cmpt_, QWidget* _parent_ = nullptr);
    ~Exam_main_window();

private slots:

    void on_frequency_valueChanged(double arg1);

    void on_terminate_clicked();
    void on_finalize_clicked();
    void on_initialize_clicked();
    void on_idle_clicked();
    void on_shutdown_clicked();
    void on_ready_clicked();
    void on_standby_clicked();
    void on_stop_clicked();
    void on_start_clicked();
    void on_run_clicked();

    void on_reset_clicked();

    void on_emergency_clicked();
    void on_release_clicked();

    void on_time();
signals:
    void time();

private:
    Exam_<xsl:value-of select="$component_name"/>* cmpt_;
    Ui::Exam_main_window* ui_;
    std::thread*     timer_;

    void timer();
};

} // namespace Exam

</xsl:template>
</xsl:stylesheet>
