<?xml version="1.0" encoding="utf-8"?>
<!-- copyright@ 2020, Waregram , All right Reserved. -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="../../../xsl_util.xsl"/>
<xsl:output method="text" encoding="utf-8" indent="yes" />
<xsl:template match="/">
<xsl:variable name="component_name">
  <xsl:call-template name="replace">
    <xsl:with-param name="text" select="nerv_icde/component/name" />
    <xsl:with-param name="replace" select="' '" />
    <xsl:with-param name="by" select="'_'" />
  </xsl:call-template>
</xsl:variable>
#include "Exam_<xsl:value-of select="$component_name"/>.hh"

namespace Exam {

void Exam_<xsl:value-of select="$component_name"/>::set_state(State _state)
{
    state_->state = _state;
    if( state_->state == state_->cmd ) state_->cmd = TERMINATED_;
    if( state_->state == TERMINATED_) {
        printf("리셋 완료\n");
        state_->reset_state = 0;
    }
    notify_state();
}

void Exam_<xsl:value-of select="$component_name"/>::terminate()
{
    state_->cmd = TERMINATED_; // 종료한다.
    notify_state();
}

void Exam_<xsl:value-of select="$component_name"/>::finalize()
{
    state_->cmd = FINAL_; // 종료한다.
    notify_state();
}

void Exam_<xsl:value-of select="$component_name"/>::initialize()
{
    printf("\n%zu: Exam_<xsl:value-of select="$component_name"/>::initialize()\n", cnt);
    state_->cmd = INIT_;
    notify_state();
}

void Exam_<xsl:value-of select="$component_name"/>::idle()
{
    printf("\n%zu: Exam_<xsl:value-of select="$component_name"/>::idle()\n", cnt);
    state_->cmd = IDLE_;
    notify_state();
}

void Exam_<xsl:value-of select="$component_name"/>::shutdown()
{
    printf("\n%zu: Exam_<xsl:value-of select="$component_name"/>::shutdown()\n", cnt);
    state_->cmd = SHUTDOWN_;
    notify_state();
}

void Exam_<xsl:value-of select="$component_name"/>::ready()
{
    printf("\n%zu: Exam_<xsl:value-of select="$component_name"/>::ready()\n", cnt);
    state_->cmd = READY_;
    notify_state();
}

void Exam_<xsl:value-of select="$component_name"/>::standby()
{
    printf("\n%zu: Exam_<xsl:value-of select="$component_name"/>::standby()\n", cnt);
    state_->cmd = STANDBY_;
    notify_state();
}

void Exam_<xsl:value-of select="$component_name"/>::stop()
{
    printf("\n%zu: Exam_<xsl:value-of select="$component_name"/>::stop()\n", cnt);
    state_->cmd = STOP_;
    notify_state();
}

void Exam_<xsl:value-of select="$component_name"/>::start()
{
    printf("\n%zu: Exam_<xsl:value-of select="$component_name"/>::start()\n", cnt);
    state_->cmd = START_;
    notify_state();
}

void Exam_<xsl:value-of select="$component_name"/>::run()
{
    printf("\n%zu: Exam_<xsl:value-of select="$component_name"/>::run()\n", cnt);
    state_->cmd = RUN_;
    notify_state();
}

void Exam_<xsl:value-of select="$component_name"/>::reset()
{
    printf("\n%zu: Exam_<xsl:value-of select="$component_name"/>::reset()\n", cnt);
    state_->reset = 1;
    notify_state();
}

void Exam_<xsl:value-of select="$component_name"/>::failure( Error _error )
{
    printf("\n%zu: Exam_<xsl:value-of select="$component_name"/>::failure()\n", cnt);
    if( state_->error != _error ) {
        state_->error = _error;
        notify_state();
    }
}

void Exam_<xsl:value-of select="$component_name"/>::emergency()
{
    printf("\n%zu: Exam_<xsl:value-of select="$component_name"/>::emergency()\n", cnt);
    if( ! state_->emergency_state ) {
        state_->emergency = 1;
        state_->release = 0;
        notify_state();
    }
    else
        printf("\tERR: already emergency\n");
}

void Exam_<xsl:value-of select="$component_name"/>::release()
{
    printf("\n%zu: Exam_<xsl:value-of select="$component_name"/>::release()\n", cnt);
    if( ! state_->release_state ) {
        state_->emergency = 0;
        state_->release = 1;
        notify_state();
    }
    else
        printf("\tERR: already release\n");
}

void Exam_<xsl:value-of select="$component_name"/>::notify_state()
{
    // 현재 상태를 읽어서 통지한다.
  <xsl:for-each select="/nerv_icde/component/stub_list/row/object_list/row">
    <xsl:variable name="method_domain_id" select="../../method_domain_id" />
    <xsl:variable name="interface_name" select="../../interface_name" />
    <xsl:variable name="object_name" select="object_name" />
    <xsl:for-each select="/nerv_icde/methoddomain/row[id=$method_domain_id]">
      <xsl:for-each select="interface/row[name=$interface_name]">
        <xsl:for-each select="membermethod/row">
          <xsl:variable name="method_name" select="method_name" />
          <xsl:for-each select="../../../../method/row[name=$method_name and name='notify_state']">
            <xsl:choose>
              <xsl:when test="type='EVENT'">
    if(stub_<xsl:value-of select="$object_name"/>_) {
        if( this->stub_<xsl:value-of select="$object_name"/>_->is_started() ) {
            this->stub_<xsl:value-of select="$object_name"/>_-><xsl:value-of select="$method_name"/>.notify(state_);
        }
    }
              </xsl:when>
            </xsl:choose>
          </xsl:for-each>
        </xsl:for-each>
      </xsl:for-each>
    </xsl:for-each>
  </xsl:for-each>
}




void Exam_<xsl:value-of select="$component_name"/>::trans_terminate()
{
    set_state(TERMINATED_);
}

void Exam_<xsl:value-of select="$component_name"/>::trans_finalize()
{
    set_state(FINAL_);
    on_finalize();
}

void Exam_<xsl:value-of select="$component_name"/>::trans_initialize()
{
    if( ! state_->reset_state &amp;&amp; ( state_->cmd >= INIT_  || state_->cmd ==0  ) ) {
        set_state(INIT_);
        on_initialize();
    }
}

void Exam_<xsl:value-of select="$component_name"/>::trans_idle()
{
    set_state(IDLE_);
    on_idle();
}

void Exam_<xsl:value-of select="$component_name"/>::trans_shutdown()
{
    set_state(SHUTDOWN_);
    on_shutdown();
}

void Exam_<xsl:value-of select="$component_name"/>::trans_ready()
{
    if( ! state_->reset_state &amp;&amp; ( state_->cmd >= READY_  || state_->cmd ==0 ) ) {
        set_state(READY_);
        on_ready();
    }
}

void Exam_<xsl:value-of select="$component_name"/>::trans_standby()
{
    set_state(STANDBY_);
    on_standby();
}

void Exam_<xsl:value-of select="$component_name"/>::trans_stop()
{
    set_state(STOP_);
    on_stop();
}

void Exam_<xsl:value-of select="$component_name"/>::trans_start()
{
    if( ! state_->reset_state &amp;&amp; ( state_->cmd >= START_ || state_->cmd ==0 ) ) {
        set_state(START_);
        on_start();
    }
}

void Exam_<xsl:value-of select="$component_name"/>::trans_run()
{
    set_state(RUN_);
    on_run();
}

} // namespace Exam

</xsl:template>
</xsl:stylesheet>
