<?xml version="1.0" encoding="utf-8"?>
<!-- copyright@ 2020, Waregram , All right Reserved. -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="../../../../xsl_util.xsl"/>

<xsl:output method="text" encoding="utf-8" indent="yes"/>

<xsl:param name = "export_stub_class_id" />

<xsl:template match="/">
  <xsl:for-each select="/nerv_icde/component/stub_list/row[id=$export_stub_class_id]">
    <xsl:variable name="method_domain_id" select="method_domain_id" />
    <xsl:variable name="interface_name" select="interface_name" />
    <xsl:variable name="class_name" select="class_name" />

#include "<xsl:value-of select="$class_name"/>_exam.hh"


#include &lt;examout.hh&gt;
#include &lt;stdio.h&gt;


namespace Exam {
namespace Nerv_stub {

using namespace Nerv36;

<xsl:value-of select="$class_name"/>_exam::<xsl:value-of select="$class_name"/>_exam(Stub_<xsl:value-of select="$interface_name"/>_* _interface_) :
    Stub_<xsl:value-of select="$interface_name"/>(_interface_? _interface_ : this)
{
}

<xsl:value-of select="$class_name"/>_exam::~<xsl:value-of select="$class_name"/>_exam()
{
}


void <xsl:value-of select="$class_name"/>_exam::on_connect(Nerv36::Address _proxy_addr)
{
    proxy_addr = _proxy_addr;
    fprintf(examout_, "<xsl:value-of select="$class_name"/>_exam::on_connect\n");

    std::lock_guard&lt;std::mutex&gt; locker(conn_lock);
    conn[_proxy_addr] = new std::map&lt;std::string, bool &gt;;
}

void <xsl:value-of select="$class_name"/>_exam::on_disconnect(Nerv36::Address _proxy_addr)
{
    fprintf(examout_, "<xsl:value-of select="$class_name"/>_exam::on_disconnect\n");

    std::lock_guard&lt;std::mutex&gt; locker(conn_lock);
    delete conn[_proxy_addr];
    conn[_proxy_addr] = 0;
}

    <xsl:for-each select="/nerv_icde/methoddomain/row[id=$method_domain_id]">
      <xsl:for-each select="interface/row[name=$interface_name]">
        <xsl:for-each select="membermethod/row">
          <xsl:variable name="method_name" select="method_name" />
          <xsl:for-each select="../../../../method/row[name=$method_name]">

            <xsl:variable name="in_data_domain_namespace">
              <xsl:call-template name="get_data_domain_namespace">
                <xsl:with-param name="data_domain_id" select="in_data_domain_id" />
              </xsl:call-template>
            </xsl:variable>
            <xsl:variable name="out_data_domain_namespace">
              <xsl:call-template name="get_data_domain_namespace">
                <xsl:with-param name="data_domain_id" select="out_data_domain_id" />
              </xsl:call-template>
            </xsl:variable>
            <xsl:choose>
              <xsl:when test="type='CALLBACK'">
void <xsl:value-of select="$class_name"/>_exam::on_<xsl:value-of select="$method_name"/>_return(::Nerv36::Msg_num _msg_num, ::Nerv36::Address  _proxy_addr, ::Nerv36::Error _err,<xsl:if test="in_data!='(null)'"> const Nerv36::Data<xsl:value-of select="$in_data_domain_namespace"/>::<xsl:value-of select="in_data"/>* _ret_dat_,</xsl:if> double _elapsed)
{
    fprintf(examout_, "<xsl:value-of select="$class_name"/>_exam::callback::on_<xsl:value-of select="$method_name"/>_return\n");
}
              </xsl:when>
              <xsl:when test="type='SIGNALBACK'">
void <xsl:value-of select="$class_name"/>_exam::on_<xsl:value-of select="$method_name"/>_return(::Nerv36::Msg_num _msg_num, ::Nerv36::Address  _proxy_addr, ::Nerv36::Error _err, double _elapsed)
{
    fprintf(examout_, "<xsl:value-of select="$class_name"/>_exam::signalback::on_<xsl:value-of select="$method_name"/>_return\n");
}
              </xsl:when>
              <xsl:when test="type='CALL'">
                <xsl:choose>
                  <xsl:when test="in_data='(null)' and out_data='(null)'">
::Nerv36::Error <xsl:value-of select="$class_name"/>_exam::on_<xsl:value-of select="$method_name"/>( ::Nerv36::Address _proxy_addr, double _elapsed, double _limit)
{
    fprintf(examout_, "<xsl:value-of select="$class_name"/>_exam::call::on_<xsl:value-of select="$method_name"/>\n");
    return 0;
}
                  </xsl:when>
                  <xsl:when test="in_data='(null)' and out_data!='(null)'">
::Nerv36::Error <xsl:value-of select="$class_name"/>_exam::on_<xsl:value-of select="$method_name"/>(::Nerv36::Address _proxy_addr, Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>* _ret_dat_, double _elapsed, double _limit)
{
    fprintf(examout_, "<xsl:value-of select="$class_name"/>_exam::call::on_<xsl:value-of select="$method_name"/>\n");
    return 0;
}
                  </xsl:when>
                  <xsl:when test="in_data!='(null)' and out_data='(null)'">
::Nerv36::Error <xsl:value-of select="$class_name"/>_exam::on_<xsl:value-of select="$method_name"/>(::Nerv36::Address _proxy_addr, const Nerv36::Data<xsl:value-of select="$in_data_domain_namespace"/>::<xsl:value-of select="in_data"/>* _cal_dat_, double _elapsed, double _limit)
{
    fprintf(examout_, "<xsl:value-of select="$class_name"/>_exam::call::on_<xsl:value-of select="$method_name"/>\n");
    return 0;
}
                  </xsl:when>
                  <xsl:when test="in_data!='(null)' and out_data!='(null)'">
::Nerv36::Error <xsl:value-of select="$class_name"/>_exam::on_<xsl:value-of select="$method_name"/>( ::Nerv36::Address _proxy_addr, const Nerv36::Data<xsl:value-of select="$in_data_domain_namespace"/>::<xsl:value-of select="in_data"/>* _cal_dat_, Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>* _ret_dat_, double _elapsed, double _limit)
{
    fprintf(examout_, "<xsl:value-of select="$class_name"/>_exam::call::on_<xsl:value-of select="$method_name"/>\n");
    return 0;
}
                  </xsl:when>
                </xsl:choose>
void <xsl:value-of select="$class_name"/>_exam::on_<xsl:value-of select="$method_name"/>_cancel( ::Nerv36::Address _proxy_addr, ::Nerv36::Error _err)
{
    fprintf(examout_, "<xsl:value-of select="$class_name"/>_exam::call::on_<xsl:value-of select="$method_name"/>_cancel\n");
}
              </xsl:when>
              <xsl:when test="type='SIGNAL'">
void <xsl:value-of select="$class_name"/>_exam::on_<xsl:value-of select="$method_name"/>( Address _proxy_addr, <xsl:if test="in_data!='(null)'">const ::Nerv36::Data<xsl:value-of select="$in_data_domain_namespace"/>::<xsl:value-of select="in_data"/>* _sig_dat_,</xsl:if> double _elapsed)
{
    fprintf(examout_, "<xsl:value-of select="$class_name"/>_exam::signal::on_<xsl:value-of select="$method_name"/>\n");
}

void <xsl:value-of select="$class_name"/>_exam::on_<xsl:value-of select="$method_name"/>_cancel(Address _proxy_addr, Error _err)
{
    fprintf(examout_, "<xsl:value-of select="$class_name"/>_exam::signal::on_<xsl:value-of select="$method_name"/>_cancel\n");
}
              </xsl:when>
              <xsl:when test="type='EVENT'">
::Nerv36::Error <xsl:value-of select="$class_name"/>_exam::on_<xsl:value-of select="$method_name"/>_link( ::Nerv36::Address _proxy_addr, double _elapsed, double _limit)
{
    fprintf(examout_, "<xsl:value-of select="$class_name"/>_exam::event::on_<xsl:value-of select="$method_name"/>_link\n");
    std::lock_guard&lt;std::mutex&gt; locker(conn_lock);
    (*conn[_proxy_addr])["<xsl:value-of select="$method_name"/>"] = true;
    return 0;
}

void <xsl:value-of select="$class_name"/>_exam::on_<xsl:value-of select="$method_name"/>_unlink(::Nerv36::Address _proxy_addr, Error _err)
{
    fprintf(examout_, "<xsl:value-of select="$class_name"/>_exam::event::on_<xsl:value-of select="$method_name"/>_unlink\n");
    std::lock_guard&lt;std::mutex&gt; locker(conn_lock);
    (*conn[_proxy_addr])["<xsl:value-of select="$method_name"/>"] = false;
}
              </xsl:when>
              <xsl:when test="type='COMMAND'">
::Nerv36::Error <xsl:value-of select="$class_name"/>_exam::on_<xsl:value-of select="$method_name"/>_link(::Nerv36::Address _proxy_addr, double _elapsed, double _limit)
{
    fprintf(examout_, "<xsl:value-of select="$class_name"/>_exam::command::on_<xsl:value-of select="$method_name"/>_link\n");
    std::lock_guard&lt;std::mutex&gt; locker(conn_lock);
    (*conn[_proxy_addr])["<xsl:value-of select="$method_name"/>"] = true;
    return 0;
}

void <xsl:value-of select="$class_name"/>_exam::on_<xsl:value-of select="$method_name"/>_unlink(::Nerv36::Address _proxy_addr, Error _err)
{
    fprintf(examout_, "<xsl:value-of select="$class_name"/>_exam::command::on_<xsl:value-of select="$method_name"/>_unlink\n");
    std::lock_guard&lt;std::mutex&gt; locker(conn_lock);
    (*conn[_proxy_addr])["<xsl:value-of select="$method_name"/>"] = false;
}
                <xsl:choose >
                  <xsl:when test="in_data='(null)'">
void <xsl:value-of select="$class_name"/>_exam::on_<xsl:value-of select="$method_name"/>_sync(::Nerv36::Address _proxy_addr, Nerv36::Sync_model _sync_model, double _elapsed, double _limit)
{
    fprintf(examout_, "<xsl:value-of select="$class_name"/>_exam::command::on_<xsl:value-of select="$method_name"/>_sync\n");
}
                  </xsl:when>
                  <xsl:otherwise>
void <xsl:value-of select="$class_name"/>_exam::on_<xsl:value-of select="$method_name"/>_sync(::Nerv36::Address _proxy_addr, Nerv36::Sync_model _sync_model, double _elapsed, double _limit, const Nerv36::Data<xsl:value-of select="$in_data_domain_namespace"/>::<xsl:value-of select="in_data"/>* _cmd_dat_)
{
    fprintf(examout_, "<xsl:value-of select="$class_name"/>_exam::command::on_<xsl:value-of select="$method_name"/>_sync\n");
}
                  </xsl:otherwise>
                </xsl:choose>
              </xsl:when>
              <xsl:when test="type='INFORMATION'">
::Nerv36::Error <xsl:value-of select="$class_name"/>_exam::on_<xsl:value-of select="$method_name"/>_link(::Nerv36::Address _proxy_addr, bool _reliability, double _elapsed, double _limit)
{
    fprintf(examout_, "<xsl:value-of select="$class_name"/>_exam::information::on_<xsl:value-of select="$method_name"/>_link\n");
    std::lock_guard&lt;std::mutex&gt; locker(conn_lock);
    (*conn[_proxy_addr])["<xsl:value-of select="$method_name"/>"] = true;
    return 0;
}

void <xsl:value-of select="$class_name"/>_exam::on_<xsl:value-of select="$method_name"/>_unlink(::Nerv36::Address _proxy_addr, Error _err)
{
    fprintf(examout_, "<xsl:value-of select="$class_name"/>_exam::information::on_<xsl:value-of select="$method_name"/>_unlink\n");
    std::lock_guard&lt;std::mutex&gt; locker(conn_lock);
    (*conn[_proxy_addr])["<xsl:value-of select="$method_name"/>"] = false;
}
              </xsl:when>
              <xsl:when test="type='BROADCAST'">
              </xsl:when>
            </xsl:choose>
          </xsl:for-each>
        </xsl:for-each>
      </xsl:for-each>
    </xsl:for-each>

} // namespace Nerv_stub
} // namespace Exam


  </xsl:for-each>
</xsl:template>

</xsl:stylesheet>
