<?xml version="1.0" encoding="utf-8"?>
<!-- copyright@ 2020, Waregram , All right Reserved. -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="../../../xsl_util.xsl"/>
<xsl:output method="text" encoding="utf-8" indent="yes" />
<xsl:template match="/">
<xsl:variable name="component_name">
  <xsl:call-template name="replace">
    <xsl:with-param name="text" select="nerv_icde/component/name" />
    <xsl:with-param name="replace" select="' '" />
    <xsl:with-param name="by" select="'_'" />
  </xsl:call-template>
</xsl:variable>

#include "Exam_main_prompt.hh"
#include &lt;Waregram/_fgets.hpp&gt;
#include &lt;Waregram/_path.hpp&gt;
#include &lt;Waregram/null_filepath.h&gt;

#include &lt;examout.hh&gt;
#include &lt;iostream&gt;

namespace Exam {

// using namespace std;

Exam_main_prompt::Exam_main_prompt(int               _argc,
                                   char*             _argv[],
                                   Exam_<xsl:value-of select="$component_name"/>* _cmpt_)
    : argc(_argc), argv(_argv), cmpt_(_cmpt_)
{
    null = fopen(NULL_FILEPATH, "wb");
}

Exam_main_prompt::~Exam_main_prompt()
{
    fclose(null);
    null = 0;
}

bool Exam_main_prompt::is_quit(const std::string _in)
{
    bool quit;

    if(_in == "q" || _in == "e" || _in == "exit" || _in == "quit")
        quit = true;
    else
        quit = false;
    return quit;
}

int Exam_main_prompt::exec()
{
    std::string path    = argv[0];
    std::string program = filename(path);
    std::string cmd;

    while(!is_quit(cmd)) {

        std::string param;
        Nerv36::Data::Component::State state = cmpt_->state_->state;
        printf("\n%s : %s> ", program.c_str(), get_str_of_State(state) );
        cmd = fgets(&amp;cmd, stdin);
        size_t f1 = cmd.rfind("\n")+1;
        cmd = cmd.substr(0, f1 - 1);
        size_t f2 = cmd.find(" ");
        if ( f2 != std::string::npos  ) {
            param = cmd.substr(f2+1, cmd.length() - f2);
            cmd = cmd.substr(0, f2);
        }

        if(cmd == "e") {}
        else if( cmd == "v") { view(); }
        else if( cmd == "help") { help(); }
        else if( cmd == "f") { frequency(param); }
        else if( cmd == "i") { interval(param); }
#define PROMPT_COMMAND(CMD) else if(cmd == #CMD) { cmpt_->CMD(); }
        PROMPT_COMMAND(ready)
        PROMPT_COMMAND(start)
        PROMPT_COMMAND(stop)
        PROMPT_COMMAND(reset)
        PROMPT_COMMAND(shutdown)
        PROMPT_COMMAND(emergency)
        PROMPT_COMMAND(release)
#undef PROMPT_COMMAND

    }
    return 0;
}

void Exam_main_prompt::view()
{
    if(examout_ == stdout) {
        examout_ = null;
        printf("output masked\n");
    }
    else {
        examout_ = stdout;
        printf("output unmasked\n");
    }

}
void Exam_main_prompt::help()
{
    printf("command list - v(view) / h(help) / ready / start / stop / reset / shutdown / failure / emergency / release\n");
    printf("exit - e(exit) / q(quit)\n");
}

void Exam_main_prompt::frequency(std::string _parm)
{
    cmpt_->frequency(std::stoi(_parm));
}

void Exam_main_prompt::interval(std::string _parm)
{
    cmpt_->interval(std::stoi(_parm));
}

} // namespace Exam

</xsl:template>
</xsl:stylesheet>
