<?xml version="1.0" encoding="utf-8"?>
<!-- copyright@ 2020, Waregram , All right Reserved. -->
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:fn="http://www.w3.org/2005/02/xpath-functions"
>
<xsl:output method="xml" encoding="utf-8" indent="yes"/>
<xsl:include href="xsl_util.xsl"/>
<xsl:include href="chapter_0.xsl"/>
<xsl:include href="chapter_1.xsl"/>
<xsl:include href="chapter_2.xsl"/>
<xsl:include href="chapter_3.xsl"/>
<xsl:include href="chapter_4.xsl"/>
<xsl:include href="chapter_5.xsl"/>

<xsl:template match="/">
<HWPML Style="embed" SubVersion="10.0.0.0" Version="2.91">
	<HEAD SecCnt="1">
		<DOCSUMMARY>
			<TITLE>ICD/IDD</TITLE>
			<AUTHOR>(주)웨어그램</AUTHOR>
			<DATE></DATE>
		</DOCSUMMARY>
		<DOCSETTING>
			<BEGINNUMBER Endnote="1" Equation="1" Footnote="1" Page="1" Picture="1" Table="1"/>
			<CARETPOS List="6" Para="0" Pos="13"/>
		</DOCSETTING>
		<MAPPINGTABLE>

			<BINDATALIST Count="3">
				<xsl:attribute name="Count"><xsl:value-of select="count(/nerv_system_interface/system/nodes/node/processes/process/stubes/stub)+3"/></xsl:attribute>
				<BINITEM APath="deployment_uml.png" RPath="deployment_uml.png" Type="Link"/>
				<BINITEM APath="network_uml.png" RPath="network_uml.png" Type="Link"/>
				<BINITEM APath="system_interface_uml.png" RPath="system_interface_uml.png" Type="Link"/>
	<xsl:for-each select="/nerv_system_interface/system/nodes/node/processes/process/stubes/stub">
				<BINITEM APath="interface_uml.png" RPath="interface_uml.png" Type="Link">
					<xsl:attribute name="APath"><xsl:value-of select="name"/>_interface_uml.png</xsl:attribute>
					<xsl:attribute name="RPath"><xsl:value-of select="name"/>_interface_uml.png</xsl:attribute>
				</BINITEM>
	</xsl:for-each>
			</BINDATALIST>
			<FACENAMELIST>
				<FONTFACE Count="3" Lang="Hangul">
					<FONT Id="0" Name="굴림" Type="ttf">
						<TYPEINFO ArmStyle="1" Contrast="0" FamilyType="2" Letterform="1" Midline="1" Proportion="0" StrokeVariation="1" Weight="6" XHeight="1"/>
					</FONT>
					<FONT Id="1" Name="돋움체" Type="ttf">
						<TYPEINFO ArmStyle="1" Contrast="0" FamilyType="2" Letterform="1" Midline="1" Proportion="9" StrokeVariation="1" Weight="6" XHeight="1"/>
					</FONT>
					<FONT Id="2" Name="바탕" Type="ttf">
						<TYPEINFO ArmStyle="1" Contrast="0" FamilyType="2" Letterform="1" Midline="1" Proportion="0" StrokeVariation="1" Weight="6" XHeight="1"/>
					</FONT>
				</FONTFACE>
				<FONTFACE Count="3" Lang="Latin">
					<FONT Id="0" Name="굴림" Type="ttf">
						<TYPEINFO ArmStyle="1" Contrast="0" FamilyType="2" Letterform="1" Midline="1" Proportion="0" StrokeVariation="1" Weight="6" XHeight="1"/>
					</FONT>
					<FONT Id="1" Name="돋움체" Type="ttf">
						<TYPEINFO ArmStyle="1" Contrast="0" FamilyType="2" Letterform="1" Midline="1" Proportion="9" StrokeVariation="1" Weight="6" XHeight="1"/>
					</FONT>
					<FONT Id="2" Name="바탕" Type="ttf">
						<TYPEINFO ArmStyle="1" Contrast="0" FamilyType="2" Letterform="1" Midline="1" Proportion="0" StrokeVariation="1" Weight="6" XHeight="1"/>
					</FONT>
				</FONTFACE>
				<FONTFACE Count="3" Lang="Hanja">
					<FONT Id="0" Name="굴림" Type="ttf">
						<TYPEINFO ArmStyle="1" Contrast="0" FamilyType="2" Letterform="1" Midline="1" Proportion="0" StrokeVariation="1" Weight="6" XHeight="1"/>
					</FONT>
					<FONT Id="1" Name="돋움체" Type="ttf">
						<TYPEINFO ArmStyle="1" Contrast="0" FamilyType="2" Letterform="1" Midline="1" Proportion="9" StrokeVariation="1" Weight="6" XHeight="1"/>
					</FONT>
					<FONT Id="2" Name="바탕" Type="ttf">
						<TYPEINFO ArmStyle="1" Contrast="0" FamilyType="2" Letterform="1" Midline="1" Proportion="0" StrokeVariation="1" Weight="6" XHeight="1"/>
					</FONT>
				</FONTFACE>
				<FONTFACE Count="3" Lang="Japanese">
					<FONT Id="0" Name="굴림" Type="ttf">
						<TYPEINFO ArmStyle="1" Contrast="0" FamilyType="2" Letterform="1" Midline="1" Proportion="0" StrokeVariation="1" Weight="6" XHeight="1"/>
					</FONT>
					<FONT Id="1" Name="돋움체" Type="ttf">
						<TYPEINFO ArmStyle="1" Contrast="0" FamilyType="2" Letterform="1" Midline="1" Proportion="9" StrokeVariation="1" Weight="6" XHeight="1"/>
					</FONT>
					<FONT Id="2" Name="바탕" Type="ttf">
						<TYPEINFO ArmStyle="1" Contrast="0" FamilyType="2" Letterform="1" Midline="1" Proportion="0" StrokeVariation="1" Weight="6" XHeight="1"/>
					</FONT>
				</FONTFACE>
				<FONTFACE Count="3" Lang="Other">
					<FONT Id="0" Name="굴림" Type="ttf">
						<TYPEINFO ArmStyle="1" Contrast="0" FamilyType="2" Letterform="1" Midline="1" Proportion="0" StrokeVariation="1" Weight="6" XHeight="1"/>
					</FONT>
					<FONT Id="1" Name="돋움체" Type="ttf">
						<TYPEINFO ArmStyle="2" Contrast="2" FamilyType="2" Letterform="2" Midline="2" Proportion="4" StrokeVariation="2" Weight="6" XHeight="4"/>
					</FONT>
					<FONT Id="2" Name="바탕" Type="ttf">
						<TYPEINFO ArmStyle="2" Contrast="2" FamilyType="2" Letterform="2" Midline="2" Proportion="4" StrokeVariation="2" Weight="6" XHeight="4"/>
					</FONT>
				</FONTFACE>
				<FONTFACE Count="3" Lang="Symbol">
					<FONT Id="0" Name="굴림" Type="ttf">
						<TYPEINFO ArmStyle="1" Contrast="0" FamilyType="2" Letterform="1" Midline="1" Proportion="0" StrokeVariation="1" Weight="6" XHeight="1"/>
					</FONT>
					<FONT Id="1" Name="돋움체" Type="ttf">
						<TYPEINFO ArmStyle="1" Contrast="0" FamilyType="2" Letterform="1" Midline="1" Proportion="9" StrokeVariation="1" Weight="6" XHeight="1"/>
					</FONT>
					<FONT Id="2" Name="바탕" Type="ttf">
						<TYPEINFO ArmStyle="1" Contrast="0" FamilyType="2" Letterform="1" Midline="1" Proportion="0" StrokeVariation="1" Weight="6" XHeight="1"/>
					</FONT>
				</FONTFACE>
				<FONTFACE Count="3" Lang="User">
					<FONT Id="0" Name="굴림" Type="ttf">
						<TYPEINFO ArmStyle="1" Contrast="0" FamilyType="2" Letterform="1" Midline="1" Proportion="0" StrokeVariation="1" Weight="6" XHeight="1"/>
					</FONT>
					<FONT Id="1" Name="돋움체" Type="ttf">
						<TYPEINFO ArmStyle="1" Contrast="0" FamilyType="2" Letterform="1" Midline="1" Proportion="9" StrokeVariation="1" Weight="6" XHeight="1"/>
					</FONT>
					<FONT Id="2" Name="바탕" Type="ttf">
						<TYPEINFO ArmStyle="1" Contrast="0" FamilyType="2" Letterform="1" Midline="1" Proportion="0" StrokeVariation="1" Weight="6" XHeight="1"/>
					</FONT>
				</FONTFACE>
			</FACENAMELIST>
			<BORDERFILLLIST Count="10">
				<BORDERFILL BackSlash="0" BreakCellSeparateLine="0" CenterLine="0" CounterBackSlash="0" CounterSlash="0" CrookedSlash="0" Id="1" Shadow="false" Slash="0" ThreeD="false">
					<LEFTBORDER Type="None" Width="0.1mm"/>
					<RIGHTBORDER Type="None" Width="0.1mm"/>
					<TOPBORDER Type="None" Width="0.1mm"/>
					<BOTTOMBORDER Type="None" Width="0.1mm"/>
					<DIAGONAL Type="Solid" Width="0.1mm"/>
				</BORDERFILL>
				<BORDERFILL BackSlash="0" BreakCellSeparateLine="0" CenterLine="0" CounterBackSlash="0" CounterSlash="0" CrookedSlash="0" Id="2" Shadow="false" Slash="0" ThreeD="false">
					<LEFTBORDER Type="None" Width="0.1mm"/>
					<RIGHTBORDER Type="None" Width="0.1mm"/>
					<TOPBORDER Type="None" Width="0.1mm"/>
					<BOTTOMBORDER Type="None" Width="0.1mm"/>
					<DIAGONAL Type="Solid" Width="0.1mm"/>
					<FILLBRUSH>
						<WINDOWBRUSH Alpha="0" FaceColor="4294967295" HatchColor="4278190080"/>
					</FILLBRUSH>
				</BORDERFILL>
				<BORDERFILL BackSlash="0" BreakCellSeparateLine="0" CenterLine="0" CounterBackSlash="0" CounterSlash="0" CrookedSlash="0" Id="3" Shadow="false" Slash="0" ThreeD="false">
					<LEFTBORDER Type="None" Width="0.12mm"/>
					<RIGHTBORDER Type="None" Width="0.12mm"/>
					<TOPBORDER Type="None" Width="0.12mm"/>
					<BOTTOMBORDER Type="None" Width="0.12mm"/>
					<DIAGONAL Type="Solid" Width="0.1mm"/>
				</BORDERFILL>
				<BORDERFILL BackSlash="0" BreakCellSeparateLine="0" CenterLine="0" CounterBackSlash="0" CounterSlash="0" CrookedSlash="0" Id="4" Shadow="false" Slash="0" ThreeD="false">
					<LEFTBORDER Type="Solid" Width="0.12mm"/>
					<RIGHTBORDER Type="Solid" Width="0.12mm"/>
					<TOPBORDER Type="Solid" Width="0.12mm"/>
					<BOTTOMBORDER Type="Solid" Width="0.12mm"/>
					<DIAGONAL Type="Solid" Width="0.1mm"/>
				</BORDERFILL>
				<BORDERFILL BackSlash="0" BreakCellSeparateLine="0" CenterLine="0" CounterBackSlash="0" CounterSlash="0" CrookedSlash="0" Id="5" Shadow="false" Slash="0" ThreeD="false">
					<LEFTBORDER Type="None" Width="0.12mm"/>
					<RIGHTBORDER Type="None" Width="0.12mm"/>
					<TOPBORDER Type="Solid" Width="0.12mm"/>
					<BOTTOMBORDER Type="None" Width="0.12mm"/>
					<DIAGONAL Type="Solid" Width="0.1mm"/>
				</BORDERFILL>
				<BORDERFILL BackSlash="0" BreakCellSeparateLine="0" CenterLine="0" CounterBackSlash="0" CounterSlash="0" CrookedSlash="0" Id="6" Shadow="false" Slash="0" ThreeD="false">
					<LEFTBORDER Type="None" Width="0.1mm"/>
					<RIGHTBORDER Type="None" Width="0.1mm"/>
					<TOPBORDER Type="None" Width="0.1mm"/>
					<BOTTOMBORDER Type="Solid" Width="0.4mm"/>
					<DIAGONAL Type="Solid" Width="0.1mm"/>
					<FILLBRUSH>
						<WINDOWBRUSH Alpha="0" FaceColor="15987699" HatchColor="0"/>
					</FILLBRUSH>
				</BORDERFILL>
				<BORDERFILL BackSlash="0" BreakCellSeparateLine="0" CenterLine="0" CounterBackSlash="0" CounterSlash="0" CrookedSlash="0" Id="7" Shadow="false" Slash="0" ThreeD="false">
					<LEFTBORDER Type="None" Width="0.1mm"/>
					<RIGHTBORDER Type="None" Width="0.1mm"/>
					<TOPBORDER Type="None" Width="0.1mm"/>
					<BOTTOMBORDER Type="None" Width="0.12mm"/>
					<DIAGONAL Type="Solid" Width="0.1mm"/>
					<FILLBRUSH>
						<WINDOWBRUSH Alpha="0" FaceColor="15987699" HatchColor="0"/>
					</FILLBRUSH>
				</BORDERFILL>
				<BORDERFILL BackSlash="0" BreakCellSeparateLine="0" CenterLine="0" CounterBackSlash="0" CounterSlash="0" CrookedSlash="0" Id="8" Shadow="false" Slash="0" ThreeD="false">
					<LEFTBORDER Type="None" Width="0.12mm"/>
					<RIGHTBORDER Type="None" Width="0.12mm"/>
					<TOPBORDER Type="None" Width="0.12mm"/>
					<BOTTOMBORDER Type="Solid" Width="0.12mm"/>
					<DIAGONAL Type="Solid" Width="0.1mm"/>
				</BORDERFILL>
				<BORDERFILL BackSlash="0" BreakCellSeparateLine="0" CenterLine="0" CounterBackSlash="0" CounterSlash="0" CrookedSlash="0" Id="9" Shadow="false" Slash="0" ThreeD="false">
					<LEFTBORDER Type="Solid" Width="0.12mm"/>
					<RIGHTBORDER Type="Solid" Width="0.12mm"/>
					<TOPBORDER Type="Solid" Width="0.12mm"/>
					<BOTTOMBORDER Type="Solid" Width="0.12mm"/>
					<DIAGONAL Type="Solid" Width="0.1mm"/>
					<FILLBRUSH>
						<WINDOWBRUSH Alpha="0" FaceColor="14079702" HatchColor="0"/>
					</FILLBRUSH>
				</BORDERFILL>
				<BORDERFILL BackSlash="0" BreakCellSeparateLine="0" CenterLine="0" CounterBackSlash="0" CounterSlash="0" CrookedSlash="0" Id="10" Shadow="false" Slash="0" ThreeD="false">
					<LEFTBORDER Type="None" Width="0.1mm"/>
					<RIGHTBORDER Type="None" Width="0.1mm"/>
					<TOPBORDER Type="None" Width="0.1mm"/>
					<BOTTOMBORDER Type="None" Width="0.1mm"/>
					<DIAGONAL Type="Solid" Width="0.1mm"/>
					<FILLBRUSH>
						<WINDOWBRUSH Alpha="0" FaceColor="4294967295" HatchColor="0"/>
					</FILLBRUSH>
				</BORDERFILL>
			</BORDERFILLLIST>
			<CHARSHAPELIST Count="21">
				<CHARSHAPE BorderFillId="10" Height="900" Id="0" ShadeColor="4294967295" SymMark="0" TextColor="255" UseFontSpace="false" UseKerning="false">
					<FONTID Hangul="1" Hanja="1" Japanese="1" Latin="1" Other="1" Symbol="1" User="1"/>
					<RATIO Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHARSPACING Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<RELSIZE Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHAROFFSET Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<ITALIC/>
				</CHARSHAPE>
				<CHARSHAPE BorderFillId="2" Height="1000" Id="1" ShadeColor="4294967295" SymMark="0" TextColor="0" UseFontSpace="false" UseKerning="false">
					<FONTID Hangul="1" Hanja="1" Japanese="1" Latin="1" Other="1" Symbol="1" User="1"/>
					<RATIO Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHARSPACING Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<RELSIZE Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHAROFFSET Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
				</CHARSHAPE>
				<CHARSHAPE BorderFillId="2" Height="1100" Id="2" ShadeColor="4294967295" SymMark="0" TextColor="0" UseFontSpace="false" UseKerning="false">
					<FONTID Hangul="1" Hanja="1" Japanese="1" Latin="1" Other="1" Symbol="1" User="1"/>
					<RATIO Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHARSPACING Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<RELSIZE Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHAROFFSET Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
				</CHARSHAPE>
				<CHARSHAPE BorderFillId="1" Height="1100" Id="3" ShadeColor="4294967295" SymMark="0" TextColor="0" UseFontSpace="false" UseKerning="false">
					<FONTID Hangul="1" Hanja="1" Japanese="1" Latin="1" Other="1" Symbol="1" User="1"/>
					<RATIO Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHARSPACING Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<RELSIZE Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHAROFFSET Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
				</CHARSHAPE>
				<CHARSHAPE BorderFillId="7" Height="1800" Id="4" ShadeColor="4294967295" SymMark="0" TextColor="0" UseFontSpace="false" UseKerning="false">
					<FONTID Hangul="1" Hanja="1" Japanese="1" Latin="1" Other="1" Symbol="1" User="1"/>
					<RATIO Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHARSPACING Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<RELSIZE Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHAROFFSET Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<BOLD/>
				</CHARSHAPE>
				<CHARSHAPE BorderFillId="1" Height="900" Id="5" ShadeColor="4294967295" SymMark="0" TextColor="0" UseFontSpace="false" UseKerning="false">
					<FONTID Hangul="1" Hanja="1" Japanese="1" Latin="1" Other="1" Symbol="1" User="1"/>
					<RATIO Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHARSPACING Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<RELSIZE Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHAROFFSET Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
				</CHARSHAPE>
				<CHARSHAPE BorderFillId="2" Height="1400" Id="6" ShadeColor="4294967295" SymMark="0" TextColor="0" UseFontSpace="false" UseKerning="false">
					<FONTID Hangul="1" Hanja="1" Japanese="1" Latin="1" Other="1" Symbol="1" User="1"/>
					<RATIO Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHARSPACING Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<RELSIZE Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHAROFFSET Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<BOLD/>
				</CHARSHAPE>
				<CHARSHAPE BorderFillId="1" Height="900" Id="7" ShadeColor="4294967295" SymMark="0" TextColor="255" UseFontSpace="false" UseKerning="false">
					<FONTID Hangul="1" Hanja="1" Japanese="1" Latin="1" Other="1" Symbol="1" User="1"/>
					<RATIO Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHARSPACING Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<RELSIZE Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHAROFFSET Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<ITALIC/>
				</CHARSHAPE>
				<CHARSHAPE BorderFillId="2" Height="1200" Id="8" ShadeColor="4294967295" SymMark="0" TextColor="0" UseFontSpace="false" UseKerning="false">
					<FONTID Hangul="1" Hanja="1" Japanese="1" Latin="1" Other="1" Symbol="1" User="1"/>
					<RATIO Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHARSPACING Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<RELSIZE Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHAROFFSET Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<BOLD/>
				</CHARSHAPE>
				<CHARSHAPE BorderFillId="2" Height="1100" Id="9" ShadeColor="4294967295" SymMark="0" TextColor="0" UseFontSpace="false" UseKerning="false">
					<FONTID Hangul="1" Hanja="1" Japanese="1" Latin="1" Other="1" Symbol="1" User="1"/>
					<RATIO Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHARSPACING Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<RELSIZE Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHAROFFSET Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<BOLD/>
				</CHARSHAPE>
				<CHARSHAPE BorderFillId="2" Height="1600" Id="10" ShadeColor="4294967295" SymMark="0" TextColor="0" UseFontSpace="false" UseKerning="false">
					<FONTID Hangul="1" Hanja="1" Japanese="1" Latin="1" Other="1" Symbol="1" User="1"/>
					<RATIO Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHARSPACING Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<RELSIZE Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHAROFFSET Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<BOLD/>
				</CHARSHAPE>
				<CHARSHAPE BorderFillId="1" Height="900" Id="11" ShadeColor="4294967295" SymMark="0" TextColor="0" UseFontSpace="false" UseKerning="false">
					<FONTID Hangul="1" Hanja="1" Japanese="1" Latin="1" Other="1" Symbol="1" User="1"/>
					<RATIO Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHARSPACING Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<RELSIZE Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHAROFFSET Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<BOLD/>
				</CHARSHAPE>
				<CHARSHAPE BorderFillId="10" Height="1000" Id="12" ShadeColor="4294967295" SymMark="0" TextColor="0" UseFontSpace="false" UseKerning="false">
					<FONTID Hangul="1" Hanja="1" Japanese="1" Latin="1" Other="1" Symbol="1" User="1"/>
					<RATIO Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHARSPACING Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<RELSIZE Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHAROFFSET Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
				</CHARSHAPE>
				<CHARSHAPE BorderFillId="10" Height="1100" Id="13" ShadeColor="4294967295" SymMark="0" TextColor="0" UseFontSpace="false" UseKerning="false">
					<FONTID Hangul="1" Hanja="1" Japanese="1" Latin="1" Other="1" Symbol="1" User="1"/>
					<RATIO Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHARSPACING Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<RELSIZE Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHAROFFSET Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
				</CHARSHAPE>
				<CHARSHAPE BorderFillId="10" Height="2000" Id="14" ShadeColor="4294967295" SymMark="0" TextColor="0" UseFontSpace="false" UseKerning="false">
					<FONTID Hangul="1" Hanja="1" Japanese="1" Latin="1" Other="1" Symbol="1" User="1"/>
					<RATIO Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHARSPACING Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<RELSIZE Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHAROFFSET Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<BOLD/>
				</CHARSHAPE>
				<CHARSHAPE BorderFillId="10" Height="1000" Id="15" ShadeColor="4294967295" SymMark="0" TextColor="0" UseFontSpace="false" UseKerning="false">
					<FONTID Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<RATIO Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHARSPACING Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<RELSIZE Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHAROFFSET Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
				</CHARSHAPE>
				<CHARSHAPE BorderFillId="10" Height="900" Id="16" ShadeColor="4294967295" SymMark="0" TextColor="0" UseFontSpace="false" UseKerning="false">
					<FONTID Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<RATIO Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHARSPACING Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<RELSIZE Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHAROFFSET Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
				</CHARSHAPE>
				<CHARSHAPE BorderFillId="10" Height="1000" Id="17" ShadeColor="4294967295" SymMark="0" TextColor="0" UseFontSpace="false" UseKerning="false">
					<FONTID Hangul="1" Hanja="1" Japanese="1" Latin="1" Other="1" Symbol="1" User="1"/>
					<RATIO Hangul="95" Hanja="95" Japanese="95" Latin="95" Other="95" Symbol="95" User="95"/>
					<CHARSPACING Hangul="-5" Hanja="-5" Japanese="-5" Latin="-5" Other="-5" Symbol="-5" User="-5"/>
					<RELSIZE Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHAROFFSET Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
				</CHARSHAPE>
				<CHARSHAPE BorderFillId="10" Height="900" Id="18" ShadeColor="4294967295" SymMark="0" TextColor="0" UseFontSpace="false" UseKerning="false">
					<FONTID Hangul="2" Hanja="2" Japanese="2" Latin="2" Other="2" Symbol="2" User="2"/>
					<RATIO Hangul="95" Hanja="95" Japanese="95" Latin="95" Other="95" Symbol="95" User="95"/>
					<CHARSPACING Hangul="-5" Hanja="-5" Japanese="-5" Latin="-5" Other="-5" Symbol="-5" User="-5"/>
					<RELSIZE Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHAROFFSET Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
				</CHARSHAPE>
				<CHARSHAPE BorderFillId="10" Height="900" Id="19" ShadeColor="4294967295" SymMark="0" TextColor="0" UseFontSpace="false" UseKerning="false">
					<FONTID Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<RATIO Hangul="95" Hanja="95" Japanese="95" Latin="95" Other="95" Symbol="95" User="95"/>
					<CHARSPACING Hangul="-5" Hanja="-5" Japanese="-5" Latin="-5" Other="-5" Symbol="-5" User="-5"/>
					<RELSIZE Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHAROFFSET Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
				</CHARSHAPE>
				<CHARSHAPE BorderFillId="10" Height="1000" Id="20" ShadeColor="4294967295" SymMark="0" TextColor="0" UseFontSpace="false" UseKerning="false">
					<FONTID Hangul="1" Hanja="1" Japanese="1" Latin="1" Other="1" Symbol="1" User="1"/>
					<RATIO Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHARSPACING Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<RELSIZE Hangul="100" Hanja="100" Japanese="100" Latin="100" Other="100" Symbol="100" User="100"/>
					<CHAROFFSET Hangul="0" Hanja="0" Japanese="0" Latin="0" Other="0" Symbol="0" User="0"/>
					<BOLD/>
				</CHARSHAPE>
			</CHARSHAPELIST>
			<TABDEFLIST Count="5">
				<TABDEF AutoTabLeft="false" AutoTabRight="false" Id="0"/>
				<TABDEF AutoTabLeft="true" AutoTabRight="false" Id="1"/>
				<TABDEF AutoTabLeft="false" AutoTabRight="true" Id="2"/>
				<TABDEF AutoTabLeft="false" AutoTabRight="false" Id="3">
					<TABITEM Pos="1623468551"/>
				</TABDEF>
				<TABDEF AutoTabLeft="true" AutoTabRight="false" Id="4">
					<TABITEM Pos="1623468551"/>
				</TABDEF>
			</TABDEFLIST>
			<NUMBERINGLIST Count="1">
				<NUMBERING Id="1" Start="0">
					<PARAHEAD Alignment="Left" AutoIndent="true" Level="1" NumFormat="Digit" Start="1" TextOffset="50" TextOffsetType="percent" UseInstWidth="true" WidthAdjust="0">^1.</PARAHEAD>
					<PARAHEAD Alignment="Left" AutoIndent="true" Level="2" NumFormat="Digit" Start="1" TextOffset="50" TextOffsetType="percent" UseInstWidth="true" WidthAdjust="0">^1.^2.</PARAHEAD>
					<PARAHEAD Alignment="Left" AutoIndent="true" Level="3" NumFormat="Digit" Start="1" TextOffset="50" TextOffsetType="percent" UseInstWidth="true" WidthAdjust="0">^1.^2.^3.</PARAHEAD>
					<PARAHEAD Alignment="Left" AutoIndent="true" Level="4" NumFormat="Digit" Start="1" TextOffset="50" TextOffsetType="percent" UseInstWidth="true" WidthAdjust="0">^1.^2.^3.^4.</PARAHEAD>
					<PARAHEAD Alignment="Left" AutoIndent="true" Level="5" NumFormat="Digit" Start="1" TextOffset="50" TextOffsetType="percent" UseInstWidth="true" WidthAdjust="0">^1.^2.^3.^4.^5.</PARAHEAD>
					<PARAHEAD Alignment="Left" AutoIndent="true" Level="6" NumFormat="Digit" Start="1" TextOffset="50" TextOffsetType="percent" UseInstWidth="false" WidthAdjust="0"/>
					<PARAHEAD Alignment="Left" AutoIndent="true" Level="7" NumFormat="Digit" Start="1" TextOffset="50" TextOffsetType="percent" UseInstWidth="false" WidthAdjust="0"/>
					<PARAHEAD Alignment="Left" AutoIndent="true" Level="8" NumFormat="Digit" Start="1" TextOffset="50" TextOffsetType="percent" UseInstWidth="false" WidthAdjust="0"/>
					<PARAHEAD Alignment="Left" AutoIndent="true" Level="9" NumFormat="Digit" Start="1" TextOffset="50" TextOffsetType="percent" UseInstWidth="false" WidthAdjust="0"/>
					<PARAHEAD Alignment="Left" AutoIndent="true" Level="10" NumFormat="Digit" Start="1" TextOffset="50" TextOffsetType="percent" UseInstWidth="false" WidthAdjust="0"/>
				</NUMBERING>
			</NUMBERINGLIST>
			<BULLETLIST Count="4">
				<BULLET Char="" Id="1">
					<PARAHEAD Alignment="Left" AutoIndent="true" TextOffset="50" TextOffsetType="percent" UseInstWidth="false" WidthAdjust="0"/>
				</BULLET>
				<BULLET Char="▶" Id="2">
					<PARAHEAD Alignment="Left" AutoIndent="true" TextOffset="50" TextOffsetType="percent" UseInstWidth="false" WidthAdjust="0"/>
				</BULLET>
				<BULLET Char="" Id="3">
					<PARAHEAD Alignment="Left" AutoIndent="true" TextOffset="50" TextOffsetType="percent" UseInstWidth="false" WidthAdjust="0"/>
				</BULLET>
				<BULLET Char="" Id="4">
					<PARAHEAD Alignment="Left" AutoIndent="true" TextOffset="50" TextOffsetType="percent" UseInstWidth="false" WidthAdjust="0"/>
				</BULLET>
			</BULLETLIST>
			<PARASHAPELIST Count="36">
				<PARASHAPE Align="Justify" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="true" Condense="0" FontLineHeight="false" HeadingType="None" Id="0" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="true" TabDef="0" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="0" Left="0" LineSpacing="160" LineSpacingType="Percent" Next="0" Prev="0" Right="0"/>
					<PARABORDER BorderFill="1" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Justify" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="true" Condense="0" FontLineHeight="false" HeadingType="None" Id="1" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="true" TabDef="0" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="0" Left="0" LineSpacing="160" LineSpacingType="Percent" Next="0" Prev="0" Right="0"/>
					<PARABORDER BorderFill="2" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Justify" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="true" Condense="0" FontLineHeight="false" HeadingType="None" Id="2" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="false" TabDef="1" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="-2620" Left="0" LineSpacing="130" LineSpacingType="Percent" Next="0" Prev="0" Right="0"/>
					<PARABORDER BorderFill="2" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Justify" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="true" Condense="0" FontLineHeight="false" HeadingType="None" Id="3" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="false" TabDef="0" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="0" Left="0" LineSpacing="160" LineSpacingType="Percent" Next="0" Prev="0" Right="0"/>
					<PARABORDER BorderFill="2" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Center" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="false" Condense="0" FontLineHeight="false" HeadingType="None" Id="4" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="false" TabDef="0" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="0" Left="0" LineSpacing="160" LineSpacingType="Percent" Next="0" Prev="0" Right="0"/>
					<PARABORDER BorderFill="2" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Justify" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="true" Condense="20" FontLineHeight="false" HeadingType="None" Id="5" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="true" TabDef="4" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="2000" Left="0" LineSpacing="160" LineSpacingType="Percent" Next="0" Prev="1000" Right="0"/>
					<PARABORDER BorderFill="2" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Justify" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="false" Condense="0" FontLineHeight="false" HeadingType="None" Id="6" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="false" TabDef="2" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="0" Left="0" LineSpacing="150" LineSpacingType="Percent" Next="0" Prev="0" Right="0"/>
					<PARABORDER BorderFill="2" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Justify" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="true" Condense="0" FontLineHeight="false" HeadingType="None" Id="7" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="true" TabDef="3" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="0" Left="0" LineSpacing="160" LineSpacingType="Percent" Next="0" Prev="0" Right="0"/>
					<PARABORDER BorderFill="2" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Justify" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="true" Condense="20" FontLineHeight="false" HeadingType="None" Id="8" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="true" TabDef="1" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="0" Left="0" LineSpacing="160" LineSpacingType="Percent" Next="0" Prev="2000" Right="0"/>
					<PARABORDER BorderFill="6" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Center" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="false" Condense="0" FontLineHeight="false" HeadingType="None" Id="9" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="false" TabDef="2" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="0" Left="0" LineSpacing="150" LineSpacingType="Percent" Next="0" Prev="0" Right="0"/>
					<PARABORDER BorderFill="2" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Justify" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="true" Condense="0" FontLineHeight="false" HeadingType="Outline" Id="10" KeepLines="false" KeepWithNext="false" Level="5" LineWrap="Break" PageBreakBefore="false" SnapToGrid="false" TabDef="1" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="0" Left="0" LineSpacing="180" LineSpacingType="Percent" Next="0" Prev="1000" Right="0"/>
					<PARABORDER BorderFill="2" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Center" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="false" Condense="20" FontLineHeight="false" HeadingType="None" Id="11" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="true" TabDef="1" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="0" Left="0" LineSpacing="160" LineSpacingType="Percent" Next="0" Prev="2000" Right="0"/>
					<PARABORDER BorderFill="6" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Justify" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="true" Condense="20" FontLineHeight="false" Heading="1" HeadingType="Bullet" Id="12" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="true" TabDef="0" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="2000" Left="6000" LineSpacing="160" LineSpacingType="Percent" Next="0" Prev="1000" Right="0"/>
					<PARABORDER BorderFill="2" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Right" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="false" Condense="20" FontLineHeight="false" HeadingType="None" Id="13" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="true" TabDef="0" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="0" Left="0" LineSpacing="160" LineSpacingType="Percent" Next="0" Prev="2000" Right="0"/>
					<PARABORDER BorderFill="2" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Justify" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="true" Condense="20" FontLineHeight="false" HeadingType="None" Id="14" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="true" TabDef="0" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="0" Left="0" LineSpacing="120" LineSpacingType="Percent" Next="0" Prev="1000" Right="0"/>
					<PARABORDER BorderFill="1" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Justify" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="true" Condense="20" FontLineHeight="false" Heading="2" HeadingType="Bullet" Id="15" KeepLines="false" KeepWithNext="false" Level="2" LineWrap="Break" PageBreakBefore="false" SnapToGrid="true" TabDef="1" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="0" Left="2000" LineSpacing="160" LineSpacingType="Percent" Next="0" Prev="1000" Right="0"/>
					<PARABORDER BorderFill="2" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Justify" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="true" Condense="0" FontLineHeight="false" HeadingType="Outline" Id="16" KeepLines="false" KeepWithNext="false" Level="1" LineWrap="Break" PageBreakBefore="false" SnapToGrid="true" TabDef="1" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="0" Left="0" LineSpacing="180" LineSpacingType="Percent" Next="0" Prev="2000" Right="0"/>
					<PARABORDER BorderFill="2" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Justify" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="true" Condense="0" FontLineHeight="false" HeadingType="Outline" Id="17" KeepLines="false" KeepWithNext="false" Level="2" LineWrap="Break" PageBreakBefore="false" SnapToGrid="true" TabDef="1" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="0" Left="0" LineSpacing="180" LineSpacingType="Percent" Next="0" Prev="2000" Right="0"/>
					<PARABORDER BorderFill="2" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Justify" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="true" Condense="0" FontLineHeight="false" HeadingType="Outline" Id="18" KeepLines="false" KeepWithNext="false" Level="6" LineWrap="Break" PageBreakBefore="false" SnapToGrid="false" TabDef="1" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="0" Left="0" LineSpacing="180" LineSpacingType="Percent" Next="0" Prev="1000" Right="0"/>
					<PARABORDER BorderFill="2" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Center" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="false" Condense="20" FontLineHeight="false" HeadingType="None" Id="19" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="true" TabDef="0" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="2000" Left="0" LineSpacing="130" LineSpacingType="Percent" Next="0" Prev="1000" Right="0"/>
					<PARABORDER BorderFill="2" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Justify" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="true" Condense="0" FontLineHeight="false" HeadingType="Outline" Id="20" KeepLines="false" KeepWithNext="false" Level="3" LineWrap="Break" PageBreakBefore="false" SnapToGrid="true" TabDef="1" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="0" Left="0" LineSpacing="180" LineSpacingType="Percent" Next="0" Prev="1000" Right="0"/>
					<PARABORDER BorderFill="2" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Justify" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="true" Condense="0" FontLineHeight="false" HeadingType="Outline" Id="21" KeepLines="false" KeepWithNext="false" Level="4" LineWrap="Break" PageBreakBefore="false" SnapToGrid="true" TabDef="1" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="0" Left="0" LineSpacing="180" LineSpacingType="Percent" Next="0" Prev="1000" Right="0"/>
					<PARABORDER BorderFill="2" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Justify" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="true" Condense="20" FontLineHeight="false" HeadingType="None" Id="22" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="true" TabDef="0" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="2000" Left="3000" LineSpacing="160" LineSpacingType="Percent" Next="0" Prev="1000" Right="0"/>
					<PARABORDER BorderFill="2" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Justify" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="true" Condense="20" FontLineHeight="false" HeadingType="Outline" Id="23" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="true" TabDef="1" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="0" Left="0" LineSpacing="160" LineSpacingType="Percent" Next="0" Prev="1000" Right="0"/>
					<PARABORDER BorderFill="6" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Justify" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="true" Condense="20" FontLineHeight="false" Heading="3" HeadingType="Bullet" Id="24" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="true" TabDef="0" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="2000" Left="4000" LineSpacing="160" LineSpacingType="Percent" Next="0" Prev="1000" Right="0"/>
					<PARABORDER BorderFill="2" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Center" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="false" Condense="20" FontLineHeight="false" HeadingType="None" Id="25" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="true" TabDef="0" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="2000" Left="0" LineSpacing="120" LineSpacingType="Percent" Next="0" Prev="1000" Right="0"/>
					<PARABORDER BorderFill="1" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Justify" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="true" Condense="20" FontLineHeight="false" HeadingType="None" Id="26" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="true" TabDef="0" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="2000" Left="0" LineSpacing="160" LineSpacingType="Percent" Next="0" Prev="1000" Right="0"/>
					<PARABORDER BorderFill="2" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Center" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="false" Condense="20" FontLineHeight="false" HeadingType="None" Id="27" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="true" TabDef="0" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="2000" Left="0" LineSpacing="160" LineSpacingType="Percent" Next="0" Prev="1000" Right="0"/>
					<PARABORDER BorderFill="2" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Justify" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="true" Condense="20" FontLineHeight="false" HeadingType="None" Id="28" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="true" TabDef="0" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="2000" Left="0" LineSpacing="160" LineSpacingType="Percent" Next="0" Prev="1000" Right="0"/>
					<PARABORDER BorderFill="1" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Right" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="false" Condense="20" FontLineHeight="false" HeadingType="None" Id="29" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="true" TabDef="0" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="2000" Left="0" LineSpacing="120" LineSpacingType="Percent" Next="0" Prev="1000" Right="0"/>
					<PARABORDER BorderFill="1" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Center" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="false" Condense="20" FontLineHeight="false" HeadingType="None" Id="30" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="true" TabDef="0" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="0" Left="0" LineSpacing="160" LineSpacingType="Percent" Next="0" Prev="2000" Right="0"/>
					<PARABORDER BorderFill="10" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Justify" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="true" Condense="0" FontLineHeight="false" HeadingType="None" Id="31" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="false" TabDef="3" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="2000" Left="0" LineSpacing="160" LineSpacingType="Percent" Next="0" Prev="0" Right="0"/>
					<PARABORDER BorderFill="10" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Center" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="false" Condense="0" FontLineHeight="false" HeadingType="None" Id="32" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="false" TabDef="0" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="0" Left="0" LineSpacing="160" LineSpacingType="Percent" Next="0" Prev="0" Right="0"/>
					<PARABORDER BorderFill="10" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Left" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="false" Condense="0" FontLineHeight="false" Heading="4" HeadingType="Bullet" Id="33" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="false" TabDef="0" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="0" Left="0" LineSpacing="160" LineSpacingType="Percent" Next="0" Prev="0" Right="0"/>
					<PARABORDER BorderFill="10" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Justify" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="true" Condense="20" FontLineHeight="false" Heading="1" HeadingType="Bullet" Id="34" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="true" TabDef="0" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="0" Left="0" LineSpacing="160" LineSpacingType="Percent" Next="0" Prev="1000" Right="0"/>
					<PARABORDER BorderFill="2" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
				<PARASHAPE Align="Justify" AutoSpaceEAsianEng="false" AutoSpaceEAsianNum="false" BreakLatinWord="KeepWord" BreakNonLatinWord="true" Condense="20" FontLineHeight="false" HeadingType="None" Id="35" KeepLines="false" KeepWithNext="false" Level="0" LineWrap="Break" PageBreakBefore="false" SnapToGrid="true" TabDef="0" VerAlign="Baseline" WidowOrphan="false">
					<PARAMARGIN Indent="0" Left="0" LineSpacing="160" LineSpacingType="Percent" Next="0" Prev="1000" Right="0"/>
					<PARABORDER BorderFill="2" Connect="false" IgnoreMargin="false"/>
				</PARASHAPE>
			</PARASHAPELIST>
			<STYLELIST Count="27">
				<STYLE CharShape="2" EngName="Normal" Id="0" LangId="1042" LockForm="0" Name="바탕글" NextStyle="0" ParaShape="26" Type="Para"/>
				<STYLE CharShape="10" EngName="Outline 2" Id="1" LangId="1042" LockForm="1" Name="개요 2" NextStyle="1" ParaShape="16" Type="Para"/>
				<STYLE CharShape="6" EngName="Outline 3" Id="2" LangId="1042" LockForm="1" Name="개요 3" NextStyle="2" ParaShape="17" Type="Para"/>
				<STYLE CharShape="8" EngName="Outline 4" Id="3" LangId="1042" LockForm="1" Name="개요 4" NextStyle="3" ParaShape="20" Type="Para"/>
				<STYLE CharShape="9" EngName="Outline 5" Id="4" LangId="1042" LockForm="1" Name="개요 5" NextStyle="4" ParaShape="21" Type="Para"/>
				<STYLE CharShape="9" Id="5" LangId="1042" LockForm="0" Name="가)" NextStyle="5" ParaShape="10" Type="Para"/>
				<STYLE CharShape="9" Id="6" LangId="1042" LockForm="0" Name="a)" NextStyle="6" ParaShape="18" Type="Para"/>
				<STYLE CharShape="2" EngName="LIST" Id="7" LangId="1042" LockForm="1" Name="목록" NextStyle="7" ParaShape="24" Type="Para"/>
				<STYLE CharShape="2" Id="8" LangId="1042" LockForm="1" Name="목록2" NextStyle="8" ParaShape="12" Type="Para"/>
				<STYLE CharShape="13" Id="9" LangId="1042" LockForm="1" Name="표그림" NextStyle="9" ParaShape="30" Type="Para"/>
				<STYLE CharShape="2" Id="10" LangId="1042" LockForm="1" Name="&gt;" NextStyle="10" ParaShape="15" Type="Para"/>
				<STYLE CharShape="1" Id="11" LangId="1042" LockForm="1" Name="주석" NextStyle="11" ParaShape="13" Type="Para"/>
				<STYLE CharShape="4" EngName="Outline 1" Id="12" LangId="1042" LockForm="1" Name="개요 1" NextStyle="12" ParaShape="23" Type="Para"/>
				<STYLE CharShape="4" EngName="contents" Id="13" LangId="1042" LockForm="1" Name="개요일반" NextStyle="13" ParaShape="8" Type="Para"/>
				<STYLE CharShape="14" EngName="title" Id="14" LangId="1042" LockForm="0" Name="제목" NextStyle="14" ParaShape="4" Type="Para"/>
				<STYLE CharShape="6" EngName="subtitle" Id="15" LangId="1042" LockForm="0" Name="소제목" NextStyle="15" ParaShape="4" Type="Para"/>
				<STYLE CharShape="13" Id="16" LangId="1042" LockForm="0" Name="차례" NextStyle="16" ParaShape="31" Type="Para"/>
				<STYLE CharShape="13" EngName="index" Id="17" LangId="1042" LockForm="0" Name="찾아보기" NextStyle="17" ParaShape="7" Type="Para"/>
				<STYLE CharShape="15" EngName="Page Number" Id="18" LangId="1042" LockForm="0" Name="쪽 번호" NextStyle="18" ParaShape="3" Type="Para"/>
				<STYLE CharShape="16" EngName="Header" Id="19" LangId="1042" LockForm="0" Name="머리말" NextStyle="19" ParaShape="6" Type="Para"/>
				<STYLE CharShape="17" EngName="Footnote" Id="20" LangId="1042" LockForm="0" Name="각주" NextStyle="20" ParaShape="2" Type="Para"/>
				<STYLE CharShape="18" EngName="Endnote" Id="21" LangId="1042" LockForm="0" Name="미주" NextStyle="21" ParaShape="2" Type="Para"/>
				<STYLE CharShape="19" EngName="Memo" Id="22" LangId="1042" LockForm="0" Name="메모" NextStyle="22" ParaShape="1" Type="Para"/>
				<STYLE CharShape="20" Id="23" LangId="1042" LockForm="0" Name="표-필드이름" NextStyle="23" ParaShape="32" Type="Para"/>
				<STYLE CharShape="12" Id="24" LangId="1042" LockForm="0" Name="표-필드내용" NextStyle="24" ParaShape="32" Type="Para"/>
				<STYLE CharShape="12" Id="25" LangId="1042" LockForm="0" Name="표그림 캡션" NextStyle="25" ParaShape="32" Type="Para"/>
				<STYLE CharShape="2" EngName="Body" Id="26" LangId="1042" LockForm="1" Name="본문" NextStyle="26" ParaShape="22" Type="Para"/>
			</STYLELIST>
		</MAPPINGTABLE>
		<COMPATIBLEDOCUMENT TargetProgram="None">
			<LAYOUTCOMPATIBILITY AdjustBaselineInFixedLinespacing="false" AdjustBaselineOfObjectToBottom="false" AdjustLineheightToFont="false" AdjustMarginFromAdjustLineheight="false" AdjustParaBorderOffsetWithBorder="false" AdjustParaBorderfillToSpacing="false" AdjustVertPosOfLine="false" ApplyAtLeastToPercent100Pct="false" ApplyCharSpacingToCharGrid="false" ApplyExtendHeaderFooterEachSection="false" ApplyFontWeightToBold="false" ApplyFontspaceToLatin="false" ApplyMinColumnWidthTo1mm="false" ApplyNextspacingOfLastPara="false" ApplyParaBorderToOutside="false" ApplyPrevspacingBeneathObject="false" ApplyTabPosBasedOnSegment="false" BaseCharUnitOfIndentOnFirstChar="false" BaseCharUnitOnEAsian="false" BaseLinespacingOnLinegrid="false" BreakTabOverLine="false" ConnectParaBorderfillOfEqualBorder="false" DoNotAdjustEmptyAnchorLine="false" DoNotAdjustWordInJustify="false" DoNotAlignLastForbidden="false" DoNotAlignLastPeriod="false" DoNotAlignWhitespaceOnRight="false" DoNotApplyAutoSpaceEAsianEng="false" DoNotApplyAutoSpaceEAsianNum="false" DoNotApplyColSeparatorAtNoGap="false" DoNotApplyExtensionCharCompose="false" DoNotApplyGridInHeaderFooter="false" DoNotApplyHeaderFooterAtNoSpace="false" DoNotApplyImageEffect="false" DoNotApplyLinegridAtNoLinespacing="false" DoNotApplyShapeComment="false" DoNotApplyStrikeoutWithUnderline="false" DoNotApplyVertOffsetOfForward="false" DoNotApplyWhiteSpaceHeight="false" DoNotFormattingAtBeneathAnchor="false" DoNotHoldAnchorOfTable="false" ExtendLineheightToOffset="false" ExtendLineheightToParaBorderOffset="false" ExtendVertLimitToPageMargins="false" FixedUnderlineWidth="false" OverlapBothAllowOverlap="false" TreatQuotationAsLatin="false" UseInnerUnderline="false" UseLowercaseStrikeout="false"/>
		</COMPATIBLEDOCUMENT>
	</HEAD>
	<BODY>
		<SECTION Id="1">

    <xsl:call-template name="chapter_0">
    </xsl:call-template>

    <xsl:call-template name="chapter_1">
    </xsl:call-template>

    <xsl:call-template name="chapter_2">
    </xsl:call-template>

    <xsl:call-template name="chapter_3">
    </xsl:call-template>

	<xsl:call-template name="chapter_4">
    </xsl:call-template>

    <xsl:call-template name="chapter_5">
    </xsl:call-template>

		</SECTION>
	</BODY>
</HWPML>


</xsl:template>
</xsl:stylesheet>
