<?xml version="1.0" encoding="utf-8"?>
<!-- copyright@ 2020, Waregram , All right Reserved. -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" encoding="utf-8" indent="yes"/>
<xsl:include href="chapter_3.2.5.3.1.data_field.xsl"/>

<xsl:template name="chapter_3.2.5.3.1">
	<xsl:param name="interface_path"/>
	<xsl:param name="interface"/>
	<xsl:param name="proxy_component"/>
	<xsl:param name="stub_component"/>


	<xsl:for-each select="/nerv_system_interface/method_domains/method_domain[path=$interface_path]">
		<xsl:for-each select="interfaces/interface[name=$interface]">
			<xsl:for-each select="membermethods/membermethod">
				<xsl:variable name="member_num" select="position()"/>
				<xsl:variable name="method_name" select="method_name"/>
				<xsl:for-each select="../../../../methods/method[name=$method_name]">

					<xsl:variable name="data_domain_path">
						<xsl:if test="type='CALL'"><xsl:value-of select="in_data_domain_path"/></xsl:if>
						<xsl:if test="type='SIGNAL'"><xsl:value-of select="in_data_domain_path"/></xsl:if>
						<xsl:if test="type='EVENT'"><xsl:value-of select="out_data_domain_path"/></xsl:if>
						<xsl:if test="type='COMMAND'"><xsl:value-of select="in_data_domain_path"/></xsl:if>
						<xsl:if test="type='INFORMATION'"><xsl:value-of select="out_data_domain_path"/></xsl:if>
						<xsl:if test="type='BROADCAST'"><xsl:value-of select="out_data_domain_path"/></xsl:if>
						<xsl:if test="type='CALLBACK'"><xsl:value-of select="out_data_domain_path"/></xsl:if>
						<xsl:if test="type='SIGNALBACK'"><xsl:value-of select="out_data_domain_path"/></xsl:if>
					</xsl:variable>
					<xsl:variable name="data">
						<xsl:if test="type='CALL'"><xsl:value-of select="in_data"/></xsl:if>
						<xsl:if test="type='SIGNAL'"><xsl:value-of select="in_data"/></xsl:if>
						<xsl:if test="type='EVENT'"><xsl:value-of select="out_data"/></xsl:if>
						<xsl:if test="type='COMMAND'"><xsl:value-of select="in_data"/></xsl:if>
						<xsl:if test="type='INFORMATION'"><xsl:value-of select="out_data"/></xsl:if>
						<xsl:if test="type='BROADCAST'"><xsl:value-of select="out_data"/></xsl:if>
						<xsl:if test="type='CALLBACK'"><xsl:value-of select="out_data"/></xsl:if>
						<xsl:if test="type='SIGNALBACK'"><xsl:value-of select="out_data"/></xsl:if>
					</xsl:variable>

					<xsl:variable name="ack_data_domain_path">
						<xsl:if test="type='CALL'"><xsl:value-of select="out_data_domain_path"/></xsl:if>
						<xsl:if test="type='SIGNAL'"><xsl:value-of select="out_data_domain_path"/></xsl:if>
						<xsl:if test="type='EVENT'"><xsl:value-of select="in_data_domain_path"/></xsl:if>
						<xsl:if test="type='COMMAND'"><xsl:value-of select="out_data_domain_path"/></xsl:if>
						<xsl:if test="type='INFORMATION'"><xsl:value-of select="in_data_domain_path"/></xsl:if>
						<xsl:if test="type='BROADCAST'"><xsl:value-of select="in_data_domain_path"/></xsl:if>
						<xsl:if test="type='CALLBACK'"><xsl:value-of select="in_data_domain_path"/></xsl:if>
						<xsl:if test="type='SIGNALBACK'"><xsl:value-of select="in_data_domain_path"/></xsl:if>
					</xsl:variable>
					<xsl:variable name="ack_data">
						<xsl:if test="type='CALL'"><xsl:value-of select="out_data"/></xsl:if>
						<xsl:if test="type='SIGNAL'"><xsl:value-of select="out_data"/></xsl:if>
						<xsl:if test="type='EVENT'"><xsl:value-of select="in_data"/></xsl:if>
						<xsl:if test="type='COMMAND'"><xsl:value-of select="out_data"/></xsl:if>
						<xsl:if test="type='INFORMATION'"><xsl:value-of select="in_data"/></xsl:if>
						<xsl:if test="type='BROADCAST'"><xsl:value-of select="in_data"/></xsl:if>
						<xsl:if test="type='CALLBACK'"><xsl:value-of select="in_data"/></xsl:if>
						<xsl:if test="type='SIGNALBACK'"><xsl:value-of select="in_data"/></xsl:if>
					</xsl:variable>

			<P/>
			<P InstId="" ParaShape="21" Style="4"><xsl:attribute name="InstId"><xsl:value-of select="generate-id()"/></xsl:attribute>
				<TEXT CharShape="9">
					<CHAR><xsl:value-of select="name"/> 세부 인터페이스 데이터 특성(구 데이터 특성)</CHAR>
				</TEXT>
			</P>

			<P ParaShape="30" Style="9">
				<TEXT CharShape="13">
					<xsl:variable name="RowCount_Case">
						<xsl:if test="type!='CALL' and type!='CALLBACK'">
							<xsl:if test="$data='(null)'">A</xsl:if>
							<xsl:if test="$data!='(null)'">B</xsl:if>
						</xsl:if>
						<xsl:if test="type='CALL' or type='CALLBACK'">
							<xsl:if test="$data='(null)'">
								<xsl:if test="$ack_data='(null)'">C</xsl:if>
								<xsl:if test="$ack_data!='(null)'">D</xsl:if>
							</xsl:if>
							<xsl:if test="$data!='(null)'">
								<xsl:if test="$ack_data='(null)'">E</xsl:if>
								<xsl:if test="$ack_data!='(null)'">F</xsl:if>
							</xsl:if>
						</xsl:if>
					</xsl:variable>
					<xsl:variable name="RowCount">
						<xsl:if test="$RowCount_Case='A'">6</xsl:if>
						<xsl:if test="$RowCount_Case='B'">8</xsl:if>
						<xsl:if test="$RowCount_Case='C'">7</xsl:if>
						<xsl:if test="$RowCount_Case='D'">9</xsl:if>
						<xsl:if test="$RowCount_Case='E'">9</xsl:if>
						<xsl:if test="$RowCount_Case='F'">11</xsl:if>
					</xsl:variable>

					<TABLE BorderFill="4" CellSpacing="0" ColCount="4" PageBreak="Cell" RepeatHeader="true" RowCount="3">
						<xsl:attribute name="RowCount"><xsl:value-of select="$RowCount"/></xsl:attribute>
						<SHAPEOBJECT InstId="" Lock="false" NumberingType="None" ZOrder="6"><xsl:attribute name="InstId"><xsl:value-of select="generate-id()"/></xsl:attribute>
							<SIZE Height="12270" HeightRelTo="Absolute" Protect="false" Width="46492" WidthRelTo="Absolute"/>
							<POSITION AffectLSpacing="false" AllowOverlap="false" FlowWithText="true" HoldAnchorAndSO="false" HorzAlign="Left" HorzOffset="0" HorzRelTo="Para" TreatAsChar="false" VertAlign="Top" VertOffset="0" VertRelTo="Para"/>
							<OUTSIDEMARGIN Bottom="283" Left="283" Right="283" Top="283"/>
						</SHAPEOBJECT>
						<INSIDEMARGIN Bottom="567" Left="850" Right="850" Top="567"/>
						<ROW>
							<CELL BorderFill="9" ColAddr="0" ColSpan="1" Dirty="false" Editable="false" HasMargin="false" Header="false" Height="2134" Protect="false" RowAddr="0" RowSpan="1" Width="10000">
								<CELLMARGIN Bottom="141" Left="510" Right="510" Top="141"/>
								<PARALIST LineWrap="Break" LinkListID="0" LinkListIDNext="0" TextDirection="0" VertAlign="Center">
									<P ParaShape="32" Style="23">
										<TEXT CharShape="20">
											<CHAR>세부 인터페이스</CHAR>
										</TEXT>
									</P>
									<P ParaShape="32" Style="23">
										<TEXT CharShape="20">
											<CHAR>식별자</CHAR>
										</TEXT>
									</P>
								</PARALIST>
							</CELL>
							<CELL BorderFill="4" ColAddr="1" ColSpan="1" Dirty="false" Editable="false" HasMargin="false" Header="false" Height="1566" Protect="false" RowAddr="0" RowSpan="1" Width="13246">
								<CELLMARGIN Bottom="141" Left="510" Right="510" Top="141"/>
								<PARALIST LineWrap="Break" LinkListID="0" LinkListIDNext="0" TextDirection="0" VertAlign="Center">
									<P ParaShape="32" Style="24">
										<TEXT CharShape="21">
											<CHAR></CHAR>
										</TEXT>
									</P>
								</PARALIST>
							</CELL>
							<CELL BorderFill="9" ColAddr="2" ColSpan="1" Dirty="false" Editable="false" HasMargin="false" Header="false" Height="2134" Protect="false" RowAddr="0" RowSpan="1" Width="10000">
								<CELLMARGIN Bottom="141" Left="510" Right="510" Top="141"/>
								<PARALIST LineWrap="Break" LinkListID="0" LinkListIDNext="0" TextDirection="0" VertAlign="Center">
									<P ParaShape="32" Style="23">
										<TEXT CharShape="20">
											<CHAR>세부 인터페이스명</CHAR>
										</TEXT>
									</P>
								</PARALIST>
							</CELL>
							<CELL BorderFill="4" ColAddr="3" ColSpan="1" Dirty="false" Editable="false" HasMargin="false" Header="false" Height="1566" Protect="false" RowAddr="0" RowSpan="1" Width="13246">
								<CELLMARGIN Bottom="141" Left="510" Right="510" Top="141"/>
								<PARALIST LineWrap="Break" LinkListID="0" LinkListIDNext="0" TextDirection="0" VertAlign="Center">
									<P ParaShape="32" Style="24">
										<TEXT CharShape="21">
											<CHAR><xsl:value-of select="name"/></CHAR>
										</TEXT>
									</P>
								</PARALIST>
							</CELL>
						</ROW>
						<ROW>
							<CELL BorderFill="9" ColAddr="0" ColSpan="1" Dirty="false" Editable="false" HasMargin="false" Header="false" Height="2134" Protect="false" RowAddr="1" RowSpan="1" Width="10000">
								<CELLMARGIN Bottom="141" Left="510" Right="510" Top="141"/>
								<PARALIST LineWrap="Break" LinkListID="0" LinkListIDNext="0" TextDirection="0" VertAlign="Center">
									<P ParaShape="32" Style="23">
										<TEXT CharShape="20">
											<CHAR>유형</CHAR>
										</TEXT>
									</P>
									<P ParaShape="32" Style="23">
										<TEXT CharShape="20">
											<CHAR>식별코드</CHAR>
										</TEXT>
									</P>
								</PARALIST>
							</CELL>
							<CELL BorderFill="4" ColAddr="1" ColSpan="1" Dirty="false" Editable="false" HasMargin="false" Header="false" Height="1566" Protect="false" RowAddr="1" RowSpan="1" Width="13246">
								<CELLMARGIN Bottom="141" Left="510" Right="510" Top="141"/>
								<PARALIST LineWrap="Break" LinkListID="0" LinkListIDNext="0" TextDirection="0" VertAlign="Center">
									<P ParaShape="32" Style="24">
										<TEXT CharShape="21">
											<CHAR><xsl:value-of select="type"/></CHAR>
										</TEXT>
									</P>
									<P ParaShape="32" Style="24">
										<TEXT CharShape="21">
											<CHAR><xsl:value-of select="code"/></CHAR>
										</TEXT>
									</P>
								</PARALIST>
							</CELL>
							<CELL BorderFill="9" ColAddr="2" ColSpan="1" Dirty="false" Editable="false" HasMargin="false" Header="false" Height="2134" Protect="false" RowAddr="1" RowSpan="1" Width="10000">
								<CELLMARGIN Bottom="141" Left="510" Right="510" Top="141"/>
								<PARALIST LineWrap="Break" LinkListID="0" LinkListIDNext="0" TextDirection="0" VertAlign="Center">
									<P ParaShape="32" Style="23">
										<TEXT CharShape="20">
											<CHAR>발생 주기</CHAR>
										</TEXT>
									</P>
								</PARALIST>
							</CELL>
							<CELL BorderFill="4" ColAddr="3" ColSpan="1" Dirty="false" Editable="false" HasMargin="false" Header="false" Height="1566" Protect="false" RowAddr="1" RowSpan="1" Width="13246">
								<CELLMARGIN Bottom="141" Left="510" Right="510" Top="141"/>
								<PARALIST LineWrap="Break" LinkListID="0" LinkListIDNext="0" TextDirection="0" VertAlign="Center">
									<P ParaShape="32" Style="24">
										<TEXT CharShape="21">
											<CHAR></CHAR>
										</TEXT>
									</P>
								</PARALIST>
							</CELL>
						</ROW>
						<ROW>
							<CELL BorderFill="9" ColAddr="0" ColSpan="1" Dirty="false" Editable="false" HasMargin="false" Header="false" Height="2134" Protect="false" RowAddr="2" RowSpan="1" Width="10000">
								<CELLMARGIN Bottom="141" Left="510" Right="510" Top="141"/>
								<PARALIST LineWrap="Break" LinkListID="0" LinkListIDNext="0" TextDirection="0" VertAlign="Center">
									<P ParaShape="32" Style="23">
										<TEXT CharShape="20">
											<xsl:if test="type='CALL' or type='CALLBACK'"><CHAR>요청 자료</CHAR></xsl:if>
											<xsl:if test="type!='CALL' and type!='CALLBACK'"><CHAR>자료</CHAR></xsl:if>
										</TEXT>
									</P>
								</PARALIST>
							</CELL>
							<CELL BorderFill="4" ColAddr="1" ColSpan="3" Dirty="false" Editable="false" HasMargin="false" Header="false" Height="1566" Protect="false" RowAddr="2" RowSpan="1" Width="36492">
								<CELLMARGIN Bottom="141" Left="510" Right="510" Top="141"/>
								<PARALIST LineWrap="Break" LinkListID="0" LinkListIDNext="0" TextDirection="0" VertAlign="Center">
									<P ParaShape="32" Style="24">
										<TEXT CharShape="21">
											<xsl:if test="$data!='(null)'"><CHAR><xsl:value-of select="$data_domain_path"/>::<xsl:value-of select="$data"/></CHAR></xsl:if>
											<xsl:if test="$data='(null)'"><CHAR>없음</CHAR></xsl:if>
										</TEXT>
									</P>
								</PARALIST>
							</CELL>
						</ROW>

					<xsl:if test="$data!='(null)'">
						<ROW>
							<CELL BorderFill="9" ColAddr="0" ColSpan="4" Dirty="false" Editable="false" HasMargin="false" Header="true" Height="2134" Protect="false" RowAddr="3" RowSpan="1" Width="46492">
								<CELLMARGIN Bottom="141" Left="510" Right="510" Top="141"/>
								<PARALIST LineWrap="Break" LinkListID="0" LinkListIDNext="0" TextDirection="0" VertAlign="Center">
									<P ParaShape="32" Style="23">
										<TEXT CharShape="20">

											<xsl:variable name="struct_size">
												<!-- (<xsl:call-template name="struct_size">
													<xsl:with-param name="data_domain_path" select="$data_domain_path" />
													<xsl:with-param name="data" select="$data" />
												</xsl:call-template> byte ) -->
											</xsl:variable>

											<xsl:if test="type='CALL' or type='CALLBACK'"><CHAR>요청 자료 요소 특성 <xsl:value-of select="string($struct_size)"/></CHAR></xsl:if>
											<xsl:if test="type!='CALL' and type!='CALLBACK'"><CHAR>자료 요소 특성 <xsl:value-of select="string($struct_size)"/></CHAR></xsl:if>
										</TEXT>
									</P>
								</PARALIST>
							</CELL>
						</ROW>
						<ROW>
							<CELL BorderFill="4" ColAddr="0" ColSpan="4" Dirty="false" Editable="false" HasMargin="false" Header="false" Height="1566" Protect="false" RowAddr="4" RowSpan="1" Width="46492">
								<CELLMARGIN Bottom="141" Left="510" Right="510" Top="141"/>
								<PARALIST LineWrap="Break" LinkListID="0" LinkListIDNext="0" TextDirection="0" VertAlign="Center">
									<P ParaShape="32" Style="24">
										<TEXT CharShape="21">
											<CHAR><xsl:value-of select="$data_domain_path"/>::<xsl:value-of select="$data"/></CHAR>
										</TEXT>
									</P>
									<P ParaShape="32" Style="24">
										<TEXT CharShape="21">
											<xsl:call-template name="chapter_3.2.5.3.1.data_field">
												<xsl:with-param name="data_domain_path" select="$data_domain_path" />
												<xsl:with-param name="data" select="$data" />
											</xsl:call-template>
										</TEXT>
									</P>
								</PARALIST>
							</CELL>
						</ROW>
					</xsl:if>


					<xsl:if test="type='CALL' or type='CALLBACK'">
						<xsl:variable name="RowAddr">
							<xsl:if test="$RowCount_Case='C'">3</xsl:if>
							<xsl:if test="$RowCount_Case='D'">3</xsl:if>
							<xsl:if test="$RowCount_Case='E'">5</xsl:if>
							<xsl:if test="$RowCount_Case='F'">5</xsl:if>
						</xsl:variable>
						<ROW>
							<CELL BorderFill="9" ColAddr="0" ColSpan="1" Dirty="false" Editable="false" HasMargin="false" Header="false" Height="2134" Protect="false" RowAddr="2" RowSpan="1" Width="10000">
								<xsl:attribute name="RowAddr"><xsl:value-of select="$RowAddr"/></xsl:attribute>
								<CELLMARGIN Bottom="141" Left="510" Right="510" Top="141"/>
								<PARALIST LineWrap="Break" LinkListID="0" LinkListIDNext="0" TextDirection="0" VertAlign="Center">
									<P ParaShape="32" Style="23">
										<TEXT CharShape="20">
											<CHAR>응답 자료</CHAR>
										</TEXT>
									</P>
								</PARALIST>
							</CELL>
							<CELL BorderFill="4" ColAddr="1" ColSpan="3" Dirty="false" Editable="false" HasMargin="false" Header="false" Height="1566" Protect="false" RowAddr="2" RowSpan="1" Width="36492">
								<xsl:attribute name="RowAddr"><xsl:value-of select="$RowAddr"/></xsl:attribute>
								<CELLMARGIN Bottom="141" Left="510" Right="510" Top="141"/>
								<PARALIST LineWrap="Break" LinkListID="0" LinkListIDNext="0" TextDirection="0" VertAlign="Center">
									<P ParaShape="32" Style="24">
										<TEXT CharShape="21">
											<xsl:if test="$ack_data!='(null)'"><CHAR><xsl:value-of select="$ack_data_domain_path"/>::<xsl:value-of select="$ack_data"/></CHAR></xsl:if>
											<xsl:if test="$ack_data='(null)'"><CHAR>없음</CHAR></xsl:if>
										</TEXT>
									</P>
								</PARALIST>
							</CELL>
						</ROW>

						<xsl:if test="$ack_data!='(null)'">
							<xsl:variable name="RowAddr2">
								<xsl:if test="$RowCount_Case='D'">4</xsl:if>
								<xsl:if test="$RowCount_Case='F'">6</xsl:if>
							</xsl:variable>

						<ROW>
							<CELL BorderFill="9" ColAddr="0" ColSpan="4" Dirty="false" Editable="false" HasMargin="false" Header="true" Height="2134" Protect="false" RowAddr="4" RowSpan="1" Width="46492">
								<xsl:attribute name="RowAddr"><xsl:value-of select="$RowAddr2"/></xsl:attribute>
								<CELLMARGIN Bottom="141" Left="510" Right="510" Top="141"/>
								<PARALIST LineWrap="Break" LinkListID="0" LinkListIDNext="0" TextDirection="0" VertAlign="Center">
									<P ParaShape="32" Style="23">
										<TEXT CharShape="20">
											<CHAR>응답 자료 요소 특성( 0000 byte )</CHAR>
										</TEXT>
									</P>
								</PARALIST>
							</CELL>
						</ROW>
						<ROW>
							<CELL BorderFill="4" ColAddr="0" ColSpan="4" Dirty="false" Editable="false" HasMargin="false" Header="false" Height="1566" Protect="false" RowAddr="5" RowSpan="1" Width="46492">
								<xsl:attribute name="RowAddr"><xsl:value-of select="$RowAddr2+1"/></xsl:attribute>
								<CELLMARGIN Bottom="141" Left="510" Right="510" Top="141"/>
								<PARALIST LineWrap="Break" LinkListID="0" LinkListIDNext="0" TextDirection="0" VertAlign="Center">
									<P ParaShape="32" Style="24">
										<TEXT CharShape="21">
											<CHAR><xsl:value-of select="$data_domain_path"/>::<xsl:value-of select="$data"/></CHAR>
										</TEXT>
									</P>
									<P ParaShape="32" Style="24">
										<TEXT CharShape="21">
											<xsl:call-template name="chapter_3.2.5.3.1.data_field">
												<xsl:with-param name="data_domain_path" select="$ack_data_domain_path" />
												<xsl:with-param name="data" select="$ack_data" />
											</xsl:call-template>
											<CHAR/>
										</TEXT>
									</P>
								</PARALIST>
							</CELL>
						</ROW>

						</xsl:if>

					</xsl:if>


					<xsl:variable name="RowAddr3">
						<xsl:if test="$RowCount_Case='A'">3</xsl:if>
						<xsl:if test="$RowCount_Case='B'">5</xsl:if>
						<xsl:if test="$RowCount_Case='C'">4</xsl:if>
						<xsl:if test="$RowCount_Case='D'">6</xsl:if>
						<xsl:if test="$RowCount_Case='E'">6</xsl:if>
						<xsl:if test="$RowCount_Case='F'">8</xsl:if>
					</xsl:variable>

						<ROW>
							<CELL BorderFill="9" ColAddr="0" ColSpan="2" Dirty="false" Editable="false" HasMargin="false" Header="false" Height="2134" Protect="false" RowAddr="5" RowSpan="1" Width="23246">
								<xsl:attribute name="RowAddr"><xsl:value-of select="$RowAddr3"/></xsl:attribute>
								<CELLMARGIN Bottom="141" Left="510" Right="510" Top="141"/>
								<PARALIST LineWrap="Break" LinkListID="0" LinkListIDNext="0" TextDirection="0" VertAlign="Center">
									<P ParaShape="32" Style="23">
										<TEXT CharShape="20">
											<CHAR>사용 CSC</CHAR>
										</TEXT>
									</P>
								</PARALIST>
							</CELL>
							<CELL BorderFill="9" ColAddr="2" ColSpan="2" Dirty="false" Editable="false" HasMargin="false" Header="false" Height="2134" Protect="false" RowAddr="5" RowSpan="1" Width="23246">
								<xsl:attribute name="RowAddr"><xsl:value-of select="$RowAddr3"/></xsl:attribute>
								<CELLMARGIN Bottom="141" Left="510" Right="510" Top="141"/>
								<PARALIST LineWrap="Break" LinkListID="0" LinkListIDNext="0" TextDirection="0" VertAlign="Center">
									<P ParaShape="32" Style="23">
										<TEXT CharShape="20">
											<CHAR>서비스 CSC</CHAR>
										</TEXT>
									</P>
								</PARALIST>
							</CELL>
						</ROW>
						<ROW>
							<CELL BorderFill="4" ColAddr="0" ColSpan="2" Dirty="false" Editable="false" HasMargin="false" Header="false" Height="1566" Protect="false" RowAddr="6" RowSpan="1" Width="23246">
								<xsl:attribute name="RowAddr"><xsl:value-of select="$RowAddr3+1"/></xsl:attribute>
								<CELLMARGIN Bottom="141" Left="510" Right="510" Top="141"/>
								<PARALIST LineWrap="Break" LinkListID="0" LinkListIDNext="0" TextDirection="0" VertAlign="Center">
									<P ParaShape="32" Style="24">
										<TEXT CharShape="21">
											<CHAR><xsl:value-of select="$proxy_component"/></CHAR>
										</TEXT>
									</P>
								</PARALIST>
							</CELL>
							<CELL BorderFill="4" ColAddr="2" ColSpan="2" Dirty="false" Editable="false" HasMargin="false" Header="false" Height="1566" Protect="false" RowAddr="6" RowSpan="1" Width="23246">
								<xsl:attribute name="RowAddr"><xsl:value-of select="$RowAddr3+1"/></xsl:attribute>
								<CELLMARGIN Bottom="141" Left="510" Right="510" Top="141"/>
								<PARALIST LineWrap="Break" LinkListID="0" LinkListIDNext="0" TextDirection="0" VertAlign="Center">
									<P ParaShape="32" Style="24">
										<TEXT CharShape="21">
											<CHAR><xsl:value-of select="$stub_component"/></CHAR>
										</TEXT>
									</P>
								</PARALIST>
							</CELL>
						</ROW>
						<ROW>
							<CELL BorderFill="4" ColAddr="0" ColSpan="4" Dirty="false" Editable="false" HasMargin="false" Header="false" Height="1566" Protect="false" RowAddr="7" RowSpan="1" Width="46492">
								<xsl:attribute name="RowAddr"><xsl:value-of select="$RowAddr3+2"/></xsl:attribute>
								<CELLMARGIN Bottom="141" Left="510" Right="510" Top="141"/>
								<PARALIST LineWrap="Break" LinkListID="0" LinkListIDNext="0" TextDirection="0" VertAlign="Center">
									<P ParaShape="32" Style="24">
										<TEXT CharShape="21">
											<CHAR></CHAR>
										</TEXT>
									</P>
								</PARALIST>
							</CELL>
						</ROW>
					</TABLE>
					<CHAR/>
				</TEXT>
			</P>

				</xsl:for-each>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:for-each>



</xsl:template>
</xsl:stylesheet>
