<?xml version="1.0" encoding="utf-8"?>
<!-- copyright@ 2020, Waregram , All right Reserved. -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="../xsl_util.xsl"/>
<xsl:output method="text" encoding="utf-8" indent="yes" />
<xsl:template match="/">
try:
 	import py_nerv36
except:
 	from . import py_nerv36

import threading
import time

nerv_thread = None
nerv_thread_run = False

def nerv_thread_entry():
    # print("nerv_thread_entry", flush=True)
    global nerv_thread
    global nerv_thread_run

    while( nerv_thread_run == True):
        b = py_nerv36.dispatch_msg_timeout(0.1)
        if(b==False):
            break
        # print("dispatch msg", flush=True)
        pass

    print("nerv_thread_entry exit", flush=True)
    pass

def start_nerv36_thread():
    global nerv_thread
    nerv_thread = threading.Thread(target=nerv_thread_entry)
    global nerv_thread_run
    nerv_thread_run = True
    nerv_thread.start()

def initialize_release():
    py_nerv36.initialize()

def initialize_debug():
    py_nerv36.initialize_nonthread()
    start_nerv36_thread()

def initialize():
    initialize_debug()

def finalize():
    global nerv_thread_run
    nerv_thread_run = False
    nerv_thread.join()
    py_nerv36.finalize()

if __name__ == '__main__':
    initialize_nerv36()

    while(True):
        print("wait", flush=True)
        time.sleep(1)
    finalize_nerv36()
</xsl:template>
</xsl:stylesheet>
