<?xml version="1.0" encoding="utf-8"?>
<!-- copyright@ 2020, Waregram , All right Reserved. -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="../../../../xsl_util.xsl"/>
<xsl:output method="text" encoding="utf-8" indent="yes"/>
<xsl:param name = "save_path" />
<xsl:param name = "xml_path" />
<!-- TODO : xalan 을 이용하는 배치파일을 만든다. 컴포넌트.xml + excute_xalan = 컴포넌트.bat = 헤더파일 + 소스파일 + cmake 파일 + 등등..... --><!-- xalan $xalan_out "c:\dev/ncgen.bat" $xalan_param save_path "'c:\dev'" "c:\dev\ai data.xml" "./xsl/excute_xalan.xsl" -->
<xsl:template match="/">
<xsl:variable name="component_name">
  <xsl:call-template name="replace">
    <xsl:with-param name="text" select="nerv_icde/component/name" />
    <xsl:with-param name="replace" select="' '" />
    <xsl:with-param name="by" select="'_'" />
  </xsl:call-template>
</xsl:variable>
cmake_minimum_required(VERSION 3.0.2)
project(<xsl:value-of select="$component_name"/>)

find_package(catkin REQUIRED COMPONENTS
    message_generation
    roscpp
    std_msgs
    sensor_msgs
    geographic_msgs
    geometry_msgs
)

add_message_files(
    FILES
    null.msg<xsl:text/>
<xsl:for-each select="nerv_icde/datadomain/row">
  <xsl:variable name="underscore_path">
    <xsl:call-template name="replace">
      <xsl:with-param name="text" select="path" />
      <xsl:with-param name="replace" select="'/'" />
      <xsl:with-param name="by" select="'__'" />
    </xsl:call-template>
  </xsl:variable>
  <xsl:for-each select="data/row"><xsl:text>
    </xsl:text><xsl:value-of select="name"/>.msg<xsl:text/>
  </xsl:for-each>
</xsl:for-each>
)

add_service_files(
    FILES<xsl:text/>
<xsl:for-each select="nerv_icde/methoddomain/row">
  <xsl:variable name="underscore_path">
    <xsl:call-template name="replace">
      <xsl:with-param name="text" select="path" />
      <xsl:with-param name="replace" select="'/'" />
      <xsl:with-param name="by" select="'__'" />
    </xsl:call-template>
  </xsl:variable>
  <xsl:for-each select="method/row[type='CALL' or type='CALLBACK']"><xsl:text>
    </xsl:text><xsl:value-of select="name"/>.srv<xsl:text/>
  </xsl:for-each>
</xsl:for-each>
)

# add_action_files(
#     FILES
#     Action1.action
#     Action2.action
# )

generate_messages(
    DEPENDENCIES
    std_msgs
    sensor_msgs
    geographic_msgs
    geometry_msgs
)

catkin_package(
    CATKIN_DEPENDS message_runtime roscpp std_msgs sensor_msgs geographic_msgs geometry_msgs
)

include_directories(
    ${catkin_INCLUDE_DIRS}
)
</xsl:template>
</xsl:stylesheet>
