<?xml version="1.0" encoding="utf-8"?>
<!-- copyright@ 2020, Waregram , All right Reserved. -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="../../../../../xsl_util.xsl"/>

<xsl:output method="text" encoding="utf-8" omit-xml-declaration="yes" indent="no"/>
<xsl:param name = "export_data_domain_path" />
<xsl:param name = "export_data_name" />
<xsl:template match="/">
  <xsl:for-each select="nerv_icde/datadomain/row">
    <xsl:if test="path=$export_data_domain_path">
      <xsl:for-each select="data/row">
        <xsl:if test="name=$export_data_name">
          <xsl:choose>
            <xsl:when test="type='scaled64_t'">
float64 val
            </xsl:when>
            <xsl:when test="type='scaled32_t'">
float64 val
            </xsl:when>
            <xsl:when test="type='scaled16_t'">
float32 val
            </xsl:when>
            <xsl:when test="type='scaled8_t'">
float32 val
            </xsl:when>
            <xsl:when test="type='u_scaled64_t'">
float64 val
            </xsl:when>
            <xsl:when test="type='u_scaled32_t'">
float64 val
            </xsl:when>
            <xsl:when test="type='u_scaled16_t'">
float32 val
            </xsl:when>
            <xsl:when test="type='u_scaled8_t'">
float32 val
            </xsl:when>
            <xsl:when test="type='enum64_t'">
uint64  val
            </xsl:when>
            <xsl:when test="type='enum32_t'">
uint32  val
            </xsl:when>
            <xsl:when test="type='enum16_t'">
uint16  val
            </xsl:when>
            <xsl:when test="type='enum8_t'">
uint8   val
            </xsl:when>
            <xsl:when test="type='int64_t'">
int64   val
            </xsl:when>
            <xsl:when test="type='int32_t'">
int32   val
            </xsl:when>
            <xsl:when test="type='int16_t'">
int16   val
            </xsl:when>
            <xsl:when test="type='int8_t'">
int8    val
            </xsl:when>
            <xsl:when test="type='u_int64_t'">
uint64  val
            </xsl:when>
            <xsl:when test="type='u_int32_t'">
uint32  val
            </xsl:when>
            <xsl:when test="type='u_int16_t'">
uint16  val
            </xsl:when>
            <xsl:when test="type='u_int8_t'">
uint8   val
            </xsl:when>
            <xsl:when test="type='ieee754_32_t'">
float32 val
            </xsl:when>
            <xsl:when test="type='ieee754_64_t'">
float64 val
            </xsl:when>
            <xsl:when test="type='char_t'">
uint8   val
            </xsl:when>
            <xsl:when test="type='wchar_t'">
uint16  val
            </xsl:when>
            <xsl:when test="type='alias'">
<xsl:value-of select="real_data"/> msg
            </xsl:when>
          </xsl:choose>
          <xsl:if test="type='struct'">
            <xsl:for-each select="datafield/row">
              <xsl:variable name="real_data_domain_path">
                <xsl:call-template name="get_data_domain_path">
                  <xsl:with-param name="data_domain_id" select="real_domain_id" />
                </xsl:call-template>
              </xsl:variable>
              <xsl:variable name="ROS" select="starts-with($real_data_domain_path, '/ROS/')"/>
              <xsl:variable name="ROS_path">
                <xsl:call-template name="replace">
                  <xsl:with-param name="text" select="$real_data_domain_path" />
                  <xsl:with-param name="replace" select="'/ROS/'" />
                  <xsl:with-param name="by" select="''" />
                </xsl:call-template>
              </xsl:variable>
              <xsl:variable name="member_type">
                <xsl:choose>
                  <xsl:when test="type='u_scaled64_t'">float64</xsl:when>
                  <xsl:when test="type='u_scaled32_t'">float64</xsl:when>
                  <xsl:when test="type='u_scaled16_t'">float32</xsl:when>
                  <xsl:when test="type='u_scaled8_t'">float32</xsl:when>
                  <xsl:when test="type='scaled64_t'">float64</xsl:when>
                  <xsl:when test="type='scaled32_t'">float64</xsl:when>
                  <xsl:when test="type='scaled16_t'">float32</xsl:when>
                  <xsl:when test="type='scaled8_t'">float32</xsl:when>
                  <xsl:when test="type='alias'">
                    <xsl:if test="not($ROS)">
                      <xsl:value-of select="real_data"/>
                    </xsl:if>
                    <xsl:if test="$ROS">
                      <xsl:value-of select="$ROS_path"/>/<xsl:value-of select="real_data"/>
                    </xsl:if>
                  </xsl:when>
                  <xsl:when test="type='int8_t'">int8</xsl:when>
                  <xsl:when test="type='int16_t'">int16</xsl:when>
                  <xsl:when test="type='int32_t'">int32</xsl:when>
                  <xsl:when test="type='int64_t'">int64</xsl:when>
                  <xsl:when test="type='u_int8_t'">uint8</xsl:when>
                  <xsl:when test="type='u_int16_t'">uint16</xsl:when>
                  <xsl:when test="type='u_int32_t'">uint32</xsl:when>
                  <xsl:when test="type='u_int64_t'">uint64</xsl:when>
                  <xsl:when test="type='ieee754_32_t'">float32</xsl:when>
                  <xsl:when test="type='ieee754_64_t'">float64</xsl:when>
                  <xsl:when test="type='char_t'">uint8</xsl:when>
                  <xsl:when test="type='wchar_t'">uint16</xsl:when>
                  <xsl:otherwise><xsl:value-of select="type"/></xsl:otherwise>
                </xsl:choose>
              </xsl:variable>
              <xsl:if test="arraytype='NO'">
<xsl:text>
</xsl:text><xsl:value-of select="$member_type"/><xsl:text> </xsl:text><xsl:value-of select="member_name"/><xsl:if test="not(bitsize = '0')"> :<xsl:value-of select="bitsize"/></xsl:if><xsl:text/>
              </xsl:if>
              <xsl:if test="arraytype='FIX'">
<xsl:text>
</xsl:text><xsl:value-of select="$member_type"/>[<xsl:if test="arraysize='0'">1</xsl:if><xsl:if test="arraysize!='0'"><xsl:value-of select="arraysize"/></xsl:if>]<xsl:text> </xsl:text><xsl:value-of select="member_name"/><xsl:text/>
              </xsl:if>
              <xsl:if test="arraytype='VARIABLE'">
                <xsl:if test="type='char_t'">
string <xsl:value-of select="member_name"/>
                </xsl:if>
                <xsl:if test="type!='char_t'">
<xsl:text>
</xsl:text><xsl:value-of select="$member_type"/>[]<xsl:text> </xsl:text><xsl:value-of select="member_name"/><xsl:text/>
                </xsl:if>
              </xsl:if>
            </xsl:for-each>
          </xsl:if>
        </xsl:if>
      </xsl:for-each>
    </xsl:if>
  </xsl:for-each>
</xsl:template>
</xsl:stylesheet>
