<?xml version="1.0" encoding="utf-8"?>
<!-- copyright@ 2020, Waregram , All right Reserved. -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="../../xsl_util.xsl"/>
<xsl:output method="text" encoding="utf-8" indent="yes" />
<xsl:template match="/">
<xsl:variable name="component_name">
  <xsl:call-template name="replace">
    <xsl:with-param name="text" select="nerv_icde/component/name" />
    <xsl:with-param name="replace" select="' '" />
    <xsl:with-param name="by" select="'_'" />
  </xsl:call-template>
</xsl:variable>
#include "<xsl:value-of select="$component_name"/>_nerv_component.hh"




void <xsl:value-of select="$component_name"/>_nerv_component::start_stub()
{
<xsl:text/>
  <xsl:for-each select="/nerv_icde/component/stub_list/row/object_list/row">
    <xsl:variable name="method_domain_path">
      <xsl:call-template name="get_method_domain_path">
        <xsl:with-param name="mathod_domain_id" select="../../method_domain_id" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="method_domain_namespace">
      <xsl:call-template name="replace">
        <xsl:with-param name="text" select="$method_domain_path" />
        <xsl:with-param name="replace" select="'/'" />
        <xsl:with-param name="by" select="'::'" />
      </xsl:call-template>
    </xsl:variable>
    stub_<xsl:value-of select="object_name"/>.start();<xsl:text/>
  </xsl:for-each>
}

void <xsl:value-of select="$component_name"/>_nerv_component::start_proxy()
{
  <xsl:for-each select="/nerv_icde/component/proxy_list/row/object_list/row">
    <xsl:variable name="method_domain_path">
      <xsl:call-template name="get_method_domain_path">
        <xsl:with-param name="mathod_domain_id" select="../../method_domain_id" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="method_domain_namespace">
      <xsl:call-template name="replace">
        <xsl:with-param name="text" select="$method_domain_path" />
        <xsl:with-param name="replace" select="'/'" />
        <xsl:with-param name="by" select="'::'" />
      </xsl:call-template>
    </xsl:variable>
    proxy_<xsl:value-of select="object_name"/>.start();<xsl:text/>
  </xsl:for-each>
}<xsl:text/>



void <xsl:value-of select="$component_name"/>_nerv_component::stop_stub()
{
  <xsl:for-each select="/nerv_icde/component/stub_list/row/object_list/row">
    <xsl:variable name="method_domain_path">
      <xsl:call-template name="get_method_domain_path">
        <xsl:with-param name="mathod_domain_id" select="../../method_domain_id" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="method_domain_namespace">
      <xsl:call-template name="replace">
        <xsl:with-param name="text" select="$method_domain_path" />
        <xsl:with-param name="replace" select="'/'" />
        <xsl:with-param name="by" select="'::'" />
      </xsl:call-template>
    </xsl:variable>
    {
        Nerv36::Error err = stub_<xsl:value-of select="object_name"/>.stop();
        printf("stub_<xsl:value-of select="object_name"/>.stop() = %s\n", Nerv36::get_err_str(err) );
    }<xsl:text/>
  </xsl:for-each>
}

void <xsl:value-of select="$component_name"/>_nerv_component::stop_proxy()
{
  <xsl:for-each select="/nerv_icde/component/proxy_list/row/object_list/row">
    <xsl:variable name="method_domain_path">
      <xsl:call-template name="get_method_domain_path">
        <xsl:with-param name="mathod_domain_id" select="../../method_domain_id" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="method_domain_namespace">
      <xsl:call-template name="replace">
        <xsl:with-param name="text" select="$method_domain_path" />
        <xsl:with-param name="replace" select="'/'" />
        <xsl:with-param name="by" select="'::'" />
      </xsl:call-template>
    </xsl:variable>
    if( proxy_<xsl:value-of select="object_name"/>.is_started()) {
        Nerv36::Error err = proxy_<xsl:value-of select="object_name"/>.stop();
        printf("proxy_<xsl:value-of select="object_name"/>.proxy.stop() = %s\n", Nerv36::get_err_str(err));
    }<xsl:text/>
  </xsl:for-each>
}<xsl:text/>

  <xsl:for-each select="/nerv_icde/component/proxy_list/row/object_list/row">
    <xsl:variable name="method_domain_id" select="../../method_domain_id" />
    <xsl:variable name="interface_name" select="../../interface_name" />
    <xsl:variable name="object_name" select="object_name" />
    <xsl:for-each select="/nerv_icde/methoddomain/row[id=$method_domain_id]">
      <xsl:for-each select="interface/row[name=$interface_name]">
        <xsl:for-each select="membermethod/row">
          <xsl:variable name="method_name" select="method_name" />
          <xsl:for-each select="../../../../method/row[name=$method_name]">
            <xsl:if test="type='INFORMATION' and out_data!='(null)'">
              <xsl:variable name="out_data_domain_namespace">
                <xsl:call-template name="get_data_domain_namespace">
                  <xsl:with-param name="data_domain_id" select="out_data_domain_id" />
                </xsl:call-template>
              </xsl:variable>
void <xsl:value-of select="$component_name"/>_nerv_component::read_<xsl:value-of select="$object_name"/>_<xsl:value-of select="$method_name"/>()
{
    Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>* inf_data_;
    inf_data_ = ::Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>::malloc();

    Nerv36::Error err = proxy_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.read(inf_data_);

    if( err == 0 ) inf_data_-&gt;print("<xsl:value-of select="out_data"/>");
    inf_data_-&gt;free();
}<xsl:text/>
            </xsl:if>
          </xsl:for-each>
        </xsl:for-each>
      </xsl:for-each>
    </xsl:for-each>
  </xsl:for-each>

void <xsl:value-of select="$component_name"/>_nerv_component::read_from_proxy()
{<xsl:text/>
  <xsl:for-each select="/nerv_icde/component/proxy_list/row/object_list/row">
    <xsl:variable name="method_domain_id" select="../../method_domain_id" />
    <xsl:variable name="interface_name" select="../../interface_name" />
    <xsl:variable name="object_name" select="object_name" />
    <xsl:for-each select="/nerv_icde/methoddomain/row[id=$method_domain_id]">
      <xsl:for-each select="interface/row[name=$interface_name]">
        <xsl:for-each select="membermethod/row">
          <xsl:variable name="method_name" select="method_name" />
          <xsl:for-each select="../../../../method/row[name=$method_name]">
            <xsl:if test="type='INFORMATION' and out_data!='(null)'">
<xsl:text>
    </xsl:text>read_<xsl:value-of select="$object_name"/>_<xsl:value-of select="$method_name"/>();<xsl:text/>
            </xsl:if>
          </xsl:for-each>
        </xsl:for-each>
      </xsl:for-each>
    </xsl:for-each>
  </xsl:for-each>
}<xsl:text/>
  <xsl:for-each select="/nerv_icde/component/proxy_list/row/object_list/row">
    <xsl:variable name="method_domain_id" select="../../method_domain_id" />
    <xsl:variable name="interface_name" select="../../interface_name" />
    <xsl:variable name="object_name" select="object_name" />
    <xsl:for-each select="/nerv_icde/methoddomain/row[id=$method_domain_id]">
      <xsl:for-each select="interface/row[name=$interface_name]">
        <xsl:for-each select="membermethod/row">
          <xsl:variable name="method_name" select="method_name" />
          <xsl:for-each select="../../../../method/row[name=$method_name]">
            <xsl:variable name="in_data_domain_namespace">
              <xsl:call-template name="get_data_domain_namespace">
                <xsl:with-param name="data_domain_id" select="in_data_domain_id"/>
              </xsl:call-template>
            </xsl:variable>
            <xsl:variable name="out_data_domain_namespace">
              <xsl:call-template name="get_data_domain_namespace">
                <xsl:with-param name="data_domain_id" select="out_data_domain_id"/>
              </xsl:call-template>
            </xsl:variable>
            <!-- <xsl:variable name="in_data_domain_namespace_dot" select="substring($in_data_domain_namespace,2)"/>
            <xsl:variable name="out_data_domain_namespace_dot" select="substring($out_data_domain_namespace,2)"/> -->
            <xsl:choose>
              <xsl:when test="type='CALL'">
void <xsl:value-of select="$component_name"/>_nerv_component::<xsl:value-of select="$object_name"/>_<xsl:value-of select="$method_name"/>_call()
{
    Nerv36::Msg_num msg_num = 0;
    printf("proxy_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.delegate_call()\n");<xsl:text/>
                <xsl:if test="in_data='(null)' and out_data='(null)'">
    Nerv36::Error err = proxy_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.delegate_call(&amp;msg_num, 99.0);<xsl:text/>
                </xsl:if>
                <xsl:if test="in_data!='(null)' and out_data='(null)'">
    Nerv36::Data<xsl:value-of select="$in_data_domain_namespace"/>::<xsl:value-of select="in_data"/>* cal_data_;
    cal_data_ = ::Nerv36::Data<xsl:value-of select="$in_data_domain_namespace"/>::<xsl:value-of select="in_data"/>::malloc();
    cal_data_-&gt;set(0);
    Nerv36::Error err = proxy_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.delegate_call(&amp;msg_num, cal_data_, 99.0);
    cal_data_-&gt;free();<xsl:text/>
                </xsl:if>
                <xsl:if test="in_data='(null)' and out_data!='(null)'">
    Nerv36::Error err = proxy_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.delegate_call(&amp;msg_num, 99.0);<xsl:text/>
                </xsl:if>
                <xsl:if test="in_data!='(null)' and out_data!='(null)'">
    Nerv36::Data<xsl:value-of select="$in_data_domain_namespace"/>::<xsl:value-of select="in_data"/>* cal_data_;
    cal_data_ = ::Nerv36::Data<xsl:value-of select="$in_data_domain_namespace"/>::<xsl:value-of select="in_data"/>::malloc();
    cal_data_-&gt;set(0);
    Nerv36::Error err = proxy_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.delegate_call( &amp;msg_num, cal_data_, 99.0);
    cal_data_-&gt;free();<xsl:text/>
                </xsl:if>
    printf("proxy_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.delegate_call(msg_num=%d) = %s\n", msg_num, Nerv36::get_err_str(err));
}<xsl:text/>
              </xsl:when>
              <xsl:when test="type='SIGNAL'">
void <xsl:value-of select="$component_name"/>_nerv_component::<xsl:value-of select="$object_name"/>_<xsl:value-of select="$method_name"/>_signal()
{
    Nerv36::Msg_num msg_num = 0;
    // Double tm = 0;<xsl:text/>
    printf("proxy_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.delegate_signal()\n");<xsl:text/>
                <xsl:if test="in_data='(null)'">
    Nerv36::Error err = proxy_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.delegate_signal(&amp;msg_num, 99.0);<xsl:text/>
                </xsl:if>
                <xsl:if test="in_data!='(null)'">
    Nerv36::Data<xsl:value-of select="$in_data_domain_namespace"/>::<xsl:value-of select="in_data"/>* sig_data_;
    sig_data_ = ::Nerv36::Data<xsl:value-of select="$in_data_domain_namespace"/>::<xsl:value-of select="in_data"/>::malloc();
    sig_data_-&gt;set(0);
    Nerv36::Error err = proxy_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.delegate_signal(&amp;msg_num, sig_data_, 99.0);
    sig_data_-&gt;free();<xsl:text/>
                </xsl:if>
    printf("proxy_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.delegate_signal(msg_num=%d) = %s\n", msg_num, Nerv36::get_err_str(err));
}<xsl:text/>
              </xsl:when>
              <xsl:when test="type='COMMAND'">
void <xsl:value-of select="$component_name"/>_nerv_component::<xsl:value-of select="$object_name"/>_<xsl:value-of select="$method_name"/>_command()
{
    printf("proxy_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.write()\n");<xsl:text/>
                <xsl:if test="in_data='(null)'">
    Nerv36::Error err = proxy_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.write();<xsl:text/>
                </xsl:if>
                <xsl:if test="in_data!='(null)'">
<xsl:text>
    </xsl:text>Nerv36::Data<xsl:value-of select="$in_data_domain_namespace"/>::<xsl:value-of select="in_data"/>* cmd_data_;
    cmd_data_ = ::Nerv36::Data<xsl:value-of select="$in_data_domain_namespace"/>::<xsl:value-of select="in_data"/>::malloc();
    cmd_data_-&gt;set(0);
    Nerv36::Error err = proxy_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.write(cmd_data_);
    cmd_data_-&gt;free();<xsl:text/>
                </xsl:if>
    printf("proxy_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.write() = %s\n", Nerv36::get_err_str(err));
}<xsl:text/>
              </xsl:when>
            </xsl:choose>
          </xsl:for-each>
        </xsl:for-each>
      </xsl:for-each>
    </xsl:for-each>
  </xsl:for-each>

void <xsl:value-of select="$component_name"/>_nerv_component::send_from_proxy()
{<xsl:text/>
  <xsl:for-each select="/nerv_icde/component/proxy_list/row/object_list/row">
    <xsl:variable name="method_domain_id" select="../../method_domain_id" />
    <xsl:variable name="interface_name" select="../../interface_name" />
    <xsl:variable name="object_name" select="object_name" />
    <xsl:for-each select="/nerv_icde/methoddomain/row[id=$method_domain_id]">
      <xsl:for-each select="interface/row[name=$interface_name]">
        <xsl:for-each select="membermethod/row">
          <xsl:variable name="method_name" select="method_name" />
          <xsl:for-each select="../../../../method/row[name=$method_name]">
            <xsl:choose>
              <xsl:when test="type='CALL'">
<xsl:text>
    </xsl:text><xsl:value-of select="$object_name"/>_<xsl:value-of select="$method_name"/>_call();<xsl:text/>
              </xsl:when>
              <xsl:when test="type='SIGNAL'">
<xsl:text>
    </xsl:text><xsl:value-of select="$object_name"/>_<xsl:value-of select="$method_name"/>_signal();<xsl:text/>
              </xsl:when>
              <xsl:when test="type='COMMAND'">
<xsl:text>
    </xsl:text><xsl:value-of select="$object_name"/>_<xsl:value-of select="$method_name"/>_command();<xsl:text/>
              </xsl:when>
            </xsl:choose>
          </xsl:for-each>
        </xsl:for-each>
      </xsl:for-each>
    </xsl:for-each>
  </xsl:for-each>
}<xsl:text/>
  <xsl:for-each select="/nerv_icde/component/stub_list/row/object_list/row">
    <xsl:variable name="method_domain_id" select="../../method_domain_id" />
    <xsl:variable name="interface_name" select="../../interface_name" />
    <xsl:variable name="object_name" select="object_name" />
    <xsl:for-each select="/nerv_icde/methoddomain/row[id=$method_domain_id]">
      <xsl:for-each select="interface/row[name=$interface_name]">
        <xsl:for-each select="membermethod/row">
          <xsl:variable name="method_name" select="method_name" />
          <xsl:for-each select="../../../../method/row[name=$method_name]">
            <xsl:variable name="in_data_domain_namespace">
              <xsl:call-template name="get_data_domain_namespace">
                <xsl:with-param name="data_domain_id" select="in_data_domain_id"/>
              </xsl:call-template>
            </xsl:variable>
            <xsl:variable name="out_data_domain_namespace">
              <xsl:call-template name="get_data_domain_namespace">
                <xsl:with-param name="data_domain_id" select="out_data_domain_id"/>
              </xsl:call-template>
            </xsl:variable>
            <!-- <xsl:variable name="in_data_domain_namespace_dot" select="substring($in_data_domain_namespace,2)"/>
            <xsl:variable name="out_data_domain_namespace_dot" select="substring($out_data_domain_namespace,2)"/> -->
            <xsl:choose>
              <xsl:when test="type='CALLBACK'">
void <xsl:value-of select="$component_name"/>_nerv_component::<xsl:value-of select="$object_name"/>_<xsl:value-of select="$method_name"/>_callback()
{
    Nerv36::Msg_num msg_num = 0;
    Nerv36::Address proxy_addr = stub_<xsl:value-of select="$object_name"/>.proxy_addr;
    printf("stub_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.delegate_callback()\n");<xsl:text/>
                <xsl:if test="out_data='(null)'">
    Nerv36::Error err = stub_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.delegate_callback(&amp;msg_num, proxy_addr,99.0);<xsl:text/>
                </xsl:if>
                <xsl:if test="out_data!='(null)'">
    Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>* clb_data_;
    clb_data_ = ::Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>::malloc();
    clb_data_-&gt;set(0);
    Nerv36::Error err = stub_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.delegate_callback(&amp;msg_num, proxy_addr, clb_data_,99.0);
    clb_data_-&gt;free();<xsl:text/>
                </xsl:if>
    printf("stub_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.delegate_callback() = %s\n", Nerv36::get_err_str(err));
}<xsl:text/>
              </xsl:when>
              <xsl:when test="type='SIGNALBACK'">
void <xsl:value-of select="$component_name"/>_nerv_component::<xsl:value-of select="$object_name"/>_<xsl:value-of select="$method_name"/>_signalback()
{
    Nerv36::Msg_num msg_num = 0;
    Nerv36::Address proxy_addr = stub_<xsl:value-of select="$object_name"/>.proxy_addr;
    printf("stub_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.delegate_signalback()\n");<xsl:text/>
                <xsl:if test="out_data='(null)'">
    Nerv36::Error err = stub_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.delegate_signalback(&amp;msg_num, proxy_addr,99.0);<xsl:text/>
                </xsl:if>
                <xsl:if test="out_data!='(null)'">
    Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>* sgb_data_;
    sgb_data_ = ::Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>::malloc();
    sgb_data_-&gt;set(0);
    Nerv36::Error err = stub_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.delegate_signalback(&amp;msg_num, proxy_addr, sgb_data_,99.0);
    sgb_data_-&gt;free();<xsl:text/>
                </xsl:if>
    printf("stub_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.delegate_signalback() = %s\n", Nerv36::get_err_str(err));
}<xsl:text/>
              </xsl:when>
              <xsl:when test="type='EVENT'">
void <xsl:value-of select="$component_name"/>_nerv_component::<xsl:value-of select="$object_name"/>_<xsl:value-of select="$method_name"/>_event()
{
    printf("stub_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.notify()\n");<xsl:text/>
                <xsl:if test="out_data='(null)'">
    Nerv36::Error err = stub_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.notify();<xsl:text/>
                </xsl:if>
                <xsl:if test="out_data!='(null)'">
    Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>* evt_data_;
    evt_data_ = ::Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>::malloc();
    evt_data_-&gt;set(0);
    Nerv36::Error err = stub_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.notify(evt_data_);
    evt_data_-&gt;free();<xsl:text/>
                </xsl:if>
    printf("stub_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.notify() = %s\n", Nerv36::get_err_str(err));
}<xsl:text/>
              </xsl:when>
              <xsl:when test="type='INFORMATION'">
void <xsl:value-of select="$component_name"/>_nerv_component::<xsl:value-of select="$object_name"/>_<xsl:value-of select="$method_name"/>_information()
{
    printf("stub_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.write()\n");<xsl:text/>
                <xsl:if test="out_data='(null)'">
<xsl:text>
    </xsl:text>Nerv36::Error err = stub_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.write();<xsl:text/>
                </xsl:if>
                <xsl:if test="out_data!='(null)'">
<xsl:text>
    </xsl:text>Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>* inf_data_;
    inf_data_ = ::Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>::malloc();
    inf_data_-&gt;set(0);
    Nerv36::Error err = stub_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.write(inf_data_);
    inf_data_-&gt;free();<xsl:text/>
                </xsl:if>
    printf("stub_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.write() = %s\n", Nerv36::get_err_str(err));
}<xsl:text/>
              </xsl:when>

              <xsl:when test="type='BROADCAST'">
<xsl:text>

</xsl:text>void <xsl:value-of select="$component_name"/>_nerv_component::<xsl:value-of select="$object_name"/>_<xsl:value-of select="$method_name"/>_datagram()
{
    printf("stub_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.broadcast()\n");<xsl:text/>
                <xsl:if test="out_data='(null)'">
<xsl:text>
    </xsl:text>Nerv36::Error err = stub_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.broadcast();<xsl:text/>
                </xsl:if>
                <xsl:if test="out_data!='(null)'">
<xsl:text>
    </xsl:text>Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>* dtg_data_;
    dtg_data_ = ::Nerv36::Data<xsl:value-of select="$out_data_domain_namespace"/>::<xsl:value-of select="out_data"/>::malloc();
    dtg_data_-&gt;set(0);
    Nerv36::Error err = stub_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.broadcast(dtg_data_);
    dtg_data_-&gt;free();<xsl:text/>
                </xsl:if>
    printf("stub_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.broadcast() = %s\n", Nerv36::get_err_str(err));
}<xsl:text/>
              </xsl:when>
            </xsl:choose>
          </xsl:for-each>
        </xsl:for-each>
      </xsl:for-each>
    </xsl:for-each>
  </xsl:for-each>
  <xsl:for-each select="/nerv_icde/component/stub_list/row/object_list/row">
    <xsl:variable name="method_domain_id" select="../../method_domain_id" />
    <xsl:variable name="interface_name" select="../../interface_name" />
    <xsl:variable name="object_name" select="object_name" />
    <xsl:for-each select="/nerv_icde/methoddomain/row[id=$method_domain_id]">
      <xsl:for-each select="interface/row[name=$interface_name]">
        <xsl:for-each select="membermethod/row">
          <xsl:variable name="method_name" select="method_name" />
          <xsl:for-each select="../../../../method/row[name=$method_name]">
            <xsl:if test="type='COMMAND' and in_data!='(null)'">
              <xsl:variable name="data_domain_namespace">
                <xsl:call-template name="get_data_domain_namespace">
                  <xsl:with-param name="data_domain_id" select="in_data_domain_id" />
                </xsl:call-template>
              </xsl:variable>
void <xsl:value-of select="$component_name"/>_nerv_component::read_<xsl:value-of select="$object_name"/>_<xsl:value-of select="$method_name"/>()
{
    Nerv36::Data<xsl:value-of select="$data_domain_namespace"/>::<xsl:value-of select="in_data"/>* cmd_dat_;
    cmd_dat_ = ::Nerv36::Data<xsl:value-of select="$data_domain_namespace"/>::<xsl:value-of select="in_data"/>::malloc();
    Nerv36::Error err = stub_<xsl:value-of select="$object_name"/>.<xsl:value-of select="$method_name"/>.read(stub_<xsl:value-of select="$object_name"/>.proxy_addr, cmd_dat_);
    if( err == 0 ) cmd_dat_-&gt;print("<xsl:value-of select="in_data"/>");
    cmd_dat_-&gt;free();
}<xsl:text/>

            </xsl:if>
          </xsl:for-each>
        </xsl:for-each>
      </xsl:for-each>
    </xsl:for-each>
  </xsl:for-each>

void <xsl:value-of select="$component_name"/>_nerv_component::read_from_stub()
{<xsl:text/>
  <xsl:for-each select="/nerv_icde/component/stub_list/row/object_list/row">
    <xsl:variable name="method_domain_id" select="../../method_domain_id" />
    <xsl:variable name="interface_name" select="../../interface_name" />
    <xsl:variable name="object_name" select="object_name" />
    <xsl:for-each select="/nerv_icde/methoddomain/row[id=$method_domain_id]">
      <xsl:for-each select="interface/row[name=$interface_name]">
        <xsl:for-each select="membermethod/row">
          <xsl:variable name="method_name" select="method_name" />
          <xsl:for-each select="../../../../method/row[name=$method_name]">
            <xsl:if test="type='COMMAND' and in_data!='(null)'">
<xsl:text>
    </xsl:text>read_<xsl:value-of select="$object_name"/>_<xsl:value-of select="$method_name"/>();<xsl:text/>
            </xsl:if>
          </xsl:for-each>
        </xsl:for-each>
      </xsl:for-each>
    </xsl:for-each>
  </xsl:for-each>
}<xsl:text/>

void <xsl:value-of select="$component_name"/>_nerv_component::send_from_stub()
{<xsl:text/>
  <xsl:for-each select="/nerv_icde/component/stub_list/row/object_list/row">
    <xsl:variable name="method_domain_id" select="../../method_domain_id" />
    <xsl:variable name="interface_name" select="../../interface_name" />
    <xsl:variable name="object_name" select="object_name" />
    <xsl:for-each select="/nerv_icde/methoddomain/row[id=$method_domain_id]">
      <xsl:for-each select="interface/row[name=$interface_name]">
        <xsl:for-each select="membermethod/row">
          <xsl:variable name="method_name" select="method_name" />
          <xsl:for-each select="../../../../method/row[name=$method_name]">
            <xsl:choose>
              <xsl:when test="type='CALLBACK'">
<xsl:text>
    </xsl:text><xsl:value-of select="$object_name"/>_<xsl:value-of select="$method_name"/>_callback();<xsl:text/>
              </xsl:when>
              <xsl:when test="type='SIGNALBACK'">
<xsl:text>
    </xsl:text><xsl:value-of select="$object_name"/>_<xsl:value-of select="$method_name"/>_signalback();<xsl:text/>
              </xsl:when>
              <xsl:when test="type='EVENT'">
<xsl:text>
    </xsl:text><xsl:value-of select="$object_name"/>_<xsl:value-of select="$method_name"/>_event();<xsl:text/>
              </xsl:when>
              <xsl:when test="type='INFORMATION'">
<xsl:text>
    </xsl:text><xsl:value-of select="$object_name"/>_<xsl:value-of select="$method_name"/>_information();<xsl:text/>
              </xsl:when>
              <xsl:when test="type='BROADCAST'">
<xsl:text>
    </xsl:text><xsl:value-of select="$object_name"/>_<xsl:value-of select="$method_name"/>_datagram();<xsl:text/>
              </xsl:when>
            </xsl:choose>
          </xsl:for-each>
        </xsl:for-each>
      </xsl:for-each>
    </xsl:for-each>
  </xsl:for-each>
}

void <xsl:value-of select="$component_name"/>_nerv_component::idle()
{
    printf("%zu: <xsl:value-of select="$component_name"/>_nerv_component::idle()\n", cnt);
}

void <xsl:value-of select="$component_name"/>_nerv_component::standby()
{
    printf("%zu: <xsl:value-of select="$component_name"/>_nerv_component::standby()\n", cnt);
}

void <xsl:value-of select="$component_name"/>_nerv_component::run()
{
    printf("%zu: <xsl:value-of select="$component_name"/>_nerv_component::run()\n", cnt);
    //read_from_proxy();
    //send_from_proxy();
    //read_from_stub();
    //send_from_stub();
}
void <xsl:value-of select="$component_name"/>_nerv_component::finalize()
{
    printf("%zu: <xsl:value-of select="$component_name"/>_nerv_component::finalize()\n", cnt);
}
void <xsl:value-of select="$component_name"/>_nerv_component::failure()
{
    printf("%zu: <xsl:value-of select="$component_name"/>_nerv_component::failure()\n", cnt);
}
void <xsl:value-of select="$component_name"/>_nerv_component::emergency()
{
    printf("%zu: <xsl:value-of select="$component_name"/>_nerv_component::emergency()\n", cnt);
}

void <xsl:value-of select="$component_name"/>_nerv_component::initialize()
{
    state = INIT_;
    printf("%zu: <xsl:value-of select="$component_name"/>_nerv_component::initialize()\n", cnt);
    state = IDLE_;      // 초기화가 끝나면 대기상태로 천이
}
void <xsl:value-of select="$component_name"/>_nerv_component::ready()
{
    state = READY_;
    printf("%zu: <xsl:value-of select="$component_name"/>_nerv_component::ready()\n", cnt);
    start_proxy();          // Proxy 연결이 가능하면 연결한다.
    start_stub();           // Stub을 시작한다.
    state = STANDBY_;   // 준비가 끝나면 STANDBY_ 상태로 천이
}
void <xsl:value-of select="$component_name"/>_nerv_component::start()
{
    state = START_;
    printf("%zu: <xsl:value-of select="$component_name"/>_nerv_component::start()\n", cnt);
    state = RUN_;       // RUN_ state로 천이
}
void <xsl:value-of select="$component_name"/>_nerv_component::stop()
{
    state = STOP_;
    printf("%zu: <xsl:value-of select="$component_name"/>_nerv_component::stop()\n", cnt);
    stop_proxy();           // Proxy를 정지시킨다.
    stop_stub();            // Stub을 정지시킨다.
    state = STANDBY_;   // stop이 끝나면 STANDBY_ 상태로 천이한다.
}
void <xsl:value-of select="$component_name"/>_nerv_component::reset()
{
    state = RESET_;
    printf("%zu: <xsl:value-of select="$component_name"/>_nerv_component::reset()\n", cnt);
    stop_proxy();           // Proxy를 정지시킨다.
    stop_stub();            // Stub을 정지시킨다.
    finalize();             // 자원 해제
    initialize();           // 자원 할당
    state = IDLE_;      // 초기화가 끝나면 대기상태로 천이
}
void <xsl:value-of select="$component_name"/>_nerv_component::shutdown()
{
    state = SHUTDOWN_;
    printf("%zu: <xsl:value-of select="$component_name"/>_nerv_component::shutdown()\n", cnt);
    state = TERMENATED_;    // 종료한다.
}

void <xsl:value-of select="$component_name"/>_nerv_component::excute_state_machine()
{
    // 기본 상태 머신에 앞서 사전 작업을 수행한 경우 기존 상태를 유지하고
    // 사전작업을 수행하지 않은경우 TERMENATED_ 상태이므로 초기화부터
    // 수행할수 있도록 한다.
    if( state == TERMENATED_) {
        state = INIT_;
    }
    for( cnt=0; state != TERMENATED_ ; cnt++ ) {
        switch(state) {
        case INIT_:
            initialize();           // 자원 할당
            break;
        case IDLE_:
            idle();                 // it is not to do.
            break;
        case READY_:
            ready();                // ready()
            break;
        case STANDBY_:
            standby();              // it is not to do.
            break;
        case START_:
            start();                // RUN_ 상태 직전에 해야 할일
            break;
        case RUN_:
            run();                  // 실행 상태
            break;
        case STOP_:
            stop();                 // 정지
            break;
        case RESET_:
            reset();                // 재시작
            break;
        case SHUTDOWN_:
            shutdown();             // 자원 해제
            stop_proxy();           // Proxy를 정지시킨다.
            stop_stub();            // Stub을 정지시킨다.
            finalize();             // 자원 해제
            break;
        default:
            // Emergency or Failure State
            break;
        }

        // 상태 처리중 Failure 처리를 요구할 수 있으므로
        // 상태 처리 switch 이후에 Failure 처리를 한다.
        if( state == FAILURE_) {
            failure();
        }

        // 상태 처리중 비상처리를 요구하거나
        // Failure 처리중 비상처리를 요구할 수 있으므로
        // 가장 마지막에 비상 처리를 한다.
        if( state == EMERGENCY_) {
            emergency();            // 비상
        }
        fflush(stdout);

        sleep_for(seconds(1));
    }
}



<xsl:value-of select="$component_name"/>_nerv_component::<xsl:value-of select="$component_name"/>_nerv_component()
    : ros_node()
  <xsl:for-each select="/nerv_icde/component/stub_list/row/object_list/row">
    , stub_<xsl:value-of select="object_name"/>("<xsl:value-of select="object_name"/>", &amp;ros_node)<xsl:text/>
  </xsl:for-each>
  <xsl:for-each select="/nerv_icde/component/proxy_list/row/object_list/row">
    , proxy_<xsl:value-of select="object_name"/>("<xsl:value-of select="object_name"/>", &amp;ros_node)<xsl:text/>
  </xsl:for-each>
{
    initialize();
}

<xsl:value-of select="$component_name"/>_nerv_component::~<xsl:value-of select="$component_name"/>_nerv_component()
{
}



</xsl:template>
</xsl:stylesheet>
