#pragma once

#include "nerv_define.h"
#include "nerv_typedef.hh"

namespace Nerv36 {

template <class TYPE> struct THistory_elem {
    TYPE*        buffer_;
    Pksize     size;
    double       interval;
    Clock clock;
};

struct Letter_case;

typedef Letter_case* Letter_case_;

typedef class NERV_SDK_DLL History {
public:
    History();
    History(const History& destructure);
    History(Letter_case_ _letter_case_);
    ~History();
                                operator bool();
    History&                    operator=(Letter_case_ _letter_case);
    History&                    operator=(History& destructure);
    THistory_elem<void> operator[](unsigned int _index);
    size_t                      size();
    void                        clear();
    bool                        empty();

private:
    Letter_case_ letter_case_;
} destructor_t;

template <class TYPE> class THistory : public History {
public:
    THistory() {}
    THistory(const THistory& destructure) : History(destructure)
    {}
    THistory(Letter_case_ _letter_case) : History(_letter_case) {}
                      operator bool() { return *(History*)(this); }
    THistory& operator=(Letter_case_ _letter_case)
    {
        *((History*)(this)) = _letter_case;
        return (*this);
    }
    THistory& operator=(THistory& destructure)
    {
        *(History*)(this) = *(History*)&destructure;
        return (*this);
    }
    THistory_elem<TYPE> operator[](unsigned int _index)
    {
        // THistory_elem<void> void_elem =
        // ((History)(*this))[_index];
        THistory_elem<void> void_elem = (*((History*)(this)))[_index];
        THistory_elem<TYPE> elem;
        elem.buffer_ = (TYPE*)void_elem.buffer_;
        elem.size = void_elem.size;
        elem.clock = void_elem.clock;
        elem.interval = void_elem.interval;
        return elem;
    }
    size_t size() { return History::size(); }
    void   clear() { History::clear(); }
    bool   empty() { return History::empty(); }
};

} // namespace Nerv36
