#pragma once

#include "Proxy.hh"
#include "nerv_error.hh"

namespace Nerv36 {
typedef Error on_signalback_sync_t(Proxy_signalback* _signalback_,
                                   void* const       _buf_,
                                   Pksize            _buf_size,
                                   double            _elapsed,
                                   double            _limit);

class NERV_SDK_DLL Proxy_signalback : virtual public Proxy {
    friend class _Proxy_signalback;

public:
    Proxy_signalback(Msg_code _code);
    Proxy_signalback(Msg_code              _code,
                     const Proxy&          _proxy_,
                     on_signalback_sync_t* _on_signalback_sync_);
    virtual ~Proxy_signalback(void);

private:
    virtual void on_signalback(const void* _buf_,
                               Pksize      _buf_size,
                               double      _elapsed);
    virtual void on_signalback_cancel(Error _error);

private:
    _Proxy_signalback* _mp;
};
} // namespace Nerv36
