#pragma once

#include "Stub.hh"

namespace Nerv36 {

class NERV_SDK_DLL Stub_callback : public virtual Stub {
    friend class _Stub_callback;

public:
    Stub_callback(Msg_code _code);
    Stub_callback(Msg_code _code, const Stub& _stub_);
    virtual ~Stub_callback();

    Error delegate_callback(Msg_num*    _msg_num_,
                            Address     _proxy_addr,
                            const void* _call_data_,
                            Pksize      _call_size,
                            double      _limit = 1.0);

    const Promise_ async_callback(Address     _proxy_addr,
                                  const void* _call_data_,
                                  Pksize      _call_size,
                                  double      _limit = 1.0);
    Error          await_return(Promise_ _promise_,
                                void*    _return_data_,
                                Pksize*  _size_,
                                double*  _time_);
    void           cancel(Address _proxy_addr, Error _error);

private:
    virtual void on_return(Msg_num     _msg_num,
                           Address     _proxy_addr,
                           Error       _err,
                           const void* _ret_data_,
                           Pksize      _ret_size,
                           double      _elapsed);

private:
    _Stub_callback* _mp;
};

} // namespace Nerv36
