#pragma once

#include "Stub.hh"
#include <Nerv36/History.hh>

namespace Nerv36 {

class NERV_SDK_DLL Stub_command : public virtual Stub {
    friend class _Stub_command;

public:
    Stub_command(Msg_code _code);
    Stub_command(Msg_code _code, const Stub& _stub_);
    virtual ~Stub_command();
    void         unlink(Address _proxy_addr);
    void         unlink_all_proxy();
    void         set_sync(bool _use_on_sync);
    Letter_case_ see_history(Address _proxy_addr, size_t _size);
    void         set_history_size(size_t _history_size);
    Error     read(Address _proxy_addr, void* _data_, Pksize* _size_);

private:
    virtual void     on_sync(Address        _proxy_addr,
                             Sync_model  _sync_model,
                             double      _elapsed,
                             double      _limit,
                             const void* _buffer_,
                             Pksize      _size);
    virtual Error on_link(Address   _proxy_addr,
                             double _elapsed,
                             double _limit);
    virtual void     on_unlink(Address _proxy_addr, Error _err);

private:
    _Stub_command* _mp;
};

} // namespace Nerv36
